/* PSID DATA CLEANING: 
   AUX CODE for prep_psid_1.do		*/
   
/* ********* */
/* Year 1997 */
/* ********* */	
preserve


	keep if (ER33403 == 10 & ER33402 == 1) | (ER33403 == 20 & ER33402 == 2) | (ER33403 == 22 & ER33402 == 2)
	
	bysort ER10002: egen flag_spouse  = max(ER33403 == 20 | ER33403 == 22)
	
	#delim cr
	
	
	/* Main Cleaning */
	keep if ER33403 == 10 /* Keep head only */
	
	

	keep if ER10002 != .
	gen interview_id 	= ER10002
	gen family_weight	= ER12084
	gen num_of_family	= ER10008 

	/* Bring in SS Income Type */
	merge m:1 interview_id using `ss_type1997'
	
	keep if _merge == 3

	gen flag_di_rec = (hdsocsectype == 1 | wfsocsectype == 1)

	/* Indicators on whether head or spouse is DI recipient.
	   If both, use head. --> conditional on DI rec.		    */
	gen flag_di_rec_head = (flag_di_rec == 1 & hdsocsectype == 1)
	replace flag_di_rec_head = . if flag_di_rec == 0
	gen flag_di_rec_spouse = (flag_di_rec == 1 & wfsocsectype == 1)
	replace flag_di_rec_spouse = . if flag_di_rec == 0
	tab flag_di_rec flag_di_rec_head	
	
	
	/* Receiving SSI (including disability and senior with low income) */
	gen flag_ssi_rec_head = .
	replace flag_ssi_rec_head = 1 if ER11287 == 1
	replace flag_ssi_rec_head = 0 if ER11287 == 5
	replace flag_ssi_rec_head = 0 if ER11287 == 0
	
	gen flag_ssi_rec_spouse = .
	replace flag_ssi_rec_spouse = 1 if ER11583 == 1
	replace flag_ssi_rec_spouse = 0 if ER11583 == 5
	replace flag_ssi_rec_spouse = 0 if ER11583 == 0

	gen flag_ssi_rec = (flag_ssi_rec_head == 1 | flag_ssi_rec_spouse == 1)
	replace flag_ssi_rec = . if flag_ssi_rec_head == . & flag_ssi_rec_spouse == .
	
	
	gen annual_mortg	= (ER10046 + ER10047) * 12 if ER10046 <= 99997 & ER10047 <= 99997
	

	gen 	rent_freq = 365 if ER10061 == 2
	replace rent_freq = 52  if ER10061 == 3 
	replace rent_freq = 26  if ER10061 == 4
	replace rent_freq = 12  if ER10061 == 5
	replace rent_freq = 1   if ER10061 == 6 
	gen 	annual_rent	= ER10060 * rent_freq if ER10060 <= 99997
	
	/* Food home */	
	
	/* if food stamps not used, ... */
	gen 	food_freq = 365 if ER11077 == 2
	replace	food_freq = 52  if ER11077 == 3
	replace food_freq = 26  if ER11077 == 4
	replace food_freq = 12  if ER11077 == 5
	replace food_freq = 1   if ER11077 == 6
	gen 	food_home = ER11076 * food_freq if ER11076 <= 99996	
	replace food_home = 0 if ER11076 == 0					

	/* Food out */
	gen 	food_out_freq = 365 if ER11082 == 2
	replace food_out_freq = 52  if ER11082 == 3
	replace food_out_freq = 26  if ER11082 == 4
	replace food_out_freq = 12  if ER11082 == 5
	replace food_out_freq = 1   if ER11082 == 6
	gen 	food_out = ER11081 * food_out_freq if ER11081 <= 99996
	
	gen cntrb_outside	= ER11715

	replace annual_mortg  = .  if annual_mortg == 0
	replace annual_rent   = .  if annual_rent  == 0
	replace cntrb_outside = .k if cntrb_outside == 9999998
	replace cntrb_outside = .n if cntrb_outside == 9999999
	
	
	/* Additional controls */
	gen head_age  = ER10009 if ER10009 <= 120
	gen head_male = ER10010 == 1 
	gen head_emply = (ER10081 == 1) if ER10081 < 9
	replace head_emply = 1 if ER10081 != 1 & ER10082 == 1
	replace head_emply = 1 if ER10081 != 1 & ER10083 == 1

	gen spouse_emply = (ER10563 == 1) if ER10563 < 9 & ER10563 != 0
	replace spouse_emply = 1 if ER10563 != 1 & ER10564 == 1
	replace spouse_emply = 1 if ER10563 != 1 & ER10565 == 1
	
	gen non_white = ER11848 != 1 if ER11848 != 9
	
	gen educ_hs 	 = .
	replace educ_hs 	= 0 if inrange(ER12222, 0, 11)
	replace educ_hs		= 1 if inrange(ER12222, 12,17)
	gen educ_college = .
	replace educ_college= 0 if inrange(ER12222, 0, 15)
	replace educ_college= 1 if inrange(ER12222, 16,17)

	gen flag_foodstamp = (ER11049 == 1)
	replace flag_foodstamp = . if ER11049 == 9
	
	gen svy_year = 1997
	
	gen inc_headwife = ER12069 
	gen inc_hh = ER12079
	
	/* SSA REC AND DISABILITY STATUS */
	gen inc_ss_total = .
	summ inc_ss_total
	
	gen level_disabled_head   = ER11726
	gen level_disabled_spouse = ER11730
	tab level_disabled_head 
	tab level_disabled_spouse
	gen flag_candonothing_head = (ER11725 == 7)
	gen flag_candonothing_spouse = (ER11729 == 7)
	
	replace level_disabled_head = -1 if flag_candonothing_head == 1
	replace level_disabled_spouse = -1 if flag_candonothing_spouse == 1
	
	gen flag_severe_head = 0 if level_disabled_head != 0
	replace flag_severe_head = 1  if level_disabled_head == 1
	replace flag_severe_head = 1  if flag_candonothing_head == 1
	tab flag_severe_head
	
	gen flag_severe_spouse = 0 if level_disabled_spouse != 0
	replace flag_severe_spouse = 1  if level_disabled_spouse == 1
	replace flag_severe_spouse = 1  if flag_candonothing_spouse == 1
	tab flag_severe_spouse
	
	gen flag_moderate_head = 0 if level_disabled_head != 0
	replace flag_moderate_head = 1 if (level_disabled_head == 3 | level_disabled_head == 5 | level_disabled_head == 7) 
	tab flag_moderate_head
	
	gen flag_moderate_spouse = 0 if level_disabled_head != 0
	replace flag_moderate_spouse = 1 if (level_disabled_head == 3 | level_disabled_head == 5 | level_disabled_head == 7) 
	tab flag_moderate_spouse
	
	gen flag_psid_disable_head = (flag_severe_head == 1 | flag_moderate_head == 1)
	gen flag_psid_disable_spouse = (flag_severe_spouse == 1 | flag_moderate_spouse == 1)
	tab flag_psid_disable_head
	tab flag_psid_disable_spouse
	
	gen flag_severe = max(flag_severe_head, flag_severe_spouse)
	gen flag_moderate = max(flag_moderate_head, flag_moderate_spouse)
	gen flag_psid_disable = max(flag_psid_disable_head, flag_psid_disable_spouse)
	
	gen flag_severe_head2 = 0 if level_disabled_head != 0
	replace flag_severe_head2 = 1  if level_disabled_head == 1 | level_disabled_head == 3
	replace flag_severe_head2 = 1  if flag_candonothing_head == 1
	tab flag_severe_head2


	gen flag_severe_spouse2 = 0 if level_disabled_spouse != 0
	replace flag_severe_spouse2 = 1  if level_disabled_spouse == 1 | level_disabled_spouse == 3
	replace flag_severe_spouse2 = 1  if flag_candonothing_spouse == 1
	tab flag_severe_spouse2

	gen flag_severe2 = max(flag_severe_head2, flag_severe_spouse2)

	summ flag* 
	
	/******* Measures of permanent income ********/
	
	/* Year of education -- capped at 17, i.e. At least one year of postgraduate work */
	gen level_educ_head   = ER12222 
	gen level_educ_spouse = ER12223 	
	replace level_educ_head   = . if level_educ_head >= 98
	replace level_educ_spouse = . if level_educ_spouse >= 98
	
	/* Parental education */
	gen level_educ_headFa_US = ER11816
	replace level_educ_headFa_US   = . if level_educ_headFa_US >= 9
	
	gen level_educ_headMo_US = ER11824
	replace level_educ_headMo_US   = . if level_educ_headMo_US >= 9
	
	gen level_educ_spouseFa_US = ER11735
	replace level_educ_spouseFa_US   = . if level_educ_spouseFa_US >= 9
	
	gen level_educ_spouseMo_US = ER11743
	replace level_educ_spouseMo_US   = . if level_educ_spouseMo_US >= 9
	
	
	/* Parental family wealth when they grow up  */
	gen level_wealth_headParent = ER11846
	replace level_wealth_headParent = . if level_wealth_headParent == 9
	gen level_wealth_spouseParent = .
	replace level_wealth_spouseParent = . if level_wealth_spouseParent == 9
	
	summ level_*
	

	/******* Measures of outside resources ********/
	
	/* Spousal wage/salaries */
	gen inc_earn_spouse = ER11491 + ER12065 + ER12214
	replace inc_earn_spouse = . if  inc_earn_spouse >= 9999998
	
	gen level_spouseage = ER10011
	replace level_spouseage = . if level_spouseage > 120	
	
	/* Earnings */
	gen inc_earn_head = ER12196
	replace inc_earn_head = . if  inc_earn_head >= 9999998
	gen inc_earn_HSP = inc_earn_head
	replace inc_earn_HSP = inc_earn_head + inc_earn_spouse if inc_earn_spouse != .
	
	
	/* Marital Status */
	gen flag_married = (ER10016 == 1)
	replace flag_married = . if ER10016 >= 8
	
	summ flag_married
	summ inc_* 
	
	gen flag_home_own  = (ER10035 == 1)
	gen flag_home_rent = (ER10035 == 5)
	
	gen reason_move1 = ER10075 if ER10075 < 99
	gen reason_move2 = ER10076 if reason_move1 != .
	gen reason_move3 = ER10077 if reason_move1 != .
	gen reason_move4 = ER10078 if reason_move1 != .
	
	gen night_hosp_hd = . 
	gen night_hosp_sp = .
	
	gen reason_posend_hd_u = ER12102
	gen reason_posend_sp_u = ER12133 if flag_spouse == 1 
	gen reason_posend_hd_e = ER12091
	gen reason_posend_sp_e = ER12122 if flag_spouse == 1
	

	
	gen health_status_head = ER11723
	gen health_status_spouse = ER11727

	
*	gen level_cash = ER15020 
*	replace level_cash = . if level_cash >= 999999998
	
	
	/* ADC/AFDC, T-2, Social Security, unemployment compensation, worker's compensation*/
	
	
	gen flag_adc_head = ER11272
	gen flag_ui_head = ER11382
	gen flag_wi_head = ER11397
	
	gen flag_adc_spouse = ER11599
	gen flag_ui_spouse = ER11493
	gen flag_wi_spouse = ER11508
	
	gen flag_ss = ER11318

	
	/* Relative and non-relative cash transfer */
	
	gen flag_cash_relative_head = (ER11442 == 1) if ER11442 == 1 | ER11442 == 5
	gen flag_cash_relative_spouse = (ER11659 == 1) if ER11659 == 1 | ER11659 == 5
	
	gen flag_cash_nonrelative_head = (ER11457 == 1) if ER11457 == 1 | ER11457 == 5
	gen flag_cash_nonrelative_spouse = (ER11674 == 1) if ER11674 == 1 | ER11674 == 5


	/* exp for rent and mortgage monthly reported */
	
	gen exp_rent_old = ER10060 if ER10060 < 99998
	gen exp_mortg_old = ER10046 if ER10046 < 99998

	
	/* exp for food weekly reported */
	
	gen exp_food_N_fdstamp = ER11076 if ER11076 < 99998 & ER11076 != 0
	gen exp_food_fdstamp = ER11068 if ER11068 < 99998 & ER11068 != 0

	count if exp_food_N_fdstamp != . & exp_food_fdstamp != .

	gen exp_food_old = exp_food_N_fdstamp
	replace exp_food_old = exp_food_fdstamp if exp_food_old == .

	gen yr_work_18 = ER11897 if 0 < ER11897 & ER11897 < 99

	/******* State of Residence ********/
	gen state_res_code = ER12221         
	
    label define state_res_code 1 "AL" , modify	
	label define state_res_code 2 "AZ" , modify 
	label define state_res_code 3 "AR" , modify 
	label define state_res_code 4 "CA" , modify 
	label define state_res_code 5 "CO" , modify 
	label define state_res_code 6 "CT" , modify 
	label define state_res_code 7 "DE" , modify 
	label define state_res_code 8 "DC" , modify 
	label define state_res_code 9 "FL" , modify 
	label define state_res_code 10 "GA" , modify
	label define state_res_code 11 "ID" , modify
	label define state_res_code 12 "IL" , modify
	label define state_res_code 13 "IN" , modify
	label define state_res_code 14 "IA" , modify
	label define state_res_code 15 "KS" , modify
	label define state_res_code 16 "KY" , modify
	label define state_res_code 17 "LA" , modify
	label define state_res_code 18 "ME" , modify
	label define state_res_code 19 "MD" , modify
	label define state_res_code 20 "MA" , modify
	label define state_res_code 21 "MI" , modify
	label define state_res_code 22 "MN" , modify
	label define state_res_code 23 "MS" , modify
	label define state_res_code 24 "MO" , modify
	label define state_res_code 25 "MT" , modify
	label define state_res_code 26 "NE" , modify
	label define state_res_code 27 "NV" , modify
	label define state_res_code 28 "NH" , modify
	label define state_res_code 29 "NJ" , modify
	label define state_res_code 30 "NM" , modify
	label define state_res_code 31 "NY" , modify
	label define state_res_code 32 "NC" , modify
	label define state_res_code 33 "ND" , modify
	label define state_res_code 34 "OH" , modify
	label define state_res_code 35 "OK" , modify
	label define state_res_code 36 "OR" , modify
	label define state_res_code 37 "PA" , modify
	label define state_res_code 38 "RI" , modify
	label define state_res_code 39 "SC" , modify
	label define state_res_code 40 "SD" , modify
	label define state_res_code 41 "TN" , modify
	label define state_res_code 42 "TX" , modify
	label define state_res_code 43 "UT" , modify
	label define state_res_code 44 "VT" , modify
	label define state_res_code 45 "VA" , modify
	label define state_res_code 46 "WA" , modify
	label define state_res_code 47 "WV" , modify
	label define state_res_code 48 "WI" , modify
	label define state_res_code 49 "WY" , modify 
	label define state_res_code 50 "AK" , modify
	label define state_res_code 51 "HI" , modify	
	
	label value state_res_code state_res_code	
	decode state_res_code, gen(state_res)
	
	/******* Current State ********/
	gen state_curr_code = ER10004                             

	label define state_curr_code 1 "AL" , modify
	label define state_curr_code 2 "AK" , modify
	label define state_curr_code 4 "AZ" , modify
	label define state_curr_code 5 "AR" , modify
	label define state_curr_code 6 "CA" , modify
	label define state_curr_code 8 "CO" , modify
	label define state_curr_code 9 "CT" , modify
	label define state_curr_code 10 "DE" , modify
	label define state_curr_code 11 "DC" , modify
	label define state_curr_code 12 "FL" , modify
	label define state_curr_code 13 "GA" , modify
	label define state_curr_code 15 "HI" , modify
	label define state_curr_code 16 "ID" , modify
	label define state_curr_code 17 "IL" , modify
	label define state_curr_code 18 "IN" , modify
	label define state_curr_code 19 "IA" , modify
	label define state_curr_code 20 "KS" , modify
	label define state_curr_code 21 "KY" , modify
	label define state_curr_code 22 "LA" , modify
	label define state_curr_code 23 "ME" , modify
	label define state_curr_code 24 "MD" , modify
	label define state_curr_code 25 "MA" , modify
	label define state_curr_code 26 "MI" , modify
	label define state_curr_code 27 "MN" , modify
	label define state_curr_code 28 "MI" , modify
	label define state_curr_code 29 "MO" , modify
	label define state_curr_code 30 "MT" , modify
	label define state_curr_code 31 "NE" , modify
	label define state_curr_code 32 "NV" , modify
	label define state_curr_code 33 "NH" , modify
	label define state_curr_code 34 "NJ" , modify
	label define state_curr_code 35 "NM" , modify
	label define state_curr_code 36 "NY" , modify
	label define state_curr_code 37 "NC" , modify
	label define state_curr_code 38 "ND" , modify
	label define state_curr_code 39 "OH" , modify
	label define state_curr_code 40 "OK" , modify
	label define state_curr_code 41 "OR" , modify
	label define state_curr_code 42 "PA" , modify
	label define state_curr_code 44 "RI" , modify
	label define state_curr_code 45 "SC" , modify
	label define state_curr_code 46 "SD" , modify
	label define state_curr_code 47 "TN" , modify
	label define state_curr_code 48 "TX" , modify
	label define state_curr_code 49 "UT" , modify
	label define state_curr_code 50 "VT" , modify
	label define state_curr_code 51 "VA" , modify
	label define state_curr_code 53 "WA" , modify
	label define state_curr_code 54 "WV" , modify
	label define state_curr_code 55 "WI" , modify
	label define state_curr_code 56 "WY" , modify

	label value state_curr_code state_curr_code
	decode state_curr_code, gen(state_curr)
		

	keep unique_id svy_year interview_id flag_* level_*  num_of_family educ_* head_* inc_* non_white family_weight ///
		 annual_mortg annual_rent food_home food_out cntrb_outside reason* night*  ///
		 health_status_* spouse_emply exp_* yr_work_18 state_res state_curr
 
		 

	tempfile psid1997
	save `psid1997', replace
	count
restore		
