/* PSID DATA CLEANING: 
   AUX CODE for prep_psid_1.do		*/
   
/* ********* */
/* Year 1999 */
/* ********* */	
preserve

	keep if (ER33503 == 10 & ER33502 == 1) | (ER33503 == 20 & ER33502 == 2) | (ER33503 == 22 & ER33502 == 2)
	
	bysort ER13002: egen flag_spouse  = max(ER33503 == 20 | ER33503 == 22)

	#delim;
	gen temp_flag_ins_private_head = 0;
	replace temp_flag_ins_private_head = 1 if (inrange(ER33518, 1, 2) | inrange(ER33518, 10, 97) | 
											   inrange(ER33519, 1, 2) | inrange(ER33519, 10, 97) |
											   inrange(ER33520, 1, 2) | inrange(ER33520, 10, 97) | 
											   inrange(ER33521, 1, 2) | inrange(ER33521, 10, 97) 
											   ) & (ER33503 == 10);
	gen temp_flag_ins_public_head = 0 ;
	replace temp_flag_ins_public_head = 1 if ( inrange(ER33518, 3, 9) | inrange(ER33519, 3, 9) |
											   inrange(ER33520, 3, 9) | inrange(ER33521, 3, 9) 
											 ) & (ER33503 == 10);
	
	gen temp_flag_ins_private_spouse = 0;
	replace temp_flag_ins_private_spouse = 1 if ( inrange(ER33518, 1, 2) | inrange(ER33518, 10, 97) | 
											      inrange(ER33519, 1, 2) | inrange(ER33519, 10, 97) |
											      inrange(ER33520, 1, 2) | inrange(ER33520, 10, 97) | 
											      inrange(ER33521, 1, 2) | inrange(ER33521, 10, 97) 
											    ) & (ER33503 == 20 | ER33503 == 22);
	gen temp_flag_ins_public_spouse = 0 ;
	replace temp_flag_ins_public_spouse = 1 if ( inrange(ER33518, 3, 9) | inrange(ER33519, 3, 9) |
											     inrange(ER33520, 3, 9) | inrange(ER33521, 3, 9) 
											   ) & (ER33503 == 20 | ER33503 == 22);
	
	foreach var in flag_ins_private_head flag_ins_public_head
				   flag_ins_private_spouse flag_ins_public_spouse {;
		bysort ER13002: egen `var'  = max(temp_`var');
	};
	
	gen flag_anyins_head = max(flag_ins_private_head, flag_ins_public_head);
	gen flag_anyins_spouse  = max(flag_ins_private_spouse, flag_ins_public_spouse);
	
	replace flag_anyins_spouse      = . if flag_spouse == 0;
	replace flag_ins_private_spouse = . if flag_spouse == 0;
	replace flag_ins_public_spouse  = . if flag_spouse == 0;
	summ flag_*;
	drop temp_*;
	#delim cr
	
	
	/* Main Cleaning */
	keep if ER33503 == 10 /* Keep head only */

	keep if ER13002 != .
	gen interview_id 	= ER13002
	gen family_weight	= ER16518
	gen num_of_family	= ER13009 

	/* Bring in SS Income Type */
	merge m:1 interview_id using `ss_type1999'
	
	keep if _merge == 3

	gen flag_di_rec = (hdsocsectype == 1 | wfsocsectype == 1)

	/* Indicators on whether head or spouse is DI recipient.
	   If both, use head. --> conditional on DI rec.		    */
	gen flag_di_rec_head = (flag_di_rec == 1 & hdsocsectype == 1)
	replace flag_di_rec_head = . if flag_di_rec == 0
	gen flag_di_rec_spouse = (flag_di_rec == 1 & wfsocsectype == 1)
	replace flag_di_rec_spouse = . if flag_di_rec == 0
	tab flag_di_rec flag_di_rec_head
	
	/* Receiving SSI (including disability and senior with low income) */
	gen flag_ssi_rec_head = .
	replace flag_ssi_rec_head = 1 if ER14553 == 1
	replace flag_ssi_rec_head = 0 if ER14553 == 5
	replace flag_ssi_rec_head = 0 if ER14553 == 0
	
	gen flag_ssi_rec_spouse = .
	replace flag_ssi_rec_spouse = 1 if ER14849 == 1
	replace flag_ssi_rec_spouse = 0 if ER14849 == 5
	replace flag_ssi_rec_spouse = 0 if ER14849 == 0

	gen flag_ssi_rec = (flag_ssi_rec_head == 1 | flag_ssi_rec_spouse == 1)
	replace flag_ssi_rec = . if flag_ssi_rec_head == . & flag_ssi_rec_spouse == .
	
	
	gen annual_mortg	= (ER13048 + ER13057) * 12 if ER13048 <= 99997 & ER13057 <= 99997
	
	gen	  rent_freq 	= 52  if ER13066 == 3 
	replace rent_freq 	= 26  if ER13066 == 4
	replace rent_freq 	= 12  if ER13066 == 5
	replace rent_freq 	= 1   if ER13066 == 6 
	gen 	annual_rent	= ER13065 * rent_freq if ER13065 <= 99997

	/* if food stamps not used, ... */
	gen 	food_freq = 52  if ER14296 == 3
	replace food_freq = 26  if ER14296 == 4
	replace food_freq = 12  if ER14296 == 5
	replace food_freq = 1   if ER14296 == 6
	gen 	food_home = ER14295 * food_freq if ER14295 <= 99996	
	replace food_home = 0 if ER14295 == 0						

	/* Food out */
	gen 	food_out_freq = 365 if ER14301 == 2
	replace food_out_freq = 52  if ER14301 == 3
	replace food_out_freq = 26  if ER14301 == 4
	replace food_out_freq = 12  if ER14301 == 5
	replace food_out_freq = 1   if ER14301 == 6
	gen 	food_out = ER14300 * food_out_freq if ER14300 <= 99996
	
	gen cntrb_outside	= ER14983

	replace annual_mortg  = .  if annual_mortg == 0
	replace annual_rent   = .  if annual_rent  == 0
	replace cntrb_outside = .k if cntrb_outside == 9999998
	replace cntrb_outside = .n if cntrb_outside == 9999999
	
	gen exp_housing   = ER16515A5
	gen exp_mortg     = ER16515A6
	gen exp_rent	  = ER16515A7
	gen exp_utility   = ER16515B1
	gen exp_transport = ER16515B6
	gen exp_food	  = ER16515A1
	gen exp_educ	  = ER16515C9
	gen exp_child	  = ER16515D1
	gen exp_health    = ER16515D2
	
	gen exp_medicalcare = ER15799
	replace exp_medicalcare = . if exp_medicalcare >= 9999998
	replace exp_medicalcare = exp_medicalcare/2	
	
	gen exp_hospital  = ER16515D3
	gen exp_doctor	  = ER16515D4
	gen exp_rx		  = ER16515D5
	gen exp_insurance = ER16515D6
	
	foreach var in exp_food exp_housing exp_utility exp_transport exp_educ exp_child exp_health {
		replace `var' = 0 if `var' == .
	}
	
	gen exp_hhtotal   = exp_food + exp_housing + exp_transport + exp_educ + exp_child + exp_health
	
	/* Additional controls */
	gen head_age  = ER13010 if ER13010 <= 120
	gen head_male = ER13011 == 1 
	gen head_emply = (ER13205 == 1) if ER13205 < 9
	replace head_emply = 1 if ER13205 != 1 & ER13206 == 1
	replace head_emply = 1 if ER13205 != 1 & ER13207 == 1

	gen spouse_emply = (ER13717 == 1) if ER13717 < 9 & ER13717 != 0
	replace spouse_emply = 1 if ER13717 != 1 & ER13718 == 1
	replace spouse_emply = 1 if ER13717 != 1 & ER13719 == 1
	
	gen non_white = ER15928 != 1 if ER15928 != 9
	
	gen educ_hs 	 = .
	replace educ_hs 	= 0 if inrange(ER16516, 0, 11)
	replace educ_hs		= 1 if inrange(ER16516, 12,17)
	gen educ_college = .
	replace educ_college= 0 if inrange(ER16516, 0, 15)
	replace educ_college= 1 if inrange(ER16516, 16,17)

	gen flag_foodstamp = (ER14255 == 1)
	replace flag_foodstamp = . if ER14255 == 9
	
	gen svy_year = 1999
	
	gen inc_headwife = ER16452 
	gen inc_hh = ER16462 
	
	/* SSA REC AND DISABILITY STATUS */
	gen inc_ss_total = .
	summ inc_ss_total
	
	gen level_disabled_head   = ER15451
	gen level_disabled_spouse = ER15559
	tab level_disabled_head 
	tab level_disabled_spouse
	gen flag_candonothing_head = (ER15450 == 7)
	gen flag_candonothing_spouse = (ER15558 == 7)
	
	replace level_disabled_head = -1 if flag_candonothing_head == 1
	replace level_disabled_spouse = -1 if flag_candonothing_spouse == 1
	
	gen flag_severe_head = 0 if level_disabled_head != 0
	replace flag_severe_head = 1  if level_disabled_head == 1
	replace flag_severe_head = 1  if flag_candonothing_head == 1
	tab flag_severe_head
	
	gen flag_severe_spouse = 0 if level_disabled_spouse != 0
	replace flag_severe_spouse = 1  if level_disabled_spouse == 1
	replace flag_severe_spouse = 1  if flag_candonothing_spouse == 1
	tab flag_severe_spouse
	
	gen flag_moderate_head = 0 if level_disabled_head != 0
	replace flag_moderate_head = 1 if (level_disabled_head == 3 | level_disabled_head == 5 | level_disabled_head == 7) 
	tab flag_moderate_head
	
	gen flag_moderate_spouse = 0 if level_disabled_head != 0
	replace flag_moderate_spouse = 1 if (level_disabled_head == 3 | level_disabled_head == 5 | level_disabled_head == 7) 
	tab flag_moderate_spouse
	
	gen flag_psid_disable_head = (flag_severe_head == 1 | flag_moderate_head == 1)
	gen flag_psid_disable_spouse = (flag_severe_spouse == 1 | flag_moderate_spouse == 1)
	tab flag_psid_disable_head
	tab flag_psid_disable_spouse
	
	gen flag_severe = max(flag_severe_head, flag_severe_spouse)
	gen flag_moderate = max(flag_moderate_head, flag_moderate_spouse)
	gen flag_psid_disable = max(flag_psid_disable_head, flag_psid_disable_spouse)
	
	gen flag_severe_head2 = 0 if level_disabled_head != 0
	replace flag_severe_head2 = 1  if level_disabled_head == 1 | level_disabled_head == 3
	replace flag_severe_head2 = 1  if flag_candonothing_head == 1
	tab flag_severe_head2


	gen flag_severe_spouse2 = 0 if level_disabled_spouse != 0
	replace flag_severe_spouse2 = 1  if level_disabled_spouse == 1 | level_disabled_spouse == 3
	replace flag_severe_spouse2 = 1  if flag_candonothing_spouse == 1
	tab flag_severe_spouse2

	gen flag_severe2 = max(flag_severe_head2, flag_severe_spouse2)

	summ flag* 
	
	/******* Measures of permanent income ********/
	
	/* Year of education -- capped at 17, i.e. At least one year of postgraduate work */
	gen level_educ_head   = ER16516 
	gen level_educ_spouse = ER16517 /* Note for now: some data might not be brought forward */	
	replace level_educ_head   = . if level_educ_head >= 98
	replace level_educ_spouse = . if level_educ_spouse >= 98
	
	/* Parental education */
	gen level_educ_headFa_US = ER15894
	gen level_educ_headFa_F  = ER15897
	replace level_educ_headFa_US   = . if level_educ_headFa_US >= 9
	replace level_educ_headFa_F    = . if level_educ_headFa_F  >= 98
	
	gen level_educ_headMo_US = ER15903
	gen level_educ_headMo_F  = ER15906
	replace level_educ_headMo_US   = . if level_educ_headMo_US >= 9
	replace level_educ_headMo_F    = . if level_educ_headMo_F  >= 98
	
	gen level_educ_spouseFa_US = ER15809
	gen level_educ_spouseFa_F  = ER15812
	replace level_educ_spouseFa_US   = . if level_educ_spouseFa_US >= 9
	replace level_educ_spouseFa_F    = . if level_educ_spouseFa_F  >= 98
	
	gen level_educ_spouseMo_US = ER15818
	gen level_educ_spouseMo_F  = ER15821
	replace level_educ_spouseMo_US   = . if level_educ_spouseMo_US >= 9
	replace level_educ_spouseMo_F    = . if level_educ_spouseMo_F  >= 98
	
	/* Parental family wealth when they grow up  */
	gen level_wealth_headParent = ER15926
	replace level_wealth_headParent = . if level_wealth_headParent == 9
	gen level_wealth_spouseParent = .
	replace level_wealth_spouseParent = . if level_wealth_spouseParent == 9
	
	summ level_*
	
	/******* Measures of outside resources ********/
	
	/* Health insurance coverage in the last two years -- at least one member has coverage */ 
	gen flag_health_ins = (ER15779 == 1)
	replace flag_health_ins = . if ER15779 >= 8
	
	/* Spousal wage/salaries */
	gen inc_earn_spouse = ER14757 + ER16448 + ER16511
	replace inc_earn_spouse = . if  inc_earn_spouse >= 9999998
	
	gen level_spouseage = ER13012
	replace level_spouseage = . if level_spouseage > 120	
	
	/* Earnings */
	gen inc_earn_head = ER16493
	replace inc_earn_head = . if  inc_earn_head >= 9999998
	gen inc_earn_HSP = inc_earn_head
	replace inc_earn_HSP = inc_earn_head + inc_earn_spouse if inc_earn_spouse != .
	
	/* Marital Status  */
	gen flag_married = (ER13021 == 1)
	replace flag_married = . if ER13021 >= 8
	
	summ flag_health_ins flag_married
	summ inc_* 
	
	gen flag_home_own  = (ER13040 == 1)
	gen flag_home_rent = (ER13040 == 5)
	
	gen level_cash = ER15020 
	replace level_cash = . if level_cash >= 999999998
	
	gen reason_move1 = ER13080 if ER13080 < 99
	gen reason_move2 = ER13081 if reason_move1 != .
	gen reason_move3 = ER13082 if reason_move1 != .
	gen reason_move4 = ER13083 if reason_move1 != .
	
	gen night_hosp_hd = . 
	gen night_hosp_sp = .
	
	gen reason_posend_hd_u = ER13498
	gen reason_posend_sp_u = ER14010 if flag_spouse == 1
	gen reason_posend_hd_e = ER13310
	gen reason_posend_sp_e = ER13822 if flag_spouse == 1
	


	
	
	gen adl_bath_head = ER15525
	gen adl_dress_head = ER15527
	gen adl_eat_head = ER15529
	gen adl_out_bed_head = ER15531
	gen adl_outdoor_head = ER15535
	gen adl_toilet_head = ER15537
	gen adl_walk_head = ER15533
	
	
	gen adl_bath_spouse = ER15633
	gen adl_dress_spouse = ER15635
	gen adl_eat_spouse = ER15637
	gen adl_out_bed_spouse = ER15639
	gen adl_outdoor_spouse = ER15643
	gen adl_toilet_spouse = ER15645
	gen adl_walk_spouse = ER15641
	
	
	
	gen flag_arthritis_head = ER15500
	gen flag_asthma_head = ER15506
	gen flag_blood_head = ER15458
	gen flag_cancer_head = ER15470
	gen flag_diabete_head = ER15464
	
	gen flag_heart_attack_head = ER15482
	gen flag_heart_disease_head = ER15488
	gen flag_lung_disease_head = ER15476
	gen flag_stroke_head = ER15452
	
	
	gen flag_arthritis_spouse = ER15608
	gen flag_asthma_spouse = ER15614
	gen flag_blood_spouse = ER15566
	gen flag_cancer_spouse = ER15578
	gen flag_diabete_spouse = ER15572
	
	gen flag_heart_attack_spouse = ER15590
	gen flag_heart_disease_spouse = ER15596
	gen flag_lung_disease_spouse = ER15584
	gen flag_stroke_spouse = ER15560

	/* health status */
	
	gen health_status_head = ER15447
	gen health_status_spouse = ER15555

	/* mental condition */

	gen flag_psychiatric_head = ER15494     
	gen flag_psychiatric_spouse = ER15602 
	
	gen flag_learning_head = ER15518  
	gen flag_learning_spouse = ER15626   
	
	gen flag_memory_head = ER15512    
	gen flag_memory_spouse = ER15620 	
	
	/* ADC/AFDC, T-2, Social Security, unemployment compensation, worker's compensation*/
	
	
	gen flag_adc_head = ER14538
	gen flag_ui_head = ER14648
	gen flag_wi_head = ER14663
	
	gen flag_adc_spouse = ER14865
	gen flag_ui_spouse = ER14759
	gen flag_wi_spouse = ER14774
	
	gen flag_ss = ER14584


	/* Relative and non-relative cash transfer */
	
	gen flag_cash_relative_head = (ER14708 == 1) if ER14708 == 1 | ER14708 == 5
	gen flag_cash_relative_spouse = (ER14925 == 1) if ER14925 == 1 | ER14925 == 5
	
	gen flag_cash_nonrelative_head = (ER14723 == 1) if ER14723 == 1 | ER14723 == 5
	gen flag_cash_nonrelative_spouse = (ER14940 == 1) if ER14940 == 1 | ER14940 == 5

	
	/* exp for rent and mortgage monthly reported */
	
	gen exp_rent_old = ER13065 if ER13065 < 99998
	gen exp_mortg_old = ER13048 if ER13048 < 99998

	
	/* exp for food weekly reported */
	
	gen exp_food_N_fdstamp = ER14295 if ER14295 < 99998 & ER14295 != 0
	gen exp_food_fdstamp = ER14288 if ER14288 < 99998 & ER14288 != 0

	count if exp_food_N_fdstamp != . & exp_food_fdstamp != .

	gen exp_food_old = exp_food_N_fdstamp
	replace exp_food_old = exp_food_fdstamp if exp_food_old == .

	/* total asset */
	
	gen total_asset_debt = S416
	
	/* individual asset */
	
	gen level_busi = S403
	gen level_saving = S405
	gen level_estate = S409
	gen level_stocks = S411
	gen level_vehicle = S413
	gen level_oth_asset = S415
	gen level_annuity = S419

	gen yr_work_18 = ER15979 if 0 < ER15979 & ER15979 < 99

	/******* State of Residence ********/
	gen state_res_code = ER13004          
	
    label define state_res_code 1 "AL" , modify	
	label define state_res_code 2 "AZ" , modify 
	label define state_res_code 3 "AR" , modify 
	label define state_res_code 4 "CA" , modify 
	label define state_res_code 5 "CO" , modify 
	label define state_res_code 6 "CT" , modify 
	label define state_res_code 7 "DE" , modify 
	label define state_res_code 8 "DC" , modify 
	label define state_res_code 9 "FL" , modify 
	label define state_res_code 10 "GA" , modify
	label define state_res_code 11 "ID" , modify
	label define state_res_code 12 "IL" , modify
	label define state_res_code 13 "IN" , modify
	label define state_res_code 14 "IA" , modify
	label define state_res_code 15 "KS" , modify
	label define state_res_code 16 "KY" , modify
	label define state_res_code 17 "LA" , modify
	label define state_res_code 18 "ME" , modify
	label define state_res_code 19 "MD" , modify
	label define state_res_code 20 "MA" , modify
	label define state_res_code 21 "MI" , modify
	label define state_res_code 22 "MN" , modify
	label define state_res_code 23 "MS" , modify
	label define state_res_code 24 "MO" , modify
	label define state_res_code 25 "MT" , modify
	label define state_res_code 26 "NE" , modify
	label define state_res_code 27 "NV" , modify
	label define state_res_code 28 "NH" , modify
	label define state_res_code 29 "NJ" , modify
	label define state_res_code 30 "NM" , modify
	label define state_res_code 31 "NY" , modify
	label define state_res_code 32 "NC" , modify
	label define state_res_code 33 "ND" , modify
	label define state_res_code 34 "OH" , modify
	label define state_res_code 35 "OK" , modify
	label define state_res_code 36 "OR" , modify
	label define state_res_code 37 "PA" , modify
	label define state_res_code 38 "RI" , modify
	label define state_res_code 39 "SC" , modify
	label define state_res_code 40 "SD" , modify
	label define state_res_code 41 "TN" , modify
	label define state_res_code 42 "TX" , modify
	label define state_res_code 43 "UT" , modify
	label define state_res_code 44 "VT" , modify
	label define state_res_code 45 "VA" , modify
	label define state_res_code 46 "WA" , modify
	label define state_res_code 47 "WV" , modify
	label define state_res_code 48 "WI" , modify
	label define state_res_code 49 "WY" , modify 
	label define state_res_code 50 "AK" , modify
	label define state_res_code 51 "HI" , modify	
	
	label value state_res_code state_res_code	
	decode state_res_code, gen(state_res)

	/******* Current State ********/
	gen state_curr_code = ER13005                            

	label define state_curr_code 1 "AL" , modify
	label define state_curr_code 2 "AK" , modify
	label define state_curr_code 4 "AZ" , modify
	label define state_curr_code 5 "AR" , modify
	label define state_curr_code 6 "CA" , modify
	label define state_curr_code 8 "CO" , modify
	label define state_curr_code 9 "CT" , modify
	label define state_curr_code 10 "DE" , modify
	label define state_curr_code 11 "DC" , modify
	label define state_curr_code 12 "FL" , modify
	label define state_curr_code 13 "GA" , modify
	label define state_curr_code 15 "HI" , modify
	label define state_curr_code 16 "ID" , modify
	label define state_curr_code 17 "IL" , modify
	label define state_curr_code 18 "IN" , modify
	label define state_curr_code 19 "IA" , modify
	label define state_curr_code 20 "KS" , modify
	label define state_curr_code 21 "KY" , modify
	label define state_curr_code 22 "LA" , modify
	label define state_curr_code 23 "ME" , modify
	label define state_curr_code 24 "MD" , modify
	label define state_curr_code 25 "MA" , modify
	label define state_curr_code 26 "MI" , modify
	label define state_curr_code 27 "MN" , modify
	label define state_curr_code 28 "MI" , modify
	label define state_curr_code 29 "MO" , modify
	label define state_curr_code 30 "MT" , modify
	label define state_curr_code 31 "NE" , modify
	label define state_curr_code 32 "NV" , modify
	label define state_curr_code 33 "NH" , modify
	label define state_curr_code 34 "NJ" , modify
	label define state_curr_code 35 "NM" , modify
	label define state_curr_code 36 "NY" , modify
	label define state_curr_code 37 "NC" , modify
	label define state_curr_code 38 "ND" , modify
	label define state_curr_code 39 "OH" , modify
	label define state_curr_code 40 "OK" , modify
	label define state_curr_code 41 "OR" , modify
	label define state_curr_code 42 "PA" , modify
	label define state_curr_code 44 "RI" , modify
	label define state_curr_code 45 "SC" , modify
	label define state_curr_code 46 "SD" , modify
	label define state_curr_code 47 "TN" , modify
	label define state_curr_code 48 "TX" , modify
	label define state_curr_code 49 "UT" , modify
	label define state_curr_code 50 "VT" , modify
	label define state_curr_code 51 "VA" , modify
	label define state_curr_code 53 "WA" , modify
	label define state_curr_code 54 "WV" , modify
	label define state_curr_code 55 "WI" , modify
	label define state_curr_code 56 "WY" , modify

	label value state_curr_code state_curr_code
	decode state_curr_code, gen(state_curr)
		
	
	keep unique_id svy_year interview_id flag_* level_*  num_of_family educ_* head_* inc_* non_white family_weight ///
		 annual_mortg annual_rent food_home food_out cntrb_outside reason* night*	 ///
		 exp_* adl* health_status* spouse_emply total_asset_debt yr_work_18 state_res state_curr
		 

	tempfile psid1999
	save `psid1999', replace
	count
restore		
