/* PSID DATA CLEANING: 
   AUX CODE for prep_psid_1.do		*/
   
/* ********* */
/* Year 2001 */
/* ********* */	
preserve

	keep if (ER33603 == 10 & ER33602 == 1) | (ER33603 == 20 & ER33602 == 2) | (ER33603 == 22 & ER33602 == 2)
	
	bysort ER17002: egen flag_spouse  = max(ER33603 == 20 | ER33603 == 22)	
	
	#delim;
	gen temp_flag_ins_private_head = 0;
	replace temp_flag_ins_private_head = 1 if (inrange(ER33618, 1, 2) | inrange(ER33618, 10, 97) | 
											   inrange(ER33619, 1, 2) | inrange(ER33619, 10, 97) |
											   inrange(ER33620, 1, 2) | inrange(ER33620, 10, 97) | 
											   inrange(ER33621, 1, 2) | inrange(ER33621, 10, 97) 
											   ) & (ER33603 == 10);
	gen temp_flag_ins_public_head = 0 ;
	replace temp_flag_ins_public_head = 1 if ( inrange(ER33618, 3, 9) | inrange(ER33619, 3, 9) |
											   inrange(ER33620, 3, 9) | inrange(ER33621, 3, 9) 
											 ) & (ER33603 == 10);
	
	gen temp_flag_ins_private_spouse = 0;
	replace temp_flag_ins_private_spouse = 1 if ( inrange(ER33618, 1, 2) | inrange(ER33618, 10, 97) | 
											      inrange(ER33619, 1, 2) | inrange(ER33619, 10, 97) |
											      inrange(ER33620, 1, 2) | inrange(ER33620, 10, 97) | 
											      inrange(ER33621, 1, 2) | inrange(ER33621, 10, 97) 
											    ) & (ER33603 == 20 | ER33603 == 22);
	gen temp_flag_ins_public_spouse = 0 ;
	replace temp_flag_ins_public_spouse = 1 if ( inrange(ER33618, 3, 9) | inrange(ER33619, 3, 9) |
											     inrange(ER33620, 3, 9) | inrange(ER33621, 3, 9) 
											   ) & (ER33603 == 20 | ER33603 == 22);
	
	foreach var in flag_ins_private_head flag_ins_public_head
				   flag_ins_private_spouse flag_ins_public_spouse {;
		bysort ER17002: egen `var'  = max(temp_`var');
	};
	
	gen flag_anyins_head = max(flag_ins_private_head, flag_ins_public_head);
	gen flag_anyins_spouse  = max(flag_ins_private_spouse, flag_ins_public_spouse);
	
	replace flag_anyins_spouse      = . if flag_spouse == 0;
	replace flag_ins_private_spouse = . if flag_spouse == 0;
	replace flag_ins_public_spouse  = . if flag_spouse == 0;
	summ flag_*;
	drop temp_*;
	#delim cr
	

	/* Main Cleaning */
	keep if ER33603 == 10 /* Keep head only */

	keep if ER17002 != .
	gen interview_id 	= ER17002
	gen family_weight	= ER20394
	gen num_of_family	= ER17012

	/* Bring in SS Income Type */
	merge m:1 interview_id using `ss_type2001'
	keep if _merge == 3

	gen flag_di_rec = (hdsocsectype == 1 | wfsocsectype == 1)

	/* Indicators on whether head or spouse is DI recipient.
	   If both, use head. --> conditional on DI rec.		    */
	gen flag_di_rec_head = (flag_di_rec == 1 & hdsocsectype == 1)
	replace flag_di_rec_head = . if flag_di_rec == 0
	gen flag_di_rec_spouse = (flag_di_rec == 1 & wfsocsectype == 1)
	replace flag_di_rec_spouse = . if flag_di_rec == 0
	tab flag_di_rec flag_di_rec_head

	/* Receiving SSI (including disability and senior with low income) */
	gen flag_ssi_rec_head = .
	replace flag_ssi_rec_head = 1 if ER18713 == 1
	replace flag_ssi_rec_head = 0 if ER18713 == 5
	replace flag_ssi_rec_head = 0 if ER18713 == 0

	gen flag_ssi_rec_spouse = .
	replace flag_ssi_rec_spouse = 1 if ER19029 == 1
	replace flag_ssi_rec_spouse = 0 if ER19029 == 5
	replace flag_ssi_rec_spouse = 0 if ER19029 == 0

	gen flag_ssi_rec = (flag_ssi_rec_head == 1 | flag_ssi_rec_spouse == 1)
	replace flag_ssi_rec = . if flag_ssi_rec_head == . & flag_ssi_rec_spouse == .
	

	gen annual_mortg	= (ER17054 + ER17065) * 12 if ER17054 <= 99997 & ER17065 <= 99997
	
	gen 	rent_freq 	= 365 if ER17075 == 2
	replace rent_freq 	= 52  if ER17075 == 3 
	replace rent_freq 	= 26  if ER17075 == 4
	replace rent_freq 	= 12  if ER17075 == 5
	replace rent_freq 	= 1   if ER17075 == 6 
	gen 	annual_rent	= ER17074 * rent_freq if ER17074 <= 99997

	/* Food home */			

	/* if food stamps not used, ... */
	gen 	food_freq = 52  if ER18432 == 3
	replace food_freq = 26  if ER18432 == 4
	replace food_freq = 12  if ER18432 == 5
	replace food_freq = 1   if ER18432 == 6
	gen 	food_home = ER18431 * food_freq if ER18431 <= 99996	
	replace food_home = 0 if ER18431 == 0							

	/* Food out */
	gen 	food_out_freq = 365 if ER18439 == 2
	replace food_out_freq = 52  if ER18439 == 3
	replace food_out_freq = 26  if ER18439 == 4
	replace food_out_freq = 12  if ER18439 == 5
	replace food_out_freq = 1   if ER18439 == 6
	gen 	food_out = ER18438 * food_out_freq if ER18438 <= 99996
	
	gen cntrb_outside	= ER19179

	replace annual_mortg  = .  if annual_mortg == 0
	replace annual_rent   = .  if annual_rent  == 0
	replace cntrb_outside = .k if cntrb_outside == 9999998
	replace cntrb_outside = .n if cntrb_outside == 9999999
	
	gen exp_housing   = ER20456A5
	gen exp_mortg     = ER20456A6
	gen exp_rent	  = ER20456A7
	gen exp_utility   = ER20456B1
	gen exp_transport = ER20456B6
	gen exp_food	  = ER20456A1
	gen exp_educ	  = ER20456C9
	gen exp_child	  = ER20456D1
	gen exp_health    = ER20456D2
	
	gen exp_medicalcare = ER19860
	replace exp_medicalcare = . if exp_medicalcare >= 99999998
	replace exp_medicalcare = exp_medicalcare/2	
	
	gen exp_hospital  = ER20456D3
	gen exp_doctor	  = ER20456D4
	gen exp_rx		  = ER20456D5
	gen exp_insurance = ER20456D6
	
	foreach var in exp_food exp_housing exp_utility exp_transport exp_educ exp_child exp_health { 
		replace `var' = 0 if `var' == .
	}
	
	gen exp_hhtotal   = exp_food + exp_housing + exp_transport + exp_educ + exp_child + exp_health
	
	/* Additional controls */
	gen head_age  = ER17013 if ER17013 <= 120
	gen head_male = ER17014 == 1 
	gen head_emply = (ER17216  == 1) if ER17216  < 9
	replace head_emply = 1 if ER17216  != 1 & ER17217  == 1
	replace head_emply = 1 if ER17216  != 1 & ER17218  == 1

	gen spouse_emply = (ER17786 == 1) if ER17786 < 9 & ER17786 != 0
	replace spouse_emply = 1 if ER17786 != 1 & ER17787 == 1
	replace spouse_emply = 1 if ER17786 != 1 & ER17788 == 1
	
	gen non_white = ER19989 != 1 if ER19989 != 9
	
	gen educ_hs 	 = .
	replace educ_hs 	= 0 if inrange(ER20457, 0, 11)
	replace educ_hs		= 1 if inrange(ER20457, 12,17)
	gen educ_college = .
	replace educ_college= 0 if inrange(ER20457, 0, 15)
	replace educ_college= 1 if inrange(ER20457, 16,17)

	gen flag_foodstamp = (ER18386 == 1)
	replace flag_foodstamp = . if ER18386 == 9
	
	gen svy_year = 2001
	
	gen inc_headwife = ER20449
	gen inc_hh = ER20456
	
	/* SSA REC AND DISABILITY STATUS */
	gen inc_ss_total = .
	summ inc_ss_total
	
	gen level_disabled_head   = ER19616 
	gen level_disabled_spouse = ER19724
	tab level_disabled_head 
	tab level_disabled_spouse
	gen flag_candonothing_head = (ER19615  == 7)
	gen flag_candonothing_spouse = (ER19723 == 7)
	
	replace level_disabled_head = -1 if flag_candonothing_head == 1
	replace level_disabled_spouse = -1 if flag_candonothing_spouse == 1
	
	gen flag_severe_head = 0 if level_disabled_head != 0
	replace flag_severe_head = 1  if level_disabled_head == 1
	replace flag_severe_head = 1  if flag_candonothing_head == 1
	tab flag_severe_head
	
	gen flag_severe_spouse = 0 if level_disabled_spouse != 0
	replace flag_severe_spouse = 1  if level_disabled_spouse == 1
	replace flag_severe_spouse = 1  if flag_candonothing_spouse == 1
	tab flag_severe_spouse
	
	gen flag_moderate_head = 0 if level_disabled_head != 0
	replace flag_moderate_head = 1 if (level_disabled_head == 3 | level_disabled_head == 5 | level_disabled_head == 7) 
	tab flag_moderate_head
	
	gen flag_moderate_spouse = 0 if level_disabled_head != 0
	replace flag_moderate_spouse = 1 if (level_disabled_head == 3 | level_disabled_head == 5 | level_disabled_head == 7) 
	tab flag_moderate_spouse
	
	gen flag_psid_disable_head = (flag_severe_head == 1 | flag_moderate_head == 1)
	gen flag_psid_disable_spouse = (flag_severe_spouse == 1 | flag_moderate_spouse == 1)
	tab flag_psid_disable_head
	tab flag_psid_disable_spouse
	
	gen flag_severe = max(flag_severe_head, flag_severe_spouse)
	gen flag_moderate = max(flag_moderate_head, flag_moderate_spouse)
	gen flag_psid_disable = max(flag_psid_disable_head, flag_psid_disable_spouse)
	
	gen flag_severe_head2 = 0 if level_disabled_head != 0
	replace flag_severe_head2 = 1  if level_disabled_head == 1 | level_disabled_head == 3
	replace flag_severe_head2 = 1  if flag_candonothing_head == 1
	tab flag_severe_head2


	gen flag_severe_spouse2 = 0 if level_disabled_spouse != 0
	replace flag_severe_spouse2 = 1  if level_disabled_spouse == 1 | level_disabled_spouse == 3
	replace flag_severe_spouse2 = 1  if flag_candonothing_spouse == 1
	tab flag_severe_spouse2

	gen flag_severe2 = max(flag_severe_head2, flag_severe_spouse2)

	summ flag* 
	
	/******* Measures of permanent income ********/
	
	/* Year of education -- capped at 17, i.e. At least one year of postgraduate work */
	gen level_educ_head   = ER20457 
	gen level_educ_spouse = ER20458 
	replace level_educ_head   = . if level_educ_head >= 98
	replace level_educ_spouse = . if level_educ_spouse >= 98
	
	/* Parental education */
	gen level_educ_headFa_US = ER19955
	gen level_educ_headFa_F  = ER19958
	replace level_educ_headFa_US   = . if level_educ_headFa_US >= 9
	replace level_educ_headFa_F    = . if level_educ_headFa_F  >= 98
	
	gen level_educ_headMo_US = ER19964
	gen level_educ_headMo_F  = ER19967
	replace level_educ_headMo_US   = . if level_educ_headMo_US >= 9
	replace level_educ_headMo_F    = . if level_educ_headMo_F  >= 98
	
	gen level_educ_spouseFa_US = ER19870
	gen level_educ_spouseFa_F  = ER19873
	replace level_educ_spouseFa_US   = . if level_educ_spouseFa_US >= 9
	replace level_educ_spouseFa_F    = . if level_educ_spouseFa_F  >= 98
	
	gen level_educ_spouseMo_US = ER19879
	gen level_educ_spouseMo_F  = ER19882
	replace level_educ_spouseMo_US   = . if level_educ_spouseMo_US >= 9
	replace level_educ_spouseMo_F    = . if level_educ_spouseMo_F  >= 98
	
	/* Parental family wealth when they grow up  */
	gen level_wealth_headParent = ER19987
	replace level_wealth_headParent = . if level_wealth_headParent == 9
	gen level_wealth_spouseParent = .
	replace level_wealth_spouseParent = . if level_wealth_spouseParent == 9
	
	summ level_*
	
	/******* Measures of outside resources ********/
	
	/* Health insurance coverage in the last two years -- at least one member has coverage */ 
	gen flag_health_ins = (ER19840 == 1)
	replace flag_health_ins = . if ER19840 >= 8
	
	/* Spousal wage/salaries */
	gen inc_earn_spouse = ER18930 + ER20420 + ER20444
	replace inc_earn_spouse = . if  inc_earn_spouse >= 9999998
	
	gen level_spouseage = ER17015
	replace level_spouseage = . if level_spouseage > 120	
		
	/* Earnings */
	gen inc_earn_head = ER20425
	replace inc_earn_head = . if  inc_earn_head >= 9999998
	gen inc_earn_HSP = inc_earn_head
	replace inc_earn_HSP = inc_earn_head + inc_earn_spouse if inc_earn_spouse != .
	
	/* Marital Status */
	gen flag_married = (ER17024 == 1)
	replace flag_married = . if ER17024 >= 8
	
	summ flag_health_ins flag_married
	summ inc_* 
	
	gen flag_home_own  = (ER17043 == 1)
	gen flag_home_rent = (ER17043 == 5)
	
	gen level_cash = ER19216 
	replace level_cash = . if level_cash >= 999999998
	
	gen reason_move1 = ER17091 if ER17091 < 99
	gen reason_move2 = ER17092 if reason_move1 != .
	gen reason_move3 = ER17093 if reason_move1 != .
	gen reason_move4 = ER17094 if reason_move1 != .
	
	gen night_hosp_hd = . 
	gen night_hosp_sp = .
	
	gen reason_posend_hd_u = ER17538
	gen reason_posend_sp_u = ER18109 if flag_spouse == 1
	gen reason_posend_hd_e = ER17321
	gen reason_posend_sp_e = ER17891 if flag_spouse == 1
	
	
	
	
	
	gen adl_bath_head = ER19690
	gen adl_dress_head = ER19692
	gen adl_eat_head = ER19694
	gen adl_out_bed_head = ER19696
	gen adl_outdoor_head = ER19700
	gen adl_toilet_head = ER19702
	gen adl_walk_head = ER19698
	
	
	gen adl_bath_spouse = ER19798
	gen adl_dress_spouse = ER19800
	gen adl_eat_spouse = ER19802
	gen adl_out_bed_spouse = ER19804
	gen adl_outdoor_spouse = ER19808
	gen adl_toilet_spouse = ER19810
	gen adl_walk_spouse = ER19806
	
	
	
	
	gen flag_arthritis_head = ER19665
	gen flag_asthma_head = ER19671
	gen flag_blood_head = ER19623
	gen flag_cancer_head = ER19635
	gen flag_diabete_head = ER19629
	
	gen flag_heart_attack_head = ER19647
	gen flag_heart_disease_head = ER19653
	gen flag_lung_disease_head = ER19641
	gen flag_stroke_head = ER19617
	
	
	gen flag_arthritis_spouse = ER19773
	gen flag_asthma_spouse = ER19779
	gen flag_blood_spouse = ER19731
	gen flag_cancer_spouse = ER19743
	gen flag_diabete_spouse = ER19737
	
	gen flag_heart_attack_spouse = ER19755
	gen flag_heart_disease_spouse = ER19761
	gen flag_lung_disease_spouse = ER19749
	gen flag_stroke_spouse = ER19725
	
	/* health status */
	
	gen health_status_head = ER19612
	gen health_status_spouse = ER19720

	/* mental condition */

	gen depression = ER19833A  
	replace depression = . if ER19833A > 30
	gen flag_psychiatric_head = ER19659    
	gen flag_psychiatric_spouse = ER19767 
	
	gen flag_learning_head = ER19683 
	gen flag_learning_spouse = ER19791  
	
	gen flag_memory_head = ER19677    
	gen flag_memory_spouse = ER19785
	
	/* ADC/AFDC, T-2, Social Security, unemployment compensation, worker's compensation*/
	
	
	gen flag_adc_head = ER18697
	gen flag_ui_head = ER18814
	gen flag_wi_head = ER18830
	
	gen flag_adc_spouse = ER19046
	gen flag_ui_spouse = ER18933
	gen flag_wi_spouse = ER18949
	
	gen flag_ss = ER18746

	
	/* Relative and non-relative cash transfer */
	
	gen flag_cash_relative_head = (ER18878 == 1) if ER18878 == 1 | ER18878 == 5
	gen flag_cash_relative_spouse = (ER19110 == 1) if ER19110 == 1 | ER19110 == 5
	
	gen flag_cash_nonrelative_head = (ER18894 == 1) if ER18894 == 1 | ER18894 == 5
	gen flag_cash_nonrelative_spouse = (ER19126 == 1) if ER19126 == 1 | ER19126 == 5

	
	/* exp for rent and mortgage monthly reported */
	
	gen exp_rent_old = ER17074 if ER17074 < 99998
	gen exp_mortg_old = ER17054 if ER17054 < 99998
	
	/* exp for food weekly reported */
	
	gen exp_food_N_fdstamp = ER18431 if ER18431 < 99998 & ER18431 != 0
	gen exp_food_fdstamp = ER18421 if ER18421 < 99998 & ER18421 != 0
	
	count if exp_food_N_fdstamp != . & exp_food_fdstamp != .

	
	gen exp_food_old = exp_food_N_fdstamp
	replace exp_food_old = exp_food_fdstamp if exp_food_old == .

	/* total asset */
	
	gen total_asset_debt = S516

	
	/* individual asset */
	
	gen level_busi = S503
	gen level_saving = S505
	gen level_estate = S509
	gen level_stocks = S511
	gen level_vehicle = S513
	gen level_oth_asset = S515
	gen level_annuity = S519

	gen yr_work_18 = ER20040 if 0 < ER20040 & ER20040 < 99

	/******* State of Residence ********/
	gen state_res_code = ER17004           
	
    label define state_res_code 1 "AL" , modify	
	label define state_res_code 2 "AZ" , modify 
	label define state_res_code 3 "AR" , modify 
	label define state_res_code 4 "CA" , modify 
	label define state_res_code 5 "CO" , modify 
	label define state_res_code 6 "CT" , modify 
	label define state_res_code 7 "DE" , modify 
	label define state_res_code 8 "DC" , modify 
	label define state_res_code 9 "FL" , modify 
	label define state_res_code 10 "GA" , modify
	label define state_res_code 11 "ID" , modify
	label define state_res_code 12 "IL" , modify
	label define state_res_code 13 "IN" , modify
	label define state_res_code 14 "IA" , modify
	label define state_res_code 15 "KS" , modify
	label define state_res_code 16 "KY" , modify
	label define state_res_code 17 "LA" , modify
	label define state_res_code 18 "ME" , modify
	label define state_res_code 19 "MD" , modify
	label define state_res_code 20 "MA" , modify
	label define state_res_code 21 "MI" , modify
	label define state_res_code 22 "MN" , modify
	label define state_res_code 23 "MS" , modify
	label define state_res_code 24 "MO" , modify
	label define state_res_code 25 "MT" , modify
	label define state_res_code 26 "NE" , modify
	label define state_res_code 27 "NV" , modify
	label define state_res_code 28 "NH" , modify
	label define state_res_code 29 "NJ" , modify
	label define state_res_code 30 "NM" , modify
	label define state_res_code 31 "NY" , modify
	label define state_res_code 32 "NC" , modify
	label define state_res_code 33 "ND" , modify
	label define state_res_code 34 "OH" , modify
	label define state_res_code 35 "OK" , modify
	label define state_res_code 36 "OR" , modify
	label define state_res_code 37 "PA" , modify
	label define state_res_code 38 "RI" , modify
	label define state_res_code 39 "SC" , modify
	label define state_res_code 40 "SD" , modify
	label define state_res_code 41 "TN" , modify
	label define state_res_code 42 "TX" , modify
	label define state_res_code 43 "UT" , modify
	label define state_res_code 44 "VT" , modify
	label define state_res_code 45 "VA" , modify
	label define state_res_code 46 "WA" , modify
	label define state_res_code 47 "WV" , modify
	label define state_res_code 48 "WI" , modify
	label define state_res_code 49 "WY" , modify 
	label define state_res_code 50 "AK" , modify
	label define state_res_code 51 "HI" , modify	
	
	label value state_res_code state_res_code	
	decode state_res_code, gen(state_res)
	
	/******* Current State ********/
	gen state_curr_code = ER17005                           

	label define state_curr_code 1 "AL" , modify
	label define state_curr_code 2 "AK" , modify
	label define state_curr_code 4 "AZ" , modify
	label define state_curr_code 5 "AR" , modify
	label define state_curr_code 6 "CA" , modify
	label define state_curr_code 8 "CO" , modify
	label define state_curr_code 9 "CT" , modify
	label define state_curr_code 10 "DE" , modify
	label define state_curr_code 11 "DC" , modify
	label define state_curr_code 12 "FL" , modify
	label define state_curr_code 13 "GA" , modify
	label define state_curr_code 15 "HI" , modify
	label define state_curr_code 16 "ID" , modify
	label define state_curr_code 17 "IL" , modify
	label define state_curr_code 18 "IN" , modify
	label define state_curr_code 19 "IA" , modify
	label define state_curr_code 20 "KS" , modify
	label define state_curr_code 21 "KY" , modify
	label define state_curr_code 22 "LA" , modify
	label define state_curr_code 23 "ME" , modify
	label define state_curr_code 24 "MD" , modify
	label define state_curr_code 25 "MA" , modify
	label define state_curr_code 26 "MI" , modify
	label define state_curr_code 27 "MN" , modify
	label define state_curr_code 28 "MI" , modify
	label define state_curr_code 29 "MO" , modify
	label define state_curr_code 30 "MT" , modify
	label define state_curr_code 31 "NE" , modify
	label define state_curr_code 32 "NV" , modify
	label define state_curr_code 33 "NH" , modify
	label define state_curr_code 34 "NJ" , modify
	label define state_curr_code 35 "NM" , modify
	label define state_curr_code 36 "NY" , modify
	label define state_curr_code 37 "NC" , modify
	label define state_curr_code 38 "ND" , modify
	label define state_curr_code 39 "OH" , modify
	label define state_curr_code 40 "OK" , modify
	label define state_curr_code 41 "OR" , modify
	label define state_curr_code 42 "PA" , modify
	label define state_curr_code 44 "RI" , modify
	label define state_curr_code 45 "SC" , modify
	label define state_curr_code 46 "SD" , modify
	label define state_curr_code 47 "TN" , modify
	label define state_curr_code 48 "TX" , modify
	label define state_curr_code 49 "UT" , modify
	label define state_curr_code 50 "VT" , modify
	label define state_curr_code 51 "VA" , modify
	label define state_curr_code 53 "WA" , modify
	label define state_curr_code 54 "WV" , modify
	label define state_curr_code 55 "WI" , modify
	label define state_curr_code 56 "WY" , modify

	label value state_curr_code state_curr_code
	decode state_curr_code, gen(state_curr)
	

	keep unique_id svy_year interview_id flag_* level_*  num_of_family educ_* head_* inc_* non_white family_weight ///
		 annual_mortg annual_rent food_home food_out cntrb_outside reason* night* depression			 ///
		 exp_* adl* health_status* spouse_emply total_asset_debt yr_work_18 state_res state_curr
		 

	tempfile psid2001
	save `psid2001', replace
	count
restore		
