/* PSID DATA CLEANING: 
   AUX CODE for prep_psid_1.do		*/
   
/* ********* */
/* Year 2003 */
/* ********* */	
preserve
	keep if (ER33703 == 10 & ER33702 == 1) | (ER33703 == 20 & ER33702 == 2) | (ER33703 == 22 & ER33702 == 2)

	bysort ER21002: egen flag_spouse  = max(ER33703 == 20 | ER33703 == 22)	
	
	#delim;
	gen temp_flag_ins_private_head = 0;
	replace temp_flag_ins_private_head = 1 if (inrange(ER33718, 1, 2) | inrange(ER33718, 10, 97) | 
											   inrange(ER33719, 1, 2) | inrange(ER33719, 10, 97) |
											   inrange(ER33720, 1, 2) | inrange(ER33720, 10, 97) | 
											   inrange(ER33721, 1, 2) | inrange(ER33721, 10, 97) 
											   ) & (ER33703 == 10);
	gen temp_flag_ins_public_head = 0 ;
	replace temp_flag_ins_public_head = 1 if ( inrange(ER33718, 3, 9) | inrange(ER33719, 3, 9) |
											   inrange(ER33720, 3, 9) | inrange(ER33721, 3, 9) 
											 ) & (ER33703 == 10);
	
	gen temp_flag_ins_private_spouse = 0;
	replace temp_flag_ins_private_spouse = 1 if ( inrange(ER33718, 1, 2) | inrange(ER33718, 10, 97) | 
											      inrange(ER33719, 1, 2) | inrange(ER33719, 10, 97) |
											      inrange(ER33720, 1, 2) | inrange(ER33720, 10, 97) | 
											      inrange(ER33721, 1, 2) | inrange(ER33721, 10, 97) 
											    ) & (ER33703 == 20 | ER33703 == 22);
	gen temp_flag_ins_public_spouse = 0 ;
	replace temp_flag_ins_public_spouse = 1 if ( inrange(ER33718, 3, 9) | inrange(ER33719, 3, 9) |
											     inrange(ER33720, 3, 9) | inrange(ER33721, 3, 9) 
											   ) & (ER33703 == 20 | ER33703 == 22);
	
	foreach var in flag_ins_private_head flag_ins_public_head
				   flag_ins_private_spouse flag_ins_public_spouse {;
		bysort ER21002: egen `var'  = max(temp_`var');
	};
	
	gen flag_anyins_head = max(flag_ins_private_head, flag_ins_public_head);
	gen flag_anyins_spouse  = max(flag_ins_private_spouse, flag_ins_public_spouse);
	
	replace flag_anyins_spouse      = . if flag_spouse == 0;
	replace flag_ins_private_spouse = . if flag_spouse == 0;
	replace flag_ins_public_spouse  = . if flag_spouse == 0;
	summ flag_*;
	drop temp_*;
	#delim cr
	

	/* Main Cleaning */
	keep if ER33703 == 10 /* Keep head only */

	keep if ER21002 != .
	gen interview_id 	= ER21002
	gen family_weight	= ER24179
	gen num_of_family	= ER21016

	/* Bring in SS Income Type */
	merge m:1 interview_id using `ss_type2003'
	keep if _merge == 3

	gen flag_di_rec = (hdsocsectype == 1 | wfsocsectype == 1)

	/* Indicators on whether head or spouse is DI recipient.
	   If both, use head. --> conditional on DI rec.		    */
	gen flag_di_rec_head = (flag_di_rec == 1 & hdsocsectype == 1)
	replace flag_di_rec_head = . if flag_di_rec == 0
	gen flag_di_rec_spouse = (flag_di_rec == 1 & wfsocsectype == 1)
	replace flag_di_rec_spouse = . if flag_di_rec == 0
	tab flag_di_rec flag_di_rec_head

	/* Receiving SSI (including disability and senior with low income) */
	gen flag_ssi_rec_head = .
	replace flag_ssi_rec_head = 1 if ER22085 == 1
	replace flag_ssi_rec_head = 0 if ER22085 == 5
	replace flag_ssi_rec_head = 0 if ER22085 == 0

	gen flag_ssi_rec_spouse = .
	replace flag_ssi_rec_spouse = 1 if ER22402 == 1
	replace flag_ssi_rec_spouse = 0 if ER22402 == 5
	replace flag_ssi_rec_spouse = 0 if ER22402 == 0

	gen flag_ssi_rec = (flag_ssi_rec_head == 1 | flag_ssi_rec_spouse == 1)
	replace flag_ssi_rec = . if flag_ssi_rec_head == . & flag_ssi_rec_spouse == .


	gen annual_mortg	= (ER21053 + ER21064) * 12 if ER21053 <= 99997 & ER21064 <= 99997
	
	gen 	rent_freq 	= 365 if ER21073 == 2
	replace rent_freq 	= 52  if ER21073 == 3 
	replace rent_freq 	= 26  if ER21073 == 4
	replace rent_freq 	= 12  if ER21073 == 5
	replace rent_freq 	= 1   if ER21073 == 6 
	gen 	annual_rent	= ER21072 * rent_freq if ER21072 <= 99997

	/* Food home */		
	
	/* if food stamps not used, ... */
	gen     food_freq = 52  if ER21697 == 3
	replace food_freq = 26  if ER21697 == 4
	replace food_freq = 12  if ER21697 == 5
	replace food_freq = 1   if ER21697 == 6
	gen 	food_home = ER21696 * food_freq if ER21696 <= 99996
	replace food_home = 0 if ER21696 == 0								

	/* Food out */
	gen     food_out_freq = 365 if ER21704 == 2
	replace food_out_freq = 52  if ER21704 == 3
	replace food_out_freq = 26  if ER21704 == 4
	replace food_out_freq = 12  if ER21704 == 5
	replace food_out_freq = 1   if ER21704 == 6
	gen 	food_out = ER21703 * food_out_freq if ER21703 <= 99996
	
	gen cntrb_outside	= ER22544

	replace annual_mortg  = .  if annual_mortg == 0
	replace annual_rent   = .  if annual_rent  == 0
	replace cntrb_outside = .k if cntrb_outside == 9999998
	replace cntrb_outside = .n if cntrb_outside == 9999999
	
	gen exp_housing   = ER24138A5
	gen exp_mortg     = ER24138A6
	gen exp_rent	  = ER24138A7
	gen exp_utility   = ER24138B1
	gen exp_transport = ER24138B6
	gen exp_food	  = ER24138A1
	gen exp_educ	  = ER24138C9
	gen exp_child	  = ER24138D1
	gen exp_health    = ER24138D2
	
	gen exp_medicalcare = ER23297
	replace exp_medicalcare = . if exp_medicalcare >= 99999998
	replace exp_medicalcare = exp_medicalcare/2	
	
	gen exp_hospital  = ER24138D3
	gen exp_doctor	  = ER24138D4
	gen exp_rx		  = ER24138D5
	gen exp_insurance = ER24138D6
	
	foreach var in exp_food exp_housing exp_utility exp_transport exp_educ exp_child exp_health { 
		replace `var' = 0 if `var' == .
	}
	
	gen exp_hhtotal   = exp_food + exp_housing + exp_transport + exp_educ + exp_child + exp_health 
	
	/* Additional controls */
	gen head_age  = ER21017 if ER21017 <= 120
	gen head_male = ER21018 == 1 
	gen head_emply = (ER21123 == 1) if ER21123 < 9
	replace head_emply = 1 if ER21123 != 1 & ER21124 == 1
	replace head_emply = 1 if ER21123 != 1 & ER21125 == 1

	gen spouse_emply = (ER21373 == 1) if ER21373 < 9 & ER21373 != 0
	replace spouse_emply = 1 if ER21373 != 1 & ER21374 == 1
	replace spouse_emply = 1 if ER21373 != 1 & ER21375 == 1

	gen non_white = ER23426 != 1 if ER23426 != 9
	
	gen educ_hs 	 = .
	replace educ_hs 	= 0 if inrange(ER24148, 0, 11)
	replace educ_hs		= 1 if inrange(ER24148, 12,17)
	gen educ_college = .
	replace educ_college= 0 if inrange(ER24148, 0, 15)
	replace educ_college= 1 if inrange(ER24148, 16,17)

	gen flag_foodstamp = (ER21652 == 1)
	replace flag_foodstamp = . if ER21652 == 9
	
	gen svy_year = 2003
	
	gen inc_headwife = ER24100
	gen inc_hh = ER24099
	
	/* SSA REC AND DISABILITY STATUS */
	gen inc_ss_total = .
	summ inc_ss_total
	
	gen level_disabled_head   = ER23016 
	gen level_disabled_spouse = ER23143
	tab level_disabled_head 
	tab level_disabled_spouse
	gen flag_candonothing_head = (ER23015 == 7)
	gen flag_candonothing_spouse = (ER23142 == 7)
	
	replace level_disabled_head = -1 if flag_candonothing_head == 1
	replace level_disabled_spouse = -1 if flag_candonothing_spouse == 1
	
	gen flag_severe_head = 0 if level_disabled_head != 0
	replace flag_severe_head = 1  if level_disabled_head == 1
	replace flag_severe_head = 1  if flag_candonothing_head == 1
	tab flag_severe_head
	
	gen flag_severe_spouse = 0 if level_disabled_spouse != 0
	replace flag_severe_spouse = 1  if level_disabled_spouse == 1
	replace flag_severe_spouse = 1  if flag_candonothing_spouse == 1
	tab flag_severe_spouse
	
	gen flag_moderate_head = 0 if level_disabled_head != 0
	replace flag_moderate_head = 1 if (level_disabled_head == 3 | level_disabled_head == 5 | level_disabled_head == 7) 
	tab flag_moderate_head
	
	gen flag_moderate_spouse = 0 if level_disabled_head != 0
	replace flag_moderate_spouse = 1 if (level_disabled_head == 3 | level_disabled_head == 5 | level_disabled_head == 7) 
	tab flag_moderate_spouse
	
	gen flag_psid_disable_head = (flag_severe_head == 1 | flag_moderate_head == 1)
	gen flag_psid_disable_spouse = (flag_severe_spouse == 1 | flag_moderate_spouse == 1)
	tab flag_psid_disable_head
	tab flag_psid_disable_spouse
	
	gen flag_severe = max(flag_severe_head, flag_severe_spouse)
	gen flag_moderate = max(flag_moderate_head, flag_moderate_spouse)
	gen flag_psid_disable = max(flag_psid_disable_head, flag_psid_disable_spouse)
	
	gen flag_severe_head2 = 0 if level_disabled_head != 0
	replace flag_severe_head2 = 1  if level_disabled_head == 1 | level_disabled_head == 3
	replace flag_severe_head2 = 1  if flag_candonothing_head == 1
	tab flag_severe_head2


	gen flag_severe_spouse2 = 0 if level_disabled_spouse != 0
	replace flag_severe_spouse2 = 1  if level_disabled_spouse == 1 | level_disabled_spouse == 3
	replace flag_severe_spouse2 = 1  if flag_candonothing_spouse == 1
	tab flag_severe_spouse2

	gen flag_severe2 = max(flag_severe_head2, flag_severe_spouse2)

	summ flag* 
	
	/******* Measures of permanent income ********/
	
	/* Year of education -- capped at 17, i.e. At least one year of postgraduate work */
	gen level_educ_head   = ER24148 
	gen level_educ_spouse = ER24149 /* Note for now: some data might not be brought forward */	
	replace level_educ_head   = . if level_educ_head >= 98
	replace level_educ_spouse = . if level_educ_spouse >= 98
	
	/* Parental education */
	gen level_educ_headFa_US = ER23392
	gen level_educ_headFa_F  = ER23395
	replace level_educ_headFa_US   = . if level_educ_headFa_US >= 9
	replace level_educ_headFa_F    = . if level_educ_headFa_F  >= 98
	
	gen level_educ_headMo_US = ER23401
	gen level_educ_headMo_F  = ER23404
	replace level_educ_headMo_US   = . if level_educ_headMo_US >= 9
	replace level_educ_headMo_F    = . if level_educ_headMo_F  >= 98
	
	gen level_educ_spouseFa_US = ER23307
	gen level_educ_spouseFa_F  = ER23310
	replace level_educ_spouseFa_US   = . if level_educ_spouseFa_US >= 9
	replace level_educ_spouseFa_F    = . if level_educ_spouseFa_F  >= 98
	
	gen level_educ_spouseMo_US = ER23316
	gen level_educ_spouseMo_F  = ER23319
	replace level_educ_spouseMo_US   = . if level_educ_spouseMo_US >= 9
	replace level_educ_spouseMo_F    = . if level_educ_spouseMo_F  >= 98
	
	/* Parental family wealth when they grow up  */
	gen level_wealth_headParent = ER23424
	replace level_wealth_headParent = . if level_wealth_headParent == 9
	gen level_wealth_spouseParent = .
	replace level_wealth_spouseParent = . if level_wealth_spouseParent == 9
	
	summ level_*
	
	/******* Measures of outside resources ********/
	
	/* Health insurance coverage in the last two years -- at least one member has coverage */ 
	gen flag_health_ins = (ER23277 == 1)
	replace flag_health_ins = . if ER23277 >= 8
	
	/* Spousal wage/salaries */
	gen inc_earn_spouse = ER22300 + ER24105 + ER24111
	replace inc_earn_spouse = . if  inc_earn_spouse >= 9999998
	
	gen level_spouseage = ER21019 
	replace level_spouseage = . if level_spouseage > 120	
	
	/* Earnings */
	gen inc_earn_head = ER24117
	replace inc_earn_head = . if  inc_earn_head >= 9999998
	gen inc_earn_HSP = inc_earn_head
	replace inc_earn_HSP = inc_earn_head + inc_earn_spouse if inc_earn_spouse != .
	
	/* Marital Status */
	gen flag_married = (ER21023  == 1)
	replace flag_married = . if ER21023  >= 8
	
	summ flag_health_ins flag_married
	summ inc_* 
	
	gen flag_home_own  = (ER21042  == 1)
	gen flag_home_rent = (ER21042  == 5)
	
	gen level_cash = ER22596 
	replace level_cash = . if level_cash >= 999999998
	
	
	gen reason_move1 = ER21120 if ER21120 < 99
	gen reason_move2 = .
	gen reason_move3 = .
	gen reason_move4 = .
	
	gen night_hosp_hd = ER23090 
	gen night_hosp_sp = ER23217
	
	gen reason_posend_hd_u = ER21184
	gen reason_posend_sp_u = ER21434 if flag_spouse == 1
	gen reason_posend_hd_e = .
	gen reason_posend_sp_e = .
	
	
	
	
	gen adl_bath_head = ER23092
	gen adl_dress_head = ER23094
	gen adl_eat_head = ER23096
	gen adl_out_bed_head = ER23098
	gen adl_outdoor_head = ER23102
	gen adl_toilet_head = ER23104
	gen adl_walk_head = ER23100
	
	gen iadl_heavy_head = ER23114
	gen iadl_light_head = ER23116
	gen iadl_manage_money_head = ER23110
	gen iadl_meal_head = ER23106
	gen iadl_shop_head = ER23108
	gen iadl_tel_head = ER23112
	
	gen adl_bath_spouse = ER23219
	gen adl_dress_spouse = ER23221
	gen adl_eat_spouse = ER23223
	gen adl_out_bed_spouse = ER23225
	gen adl_outdoor_spouse = ER23229
	gen adl_toilet_spouse = ER23231
	gen adl_walk_spouse = ER23227
	
	gen iadl_heavy_spouse = ER23241
	gen iadl_light_spouse = ER23243
	gen iadl_manage_money_spouse = ER23237
	gen iadl_meal_spouse = ER23233
	gen iadl_shop_spouse = ER23235
	gen iadl_tel_spouse = ER23239
	
	
	
	gen flag_arthritis_head = ER23065
	gen flag_asthma_head = ER23071
	gen flag_blood_head = ER23023
	gen flag_cancer_head = ER23035
	gen flag_diabete_head = ER23029
	
	gen flag_heart_attack_head = ER23047
	gen flag_heart_disease_head = ER23053
	gen flag_lung_disease_head = ER23041
	gen flag_stroke_head = ER23017
	
	
	gen flag_arthritis_spouse = ER23192
	gen flag_asthma_spouse = ER23198
	gen flag_blood_spouse = ER23150
	gen flag_cancer_spouse = ER23162
	gen flag_diabete_spouse = ER23156
	
	gen flag_heart_attack_spouse = ER23174
	gen flag_heart_disease_spouse = ER23180
	gen flag_lung_disease_spouse = ER23168
	gen flag_stroke_spouse = ER23144

	/* health status */
	
	gen health_status_head = ER23009
	gen health_status_spouse = ER23136

	/* mental condition */
	
	gen depression = ER23268   
	replace depression = . if ER23268 > 30
	gen flag_psychiatric_head = ER23059   
	gen flag_psychiatric_spouse = ER23186 
	
	gen flag_learning_head = ER23083 
	gen flag_learning_spouse = ER23210
	
	gen flag_memory_head = ER23077   
	gen flag_memory_spouse = ER23204 	
	
	/* ADC/AFDC, T-2, Social Security, unemployment compensation, worker's compensation*/
	
	
	gen flag_adc_head = ER22069
	gen flag_ui_head = ER22184
	gen flag_wi_head = ER22200
	
	gen flag_adc_spouse = ER22419
	gen flag_ui_spouse = ER22303
	gen flag_wi_spouse = ER22319
	
	gen flag_ss = ER22118
	
	/* Compared to two years ago */
	
	gen compared_2yrs_head =  ER23010 if ER23010 < 8
	gen compared_2yrs_spouse = ER23137 if 0 < ER23137 & ER23137 < 8

	
	/* Relative and non-relative cash transfer */
	
	gen flag_cash_relative_head = (ER22248 == 1) if ER22248 == 1 | ER22248 == 5
	gen flag_cash_relative_spouse = (ER22483 == 1) if ER22483 == 1 | ER22483 == 5
	
	gen flag_cash_nonrelative_head = (ER22264 == 1) if ER22264 == 1 | ER22264 == 5
	gen flag_cash_nonrelative_spouse = (ER22499 == 1) if ER22499 == 1 | ER22499 == 5

	/* exp for rent and mortgage monthly reported */
	
	gen exp_rent_old = ER21072 if ER21072 < 99998
	gen exp_mortg_old = ER21053 if ER21053 < 99998

	
	/* exp for food weekly reported */
	
	gen exp_food_N_fdstamp = ER21696 if ER21696 < 99998 & ER21696 != 0
	gen exp_food_fdstamp = ER21686 if ER21686 < 99998 & ER21686 != 0
	
	count if exp_food_N_fdstamp != . & exp_food_fdstamp != .

	
	gen exp_food_old = exp_food_N_fdstamp
	replace exp_food_old = exp_food_fdstamp if exp_food_old == .

	/* total asset */
	
	gen total_asset_debt = S616

	
	/* individual asset */
	
	gen level_busi = S603
	gen level_saving = S605
	gen level_estate = S609
	gen level_stocks = S611
	gen level_vehicle = S613
	gen level_oth_asset = S615
	gen level_annuity = S619

	gen yr_work_18 = ER23476 if 0 < ER23476 & ER23476 < 99

	/******* State of Residence ********/
	gen state_res_code = ER21003            
	
    label define state_res_code 1 "AL" , modify	
	label define state_res_code 2 "AZ" , modify 
	label define state_res_code 3 "AR" , modify 
	label define state_res_code 4 "CA" , modify 
	label define state_res_code 5 "CO" , modify 
	label define state_res_code 6 "CT" , modify 
	label define state_res_code 7 "DE" , modify 
	label define state_res_code 8 "DC" , modify 
	label define state_res_code 9 "FL" , modify 
	label define state_res_code 10 "GA" , modify
	label define state_res_code 11 "ID" , modify
	label define state_res_code 12 "IL" , modify
	label define state_res_code 13 "IN" , modify
	label define state_res_code 14 "IA" , modify
	label define state_res_code 15 "KS" , modify
	label define state_res_code 16 "KY" , modify
	label define state_res_code 17 "LA" , modify
	label define state_res_code 18 "ME" , modify
	label define state_res_code 19 "MD" , modify
	label define state_res_code 20 "MA" , modify
	label define state_res_code 21 "MI" , modify
	label define state_res_code 22 "MN" , modify
	label define state_res_code 23 "MS" , modify
	label define state_res_code 24 "MO" , modify
	label define state_res_code 25 "MT" , modify
	label define state_res_code 26 "NE" , modify
	label define state_res_code 27 "NV" , modify
	label define state_res_code 28 "NH" , modify
	label define state_res_code 29 "NJ" , modify
	label define state_res_code 30 "NM" , modify
	label define state_res_code 31 "NY" , modify
	label define state_res_code 32 "NC" , modify
	label define state_res_code 33 "ND" , modify
	label define state_res_code 34 "OH" , modify
	label define state_res_code 35 "OK" , modify
	label define state_res_code 36 "OR" , modify
	label define state_res_code 37 "PA" , modify
	label define state_res_code 38 "RI" , modify
	label define state_res_code 39 "SC" , modify
	label define state_res_code 40 "SD" , modify
	label define state_res_code 41 "TN" , modify
	label define state_res_code 42 "TX" , modify
	label define state_res_code 43 "UT" , modify
	label define state_res_code 44 "VT" , modify
	label define state_res_code 45 "VA" , modify
	label define state_res_code 46 "WA" , modify
	label define state_res_code 47 "WV" , modify
	label define state_res_code 48 "WI" , modify
	label define state_res_code 49 "WY" , modify 
	label define state_res_code 50 "AK" , modify
	label define state_res_code 51 "HI" , modify	
	
	label value state_res_code state_res_code	
	decode state_res_code, gen(state_res)
	
	/******* Current State ********/
	gen state_curr_code = ER21004                          

	label define state_curr_code 1 "AL" , modify
	label define state_curr_code 2 "AK" , modify
	label define state_curr_code 4 "AZ" , modify
	label define state_curr_code 5 "AR" , modify
	label define state_curr_code 6 "CA" , modify
	label define state_curr_code 8 "CO" , modify
	label define state_curr_code 9 "CT" , modify
	label define state_curr_code 10 "DE" , modify
	label define state_curr_code 11 "DC" , modify
	label define state_curr_code 12 "FL" , modify
	label define state_curr_code 13 "GA" , modify
	label define state_curr_code 15 "HI" , modify
	label define state_curr_code 16 "ID" , modify
	label define state_curr_code 17 "IL" , modify
	label define state_curr_code 18 "IN" , modify
	label define state_curr_code 19 "IA" , modify
	label define state_curr_code 20 "KS" , modify
	label define state_curr_code 21 "KY" , modify
	label define state_curr_code 22 "LA" , modify
	label define state_curr_code 23 "ME" , modify
	label define state_curr_code 24 "MD" , modify
	label define state_curr_code 25 "MA" , modify
	label define state_curr_code 26 "MI" , modify
	label define state_curr_code 27 "MN" , modify
	label define state_curr_code 28 "MI" , modify
	label define state_curr_code 29 "MO" , modify
	label define state_curr_code 30 "MT" , modify
	label define state_curr_code 31 "NE" , modify
	label define state_curr_code 32 "NV" , modify
	label define state_curr_code 33 "NH" , modify
	label define state_curr_code 34 "NJ" , modify
	label define state_curr_code 35 "NM" , modify
	label define state_curr_code 36 "NY" , modify
	label define state_curr_code 37 "NC" , modify
	label define state_curr_code 38 "ND" , modify
	label define state_curr_code 39 "OH" , modify
	label define state_curr_code 40 "OK" , modify
	label define state_curr_code 41 "OR" , modify
	label define state_curr_code 42 "PA" , modify
	label define state_curr_code 44 "RI" , modify
	label define state_curr_code 45 "SC" , modify
	label define state_curr_code 46 "SD" , modify
	label define state_curr_code 47 "TN" , modify
	label define state_curr_code 48 "TX" , modify
	label define state_curr_code 49 "UT" , modify
	label define state_curr_code 50 "VT" , modify
	label define state_curr_code 51 "VA" , modify
	label define state_curr_code 53 "WA" , modify
	label define state_curr_code 54 "WV" , modify
	label define state_curr_code 55 "WI" , modify
	label define state_curr_code 56 "WY" , modify

	label value state_curr_code state_curr_code
	decode state_curr_code, gen(state_curr)
	

	keep unique_id svy_year interview_id flag_* level_*  num_of_family educ_* head_* inc_* non_white family_weight ///
		 annual_mortg annual_rent food_home food_out cntrb_outside reason* night* depression		 ///
		 exp_* adl* iadl* health_status* spouse_emply compared* total_asset_debt yr_work_18 state_res state_curr
		 

	tempfile psid2003
	save `psid2003', replace
	count
restore		
