/* PSID DATA CLEANING: 
   AUX CODE for prep_psid_1.do		*/
   
/* ********* */
/* Year 2005 */
/* ********* */	
preserve
	keep if (ER33803 == 10 & ER33802 == 1) | (ER33803 == 20 & ER33802 == 2) | (ER33803 == 22 & ER33802 == 2)

	bysort ER25002: egen flag_spouse  = max(ER33803 == 20 | ER33803 == 22)	
	
	
	#delim;
	gen temp_flag_ins_private_head = 0;
	replace temp_flag_ins_private_head = 1 if (inrange(ER33819, 1, 2) | inrange(ER33819, 10, 97) | 
											   inrange(ER33820, 1, 2) | inrange(ER33820, 10, 97) |
											   inrange(ER33821, 1, 2) | inrange(ER33821, 10, 97) | 
											   inrange(ER33822, 1, 2) | inrange(ER33822, 10, 97) 
											   ) & (ER33803 == 10);
	gen temp_flag_ins_public_head = 0 ;
	replace temp_flag_ins_public_head = 1 if ( inrange(ER33819, 3, 9) | inrange(ER33820, 3, 9) |
											   inrange(ER33821, 3, 9) | inrange(ER33822, 3, 9) 
											 ) & (ER33803 == 10);
	
	gen temp_flag_ins_private_spouse = 0;
	replace temp_flag_ins_private_spouse = 1 if ( inrange(ER33819, 1, 2) | inrange(ER33819, 10, 97) | 
											      inrange(ER33820, 1, 2) | inrange(ER33820, 10, 97) |
											      inrange(ER33821, 1, 2) | inrange(ER33821, 10, 97) | 
											      inrange(ER33822, 1, 2) | inrange(ER33822, 10, 97) 
											    ) & (ER33803 == 20 | ER33803 == 22);
	gen temp_flag_ins_public_spouse = 0 ;
	replace temp_flag_ins_public_spouse = 1 if ( inrange(ER33819, 3, 9) | inrange(ER33820, 3, 9) |
											     inrange(ER33821, 3, 9) | inrange(ER33822, 3, 9) 
											   ) & (ER33803 == 20 | ER33803 == 22);
	
	foreach var in flag_ins_private_head flag_ins_public_head
				   flag_ins_private_spouse flag_ins_public_spouse {;
		bysort ER25002: egen `var'  = max(temp_`var');
	};
	
	gen flag_anyins_head = max(flag_ins_private_head, flag_ins_public_head);
	gen flag_anyins_spouse  = max(flag_ins_private_spouse, flag_ins_public_spouse);
	
	replace flag_anyins_spouse      = . if flag_spouse == 0;
	replace flag_ins_private_spouse = . if flag_spouse == 0;
	replace flag_ins_public_spouse  = . if flag_spouse == 0;
	summ flag_*;
	drop temp_*;
	#delim cr
	
	
	/* Main Cleaning */
	keep if ER33803 == 10 /* Keep head only */

	keep if ER25002 != .
	gen interview_id 	= ER25002
	gen family_weight	= ER28078
	gen num_of_family	= ER25016
	
	/* Bring in SS Income Type */
	merge m:1 interview_id using `ss_type2005'
	keep if _merge == 3

	gen flag_di_rec = (hdsocsectype == 1 | wfsocsectype == 1)

	/* Indicators on whether head or spouse is DI recipient.
	   If both, use head. --> conditional on DI rec.		    */
	gen flag_di_rec_head = (flag_di_rec == 1 & hdsocsectype == 1)
	replace flag_di_rec_head = . if flag_di_rec == 0
	gen flag_di_rec_spouse = (flag_di_rec == 1 & wfsocsectype == 1)
	replace flag_di_rec_spouse = . if flag_di_rec == 0
	tab flag_di_rec flag_di_rec_head

	/* Receiving SSI (including disability and senior with low income) */
	gen flag_ssi_rec_head = .
	replace flag_ssi_rec_head = 1 if ER26066  == 1
	replace flag_ssi_rec_head = 0 if ER26066  == 5
	replace flag_ssi_rec_head = 0 if ER26066  == 0

	gen flag_ssi_rec_spouse = .
	replace flag_ssi_rec_spouse = 1 if ER26383  == 1
	replace flag_ssi_rec_spouse = 0 if ER26383  == 5
	replace flag_ssi_rec_spouse = 0 if ER26383  == 0

	gen flag_ssi_rec = (flag_ssi_rec_head == 1 | flag_ssi_rec_spouse == 1)
	replace flag_ssi_rec = . if flag_ssi_rec_head == . & flag_ssi_rec_spouse == .
	
	gen annual_mortg	= (ER25044 + ER25055) * 12 if ER25044 <= 99997 & ER25055 <= 99997
	
	gen 	rent_freq 	= 365 if ER25064 == 2
	replace rent_freq 	= 52  if ER25064 == 3 
	replace rent_freq 	= 26  if ER25064 == 4
	replace rent_freq 	= 12  if ER25064 == 5
	replace rent_freq 	= 1   if ER25064 == 6 
	gen 	annual_rent	= ER25063 * rent_freq if ER25063 <= 99997

	/* Food home */		
	
	/* if food stamps not used, ... */
	gen 	food_freq = 52  if ER25699 == 3
	replace food_freq = 26  if ER25699 == 4
	replace food_freq = 12  if ER25699 == 5
	replace food_freq = 1   if ER25699 == 6
	gen     food_home = ER25698 * food_freq if ER25698 <= 99996	
	replace food_home = 0 if ER25698 == 0								

	/* Food out */
	gen 	food_out_freq = 365 if ER25706 == 2
	replace food_out_freq = 52  if ER25706 == 3
	replace food_out_freq = 26  if ER25706 == 4
	replace food_out_freq = 12  if ER25706 == 5
	replace food_out_freq = 1   if ER25706 == 6
	gen 	food_out = ER25705 * food_out_freq if ER25705 <= 99996
		
	gen cntrb_outside	= ER26525

	replace annual_mortg  = .  if annual_mortg == 0
	replace annual_rent   = .  if annual_rent  == 0
	replace cntrb_outside = .k if cntrb_outside == 9999998
	replace cntrb_outside = .n if cntrb_outside == 9999999
	
	gen exp_housing   = ER28037A5
	gen exp_mortg     = ER28037A6
	gen exp_rent	  = ER28037A7
	gen exp_utility   = ER28037B1
	gen exp_transport = ER28037B7
	gen exp_food	  = ER28037A1
	gen exp_educ	  = ER28037D1
	gen exp_child	  = ER28037D2
	gen exp_health    = ER28037D3
	
	gen exp_medicalcare = ER27257
	replace exp_medicalcare = . if exp_medicalcare >= 99999998
	replace exp_medicalcare = exp_medicalcare/2	
	
	gen exp_hospital  = ER28037D4
	gen exp_doctor	  = ER28037D5
	gen exp_rx		  = ER28037D6
	gen exp_insurance = ER28037D7
	
	foreach var in exp_food exp_housing exp_utility exp_transport exp_educ exp_child exp_health {
		replace `var' = 0 if `var' == .
	}
	
	gen exp_hhtotal   = exp_food + exp_housing + exp_transport + exp_educ + exp_child + exp_health 
	
	/* Additional controls */
	gen head_age  = ER25017 if ER25017 <= 120
	gen head_male = ER25018 == 1 
	gen head_emply = (ER25104 == 1) if ER25104 < 9
	replace head_emply = 1 if ER25104 != 1 & ER25105 == 1
	replace head_emply = 1 if ER25104 != 1 & ER25106 == 1
	
	gen spouse_emply = (ER25362 == 1) if ER25362 < 9 & ER25362 != 0
	replace spouse_emply = 1 if ER25362 != 1 & ER25363 == 1
	replace spouse_emply = 1 if ER25362 != 1 & ER25364 == 1

	gen non_white = ER27393 != 1 if ER27393 != 9
	
	gen educ_hs 	 = .
	replace educ_hs 	= 0 if inrange(ER28047, 0, 11)
	replace educ_hs		= 1 if inrange(ER28047, 12,17)
	gen educ_college = .
	replace educ_college= 0 if inrange(ER28047, 0, 15)
	replace educ_college= 1 if inrange(ER28047, 16,17)

	gen flag_foodstamp = (ER25654 == 1)
	replace flag_foodstamp = . if ER25654 == 9
	
	gen svy_year = 2005
	
	gen inc_headwife = ER27953
	gen inc_hh = ER28037
	
	/* SSA REC AND DISABILITY STATUS */
	gen inc_ss_total = .
	summ inc_ss_total
	
	gen level_disabled_head   = ER26997
	gen level_disabled_spouse = ER27120
	tab level_disabled_head 
	tab level_disabled_spouse
	gen flag_candonothing_head = (ER26996 == 7)
	gen flag_candonothing_spouse = (ER27119 == 7)
	
	replace level_disabled_head = -1 if flag_candonothing_head == 1
	replace level_disabled_spouse = -1 if flag_candonothing_spouse == 1
	
	gen flag_severe_head = 0 if level_disabled_head != 0
	replace flag_severe_head = 1  if level_disabled_head == 1
	replace flag_severe_head = 1  if flag_candonothing_head == 1
	tab flag_severe_head
	
	gen flag_severe_spouse = 0 if level_disabled_spouse != 0
	replace flag_severe_spouse = 1  if level_disabled_spouse == 1
	replace flag_severe_spouse = 1  if flag_candonothing_spouse == 1
	tab flag_severe_spouse
	
	gen flag_moderate_head = 0 if level_disabled_head != 0
	replace flag_moderate_head = 1 if (level_disabled_head == 3 | level_disabled_head == 5 | level_disabled_head == 7) 
	tab flag_moderate_head
	
	gen flag_moderate_spouse = 0 if level_disabled_head != 0
	replace flag_moderate_spouse = 1 if (level_disabled_head == 3 | level_disabled_head == 5 | level_disabled_head == 7) 
	tab flag_moderate_spouse
	
	gen flag_psid_disable_head = (flag_severe_head == 1 | flag_moderate_head == 1)
	gen flag_psid_disable_spouse = (flag_severe_spouse == 1 | flag_moderate_spouse == 1)
	tab flag_psid_disable_head
	tab flag_psid_disable_spouse
	
	gen flag_severe = max(flag_severe_head, flag_severe_spouse)
	gen flag_moderate = max(flag_moderate_head, flag_moderate_spouse)
	gen flag_psid_disable = max(flag_psid_disable_head, flag_psid_disable_spouse)
	
	gen flag_severe_head2 = 0 if level_disabled_head != 0
	replace flag_severe_head2 = 1  if level_disabled_head == 1 | level_disabled_head == 3
	replace flag_severe_head2 = 1  if flag_candonothing_head == 1
	tab flag_severe_head2


	gen flag_severe_spouse2 = 0 if level_disabled_spouse != 0
	replace flag_severe_spouse2 = 1  if level_disabled_spouse == 1 | level_disabled_spouse == 3
	replace flag_severe_spouse2 = 1  if flag_candonothing_spouse == 1
	tab flag_severe_spouse2

	gen flag_severe2 = max(flag_severe_head2, flag_severe_spouse2)

	summ flag* 
	
	/******* Measures of permanent income ********/
	
	/* Year of education -- capped at 17, i.e. At least one year of postgraduate work */
	gen level_educ_head   = ER28047 
	gen level_educ_spouse = ER28048	
	replace level_educ_head   = . if level_educ_head >= 98
	replace level_educ_spouse = . if level_educ_spouse >= 98
	
	/* Parental education */
	gen level_educ_headFa_US = ER27356
	gen level_educ_headFa_F  = ER27359
	replace level_educ_headFa_US   = . if level_educ_headFa_US >= 9
	replace level_educ_headFa_F    = . if level_educ_headFa_F  >= 98
	
	gen level_educ_headMo_US = ER27366
	gen level_educ_headMo_F  = ER27369
	replace level_educ_headMo_US   = . if level_educ_headMo_US >= 9
	replace level_educ_headMo_F    = . if level_educ_headMo_F  >= 98
	
	gen level_educ_spouseFa_US = ER27267
	gen level_educ_spouseFa_F  = ER27270
	replace level_educ_spouseFa_US   = . if level_educ_spouseFa_US >= 9
	replace level_educ_spouseFa_F    = . if level_educ_spouseFa_F  >= 98
	
	gen level_educ_spouseMo_US = ER27277
	gen level_educ_spouseMo_F  = ER27280
	replace level_educ_spouseMo_US   = . if level_educ_spouseMo_US >= 9
	replace level_educ_spouseMo_F    = . if level_educ_spouseMo_F  >= 98
	
	/* Parental family wealth when they grow up  */
	gen level_wealth_headParent = ER27390
	replace level_wealth_headParent = . if level_wealth_headParent == 9
	gen level_wealth_spouseParent = .
	replace level_wealth_spouseParent = . if level_wealth_spouseParent == 9
	
	summ level_*
	
	/******* Measures of outside resources ********/
	
	/* Health insurance coverage in the last two years -- at least one member has coverage */ 
	gen flag_health_ins = (ER27237 == 1)
	replace flag_health_ins = . if ER27237 >= 8
	
	/* Spousal wage/salaries */
	gen inc_earn_spouse = ER26281 + ER27908 + ER27940
	replace inc_earn_spouse = . if  inc_earn_spouse >= 9999998
	
	gen level_spouseage = ER25019 
	replace level_spouseage = . if level_spouseage > 120
	
	/* Earnings */
	gen inc_earn_head = ER27913
	replace inc_earn_head = . if  inc_earn_head >= 9999998
	gen inc_earn_HSP = inc_earn_head
	replace inc_earn_HSP = inc_earn_head + inc_earn_spouse if inc_earn_spouse != .
	
	/* Marital Status */
	gen flag_married = (ER25023 == 1)
	replace flag_married = . if ER25023 >= 8
	
	summ flag_health_ins flag_married
	summ inc_* 
	
	gen flag_home_own  = (ER25028 == 1)
	gen flag_home_rent = (ER25028 == 5)
	
	gen level_cash = ER26577 
	replace level_cash = . if level_cash >= 999999998

	gen reason_move1 = ER25101 if ER25101 < 99
	gen reason_move2 = .
	gen reason_move3 = .
	gen reason_move4 = .
	
	gen night_hosp_hd = ER27057 
	gen night_hosp_sp = ER27180
	
	gen reason_posend_hd_u = ER25173
	gen reason_posend_sp_u = ER25431 if flag_spouse == 1
	gen reason_posend_hd_e = .
	gen reason_posend_sp_e = .
	
	

	
	gen adl_bath_head = ER27059
	gen adl_dress_head = ER27062
	gen adl_eat_head = ER27065
	gen adl_out_bed_head = ER27068
	gen adl_outdoor_head = ER27074
	gen adl_toilet_head = ER27077
	gen adl_walk_head = ER27071
	
	gen iadl_heavy_head = ER27088
	gen iadl_light_head = ER27090
	gen iadl_manage_money_head = ER27084
	gen iadl_meal_head = ER27080
	gen iadl_shop_head = ER27082
	gen iadl_tel_head = ER27086
	
	
	gen adl_bath_spouse = ER27182
	gen adl_dress_spouse = ER27185
	gen adl_eat_spouse = ER27188
	gen adl_out_bed_spouse = ER27191
	gen adl_outdoor_spouse = ER27197
	gen adl_toilet_spouse = ER27200
	gen adl_walk_spouse = ER27194
	
	gen iadl_heavy_spouse = ER27211
	gen iadl_light_spouse = ER27213
	gen iadl_manage_money_spouse = ER27207
	gen iadl_meal_spouse = ER27203
	gen iadl_shop_spouse = ER27205
	gen iadl_tel_spouse = ER27209
	

	gen flag_arthritis_head = ER27026
	gen flag_asthma_head = ER27014
	gen flag_blood_head = ER27010
	gen flag_cancer_head = ER27038
	gen flag_diabete_head = ER27022
	
	gen flag_heart_attack_head = ER27002
	gen flag_heart_disease_head = ER27006
	gen flag_lung_disease_head = ER27018
	gen flag_other_head = ER27052
	gen flag_stroke_head = ER26998
	
	
	gen flag_arthritis_spouse = ER27149
	gen flag_asthma_spouse = ER27137
	gen flag_blood_spouse = ER27133
	gen flag_cancer_spouse = ER27161
	gen flag_diabete_spouse = ER27145
	
	gen flag_heart_attack_spouse = ER27125
	gen flag_heart_disease_spouse = ER27129
	gen flag_lung_disease_spouse = ER27141
	gen flag_other_spouse = ER27175
	gen flag_stroke_spouse = ER27121
	
	/* health status */
	
	gen health_status_head = ER26990
	gen health_status_spouse = ER27113

	/* mental condition */
	
	gen flag_psychiatric_head = ER27045    
	gen flag_psychiatric_spouse = ER27168 
	
	gen flag_learning_head = ER27034
	gen flag_learning_spouse = ER27157  
	
	gen flag_memory_head = ER27030     
	gen flag_memory_spouse = ER27153	
	
	/* Chronic condition */
	
	gen flag_chronic_head = (ER27052 == 1) if ER27052 == 1 | ER27052 == 5
	gen flag_chronic_spouse = (ER27175 == 1) if ER27175 == 1 | ER27175 == 5

	
	/* ADC/AFDC, T-2, Social Security, unemployment compensation, worker's compensation*/
	
	
	gen flag_adc_head = ER26050
	gen flag_ui_head = ER26165
	gen flag_wi_head = ER26181
	
	gen flag_adc_spouse = ER26400
	gen flag_ui_spouse = ER26284
	gen flag_wi_spouse = ER26300
	
	gen flag_ss = ER26099
	
	
	/* Compared to two years ago */
	
	gen compared_2yrs_head =  ER26991 if ER26991 < 8
	gen compared_2yrs_spouse = ER27114 if 0 < ER27114 & ER27114 < 8

	
	/* Receiving help for ... */
	
	gen flag_childcare = (ER27686 == 1) if ER27686 == 1 | ER27686 == 5
	gen flag_clothing = (ER27690 == 1) if ER27690 == 1 | ER27690 == 5
	gen flag_food = (ER27689 == 1) if ER27689 == 1 | ER27689 == 5
	gen flag_healthcare = (ER27687 == 1) if ER27687 == 1 | ER27687 == 5
	gen flag_housing = (ER27685 == 1) if ER27685 == 1| ER27685 == 5
	gen flag_jobassist = (ER27688 == 1) if ER27688 == 1 | ER27688 == 5
	gen flag_trasnp = (ER27684 == 1) if ER27684 == 1 | ER27684 == 5
	
	/* Receiving help for ... from family or friends */
		
	gen flag_childcare_fam = (ER27694 == 1) if ER27694 == 1 | ER27694 == 5
	gen flag_clothing_fam = (ER27698 == 1) if ER27698 == 1 | ER27698 == 5
	gen flag_food_fam = (ER27697 == 1) if ER27697 == 1 | ER27697 == 5
	gen flag_healthcare_fam = (ER27695 == 1) if ER27695 == 1 | ER27695 == 5
	gen flag_housing_fam = (ER27693 == 1) if ER27693 == 1| ER27693 == 5
	gen flag_jobassist_fam = (ER27696 == 1) if ER27696 == 1 | ER27696 == 5
	gen flag_trasnp_fam = (ER27692 == 1) if ER27692 == 1 | ER27692 == 5
	
	/* Relative and non-relative cash transfer */
	
	gen flag_cash_relative_head = (ER26229 == 1) if ER26229 == 1 | ER26229 == 5
	gen flag_cash_relative_spouse = (ER26464 == 1) if ER26464 == 1 | ER26464 == 5
	
	gen flag_cash_nonrelative_head = (ER26245 == 1) if ER26245 == 1 | ER26245 == 5
	gen flag_cash_nonrelative_spouse = (ER26480 == 1) if ER26480 == 1 | ER26480 == 5

	
	/* exp for rent and mortgage monthly reported */
	
	gen exp_rent_old = ER25063 if ER25063 < 99998
	gen exp_mortg_old = ER25044 if ER25044 < 99998

	
	/* exp for food weekly reported */
	
	gen exp_food_N_fdstamp = ER25698 if ER25698 < 99998 & ER25698 != 0
	gen exp_food_fdstamp = ER25688 if ER25688 < 99998 & ER25688 != 0
	
	count if exp_food_N_fdstamp != . & exp_food_fdstamp != .

	
	gen exp_food_old = exp_food_N_fdstamp
	replace exp_food_old = exp_food_fdstamp if exp_food_old == .

	/* total asset */
	
	gen total_asset_debt = S716
	
	/* individual asset */
	
	gen level_busi = S703
	gen level_saving = S705
	gen level_estate = S709
	gen level_stocks = S711
	gen level_vehicle = S713
	gen level_oth_asset = S715
	gen level_annuity = S719

	gen yr_work_18 = ER27444 if 0 < ER27444 & ER27444 < 99

   /******* State of Residence ********/
	gen state_res_code = ER25003             
	
    label define state_res_code 1 "AL" , modify	
	label define state_res_code 2 "AZ" , modify 
	label define state_res_code 3 "AR" , modify 
	label define state_res_code 4 "CA" , modify 
	label define state_res_code 5 "CO" , modify 
	label define state_res_code 6 "CT" , modify 
	label define state_res_code 7 "DE" , modify 
	label define state_res_code 8 "DC" , modify 
	label define state_res_code 9 "FL" , modify 
	label define state_res_code 10 "GA" , modify
	label define state_res_code 11 "ID" , modify
	label define state_res_code 12 "IL" , modify
	label define state_res_code 13 "IN" , modify
	label define state_res_code 14 "IA" , modify
	label define state_res_code 15 "KS" , modify
	label define state_res_code 16 "KY" , modify
	label define state_res_code 17 "LA" , modify
	label define state_res_code 18 "ME" , modify
	label define state_res_code 19 "MD" , modify
	label define state_res_code 20 "MA" , modify
	label define state_res_code 21 "MI" , modify
	label define state_res_code 22 "MN" , modify
	label define state_res_code 23 "MS" , modify
	label define state_res_code 24 "MO" , modify
	label define state_res_code 25 "MT" , modify
	label define state_res_code 26 "NE" , modify
	label define state_res_code 27 "NV" , modify
	label define state_res_code 28 "NH" , modify
	label define state_res_code 29 "NJ" , modify
	label define state_res_code 30 "NM" , modify
	label define state_res_code 31 "NY" , modify
	label define state_res_code 32 "NC" , modify
	label define state_res_code 33 "ND" , modify
	label define state_res_code 34 "OH" , modify
	label define state_res_code 35 "OK" , modify
	label define state_res_code 36 "OR" , modify
	label define state_res_code 37 "PA" , modify
	label define state_res_code 38 "RI" , modify
	label define state_res_code 39 "SC" , modify
	label define state_res_code 40 "SD" , modify
	label define state_res_code 41 "TN" , modify
	label define state_res_code 42 "TX" , modify
	label define state_res_code 43 "UT" , modify
	label define state_res_code 44 "VT" , modify
	label define state_res_code 45 "VA" , modify
	label define state_res_code 46 "WA" , modify
	label define state_res_code 47 "WV" , modify
	label define state_res_code 48 "WI" , modify
	label define state_res_code 49 "WY" , modify 
	label define state_res_code 50 "AK" , modify
	label define state_res_code 51 "HI" , modify	
	
	label value state_res_code state_res_code	
	decode state_res_code, gen(state_res)
	
	/******* Current State ********/
	gen state_curr_code = ER25004                         

	label define state_curr_code 1 "AL" , modify
	label define state_curr_code 2 "AK" , modify
	label define state_curr_code 4 "AZ" , modify
	label define state_curr_code 5 "AR" , modify
	label define state_curr_code 6 "CA" , modify
	label define state_curr_code 8 "CO" , modify
	label define state_curr_code 9 "CT" , modify
	label define state_curr_code 10 "DE" , modify
	label define state_curr_code 11 "DC" , modify
	label define state_curr_code 12 "FL" , modify
	label define state_curr_code 13 "GA" , modify
	label define state_curr_code 15 "HI" , modify
	label define state_curr_code 16 "ID" , modify
	label define state_curr_code 17 "IL" , modify
	label define state_curr_code 18 "IN" , modify
	label define state_curr_code 19 "IA" , modify
	label define state_curr_code 20 "KS" , modify
	label define state_curr_code 21 "KY" , modify
	label define state_curr_code 22 "LA" , modify
	label define state_curr_code 23 "ME" , modify
	label define state_curr_code 24 "MD" , modify
	label define state_curr_code 25 "MA" , modify
	label define state_curr_code 26 "MI" , modify
	label define state_curr_code 27 "MN" , modify
	label define state_curr_code 28 "MI" , modify
	label define state_curr_code 29 "MO" , modify
	label define state_curr_code 30 "MT" , modify
	label define state_curr_code 31 "NE" , modify
	label define state_curr_code 32 "NV" , modify
	label define state_curr_code 33 "NH" , modify
	label define state_curr_code 34 "NJ" , modify
	label define state_curr_code 35 "NM" , modify
	label define state_curr_code 36 "NY" , modify
	label define state_curr_code 37 "NC" , modify
	label define state_curr_code 38 "ND" , modify
	label define state_curr_code 39 "OH" , modify
	label define state_curr_code 40 "OK" , modify
	label define state_curr_code 41 "OR" , modify
	label define state_curr_code 42 "PA" , modify
	label define state_curr_code 44 "RI" , modify
	label define state_curr_code 45 "SC" , modify
	label define state_curr_code 46 "SD" , modify
	label define state_curr_code 47 "TN" , modify
	label define state_curr_code 48 "TX" , modify
	label define state_curr_code 49 "UT" , modify
	label define state_curr_code 50 "VT" , modify
	label define state_curr_code 51 "VA" , modify
	label define state_curr_code 53 "WA" , modify
	label define state_curr_code 54 "WV" , modify
	label define state_curr_code 55 "WI" , modify
	label define state_curr_code 56 "WY" , modify

	label value state_curr_code state_curr_code
	decode state_curr_code, gen(state_curr)

	
	keep unique_id svy_year interview_id flag_* level_*  num_of_family educ_* head_* inc_* non_white family_weight ///
		 annual_mortg annual_rent food_home food_out cntrb_outside reason* night*	   ///
		 exp_* adl* iadl* health_status* spouse_emply compared* total_asset_debt yr_work_18 state_res state_curr
		 

	tempfile psid2005
	save `psid2005', replace
	count
restore		
