/* PSID DATA CLEANING: 
   AUX CODE for prep_psid_1.do		*/

/* ********* */
/* Year 2007 */
/* ********* */	
preserve

	keep if (ER33903 == 10 & ER33902 == 1) | (ER33903 == 20 & ER33902 == 2) | (ER33903 == 22 & ER33902 == 2)
	
	bysort ER36002: egen flag_spouse = max(ER33903 == 20 | ER33903 == 22)	

	
	#delim;
	gen temp_flag_ins_private_head = 0;
	replace temp_flag_ins_private_head = 1 if (inrange(ER33919, 1, 2) | inrange(ER33919, 10, 97) | 
											   inrange(ER33920, 1, 2) | inrange(ER33920, 10, 97) |
											   inrange(ER33921, 1, 2) | inrange(ER33921, 10, 97) | 
											   inrange(ER33922, 1, 2) | inrange(ER33922, 10, 97) 
											   ) & (ER33903 == 10);
	gen temp_flag_ins_public_head = 0 ;
	replace temp_flag_ins_public_head = 1 if ( inrange(ER33919, 3, 9) | inrange(ER33920, 3, 9) |
											   inrange(ER33921, 3, 9) | inrange(ER33922, 3, 9) 
											 ) & (ER33903 == 10);
	
	gen temp_flag_ins_private_spouse = 0;
	replace temp_flag_ins_private_spouse = 1 if ( inrange(ER33919, 1, 2) | inrange(ER33919, 10, 97) | 
											      inrange(ER33920, 1, 2) | inrange(ER33920, 10, 97) |
											      inrange(ER33921, 1, 2) | inrange(ER33921, 10, 97) | 
											      inrange(ER33922, 1, 2) | inrange(ER33922, 10, 97) 
											    ) & (ER33903 == 20 | ER33903 == 22);
	gen temp_flag_ins_public_spouse = 0 ;
	replace temp_flag_ins_public_spouse = 1 if ( inrange(ER33919, 3, 9) | inrange(ER33920, 3, 9) |
											     inrange(ER33921, 3, 9) | inrange(ER33922, 3, 9) 
											   ) & (ER33903 == 20 | ER33903 == 22);
	
	foreach var in flag_ins_private_head flag_ins_public_head
				   flag_ins_private_spouse flag_ins_public_spouse {;
		bysort ER36002: egen `var'  = max(temp_`var');
	};
	
	gen flag_anyins_head = max(flag_ins_private_head, flag_ins_public_head);
	gen flag_anyins_spouse  = max(flag_ins_private_spouse, flag_ins_public_spouse);
	
	replace flag_anyins_spouse      = . if flag_spouse == 0;
	replace flag_ins_private_spouse = . if flag_spouse == 0;
	replace flag_ins_public_spouse  = . if flag_spouse == 0;
	summ flag_*;
	drop temp_*;
	#delim cr	
	
	
	/* Main Cleaning */
	keep if ER33903 == 10 /* Keep head only */
	
	keep if ER36002 != .
	gen interview_id 	= ER36002
	gen family_weight	= ER41069
	gen num_of_family	= ER36016
	
	/* Bring in SS Income Type */
	merge m:1 interview_id using `ss_type2007'
	keep if _merge == 3
	
	gen flag_di_rec = (hdsocsectype == 1 | wfsocsectype == 1)

	/* Indicators on whether head or spouse is DI recipient.
	   If both, use head. --> conditional on DI rec.		    */
	gen flag_di_rec_head = (flag_di_rec == 1 & hdsocsectype == 1)
	replace flag_di_rec_head = . if flag_di_rec == 0
	gen flag_di_rec_spouse = (flag_di_rec == 1 & wfsocsectype == 1)
	replace flag_di_rec_spouse = . if flag_di_rec == 0
	tab flag_di_rec flag_di_rec_head

	/* Receiving SSI (including disability and senior with low income) */
	gen flag_ssi_rec_head = .
	replace flag_ssi_rec_head = 1 if ER37084  == 1
	replace flag_ssi_rec_head = 0 if ER37084  == 5
	replace flag_ssi_rec_head = 0 if ER37084  == 0

	gen flag_ssi_rec_spouse = .
	replace flag_ssi_rec_spouse = 1 if ER37401  == 1
	replace flag_ssi_rec_spouse = 0 if ER37401  == 5
	replace flag_ssi_rec_spouse = 0 if ER37401  == 0

	gen flag_ssi_rec = (flag_ssi_rec_head == 1 | flag_ssi_rec_spouse == 1)
	replace flag_ssi_rec = . if flag_ssi_rec_head == . & flag_ssi_rec_spouse == .

	

	gen annual_mortg	= (ER36044 + ER36056) * 12 if ER36044 <= 99997 & ER36056 <= 99997
	
	gen 	rent_freq 	= 365 if ER36066 == 2
	replace rent_freq 	= 52  if ER36066 == 3 
	replace rent_freq 	= 26  if ER36066 == 4
	replace rent_freq 	= 12  if ER36066 == 5
	replace rent_freq 	= 1   if ER36066 == 6 
	gen 	annual_rent	= ER36065 * rent_freq if ER36065 <= 99997

	/* Food home */	
	
	/* if food stamps not used, ... */
	gen 	food_freq = 52  if ER36717 == 3
	replace food_freq = 26  if ER36717 == 4
	replace food_freq = 12  if ER36717 == 5
	replace food_freq = 1   if ER36717 == 6
	gen     food_home = ER36716 * food_freq if ER36716 <= 99996	
	replace food_home = 0 if ER36716 == 0									

	/* Food out */
	gen 	food_out_freq = 365 if ER36724 == 2
	replace food_out_freq = 52  if ER36724 == 3
	replace food_out_freq = 26  if ER36724 == 4
	replace food_out_freq = 12  if ER36724 == 5
	replace food_out_freq = 1   if ER36724 == 6
	gen 	food_out = ER36723 * food_out_freq if ER36723 <= 99996
	
	gen cntrb_outside	= ER37543

	replace annual_mortg  = .  if annual_mortg == 0
	replace annual_rent   = .  if annual_rent  == 0
	replace cntrb_outside = .k if cntrb_outside == 9999998
	replace cntrb_outside = .n if cntrb_outside == 9999999
	
	gen exp_housing   = ER41027A5
	gen exp_mortg     = ER41027A6
	gen exp_rent	  = ER41027A7
	gen exp_utility   = ER41027B1
	gen exp_transport = ER41027B5
	gen exp_food	  = ER41027A1
	gen exp_educ	  = ER41027D1
	gen exp_child	  = ER41027D2
	gen exp_health    = ER41027D3
	
	gen exp_medicalcare = ER40432
	replace exp_medicalcare = . if exp_medicalcare >= 99999998
	replace exp_medicalcare = exp_medicalcare/2	
	
	gen exp_hospital  = ER41027D4
	gen exp_doctor	  = ER41027D5
	gen exp_rx		  = ER41027D6
	gen exp_insurance = ER41027D7
	
	foreach var in exp_food exp_housing exp_utility exp_transport exp_educ exp_child exp_health {
		replace `var' = 0 if `var' == .
	}
	
	gen exp_hhtotal   = exp_food + exp_housing + exp_transport + exp_educ + exp_child + exp_health 
	
	
	/* Additional controls */
	gen head_age  = ER36017 if ER36017 <= 120
	gen head_male = ER36018 == 1 
	gen head_emply = (ER36109 == 1) if ER36109 < 9
	replace head_emply = 1 if ER36109 != 1 & ER36110 == 1
	replace head_emply = 1 if ER36109 != 1 & ER36111 == 1

	gen spouse_emply = (ER36367 == 1) if ER36367 < 9 & ER36367 != 0
	replace spouse_emply = 1 if ER36367 != 1 & ER36368 == 1
	replace spouse_emply = 1 if ER36367 != 1 & ER36369 == 1

	gen non_white = ER40565 != 1 if ER40565 != 9
	
	gen educ_hs 	 = .
	replace educ_hs 	= 0 if inrange(ER41037, 0, 11)
	replace educ_hs		= 1 if inrange(ER41037, 12,17)
	gen educ_college = .
	replace educ_college= 0 if inrange(ER41037, 0, 15)
	replace educ_college= 1 if inrange(ER41037, 16,17)

	gen flag_foodstamp = (ER36672  == 1)
	replace flag_foodstamp = . if ER36672 == 9
	
	gen svy_year = 2007
	
	gen inc_headwife = ER40943
	gen inc_hh = ER41027
	
	/* SSA REC AND DISABILITY STATUS */
	gen inc_ss_total = .
	summ inc_ss_total
	
	gen level_disabled_head   = ER38208
	gen level_disabled_spouse = ER39305
	tab level_disabled_head 
	tab level_disabled_spouse
	
	gen flag_candonothing_head = (ER38207 == 7)
	gen flag_candonothing_spouse = (ER39304 == 7)
	
	replace level_disabled_head = -1 if flag_candonothing_head == 1
	replace level_disabled_spouse = -1 if flag_candonothing_spouse == 1
	
	gen flag_severe_head = 0 if level_disabled_head != 0
	replace flag_severe_head = 1  if level_disabled_head == 1
	replace flag_severe_head = 1  if flag_candonothing_head == 1
	tab flag_severe_head
	
	gen flag_severe_spouse = 0 if level_disabled_spouse != 0
	replace flag_severe_spouse = 1  if level_disabled_spouse == 1
	replace flag_severe_spouse = 1  if flag_candonothing_spouse == 1
	tab flag_severe_spouse
	
	gen flag_moderate_head = 0 if level_disabled_head != 0
	replace flag_moderate_head = 1 if (level_disabled_head == 3 | level_disabled_head == 5 | level_disabled_head == 7) 
	tab flag_moderate_head
	
	gen flag_moderate_spouse = 0 if level_disabled_head != 0
	replace flag_moderate_spouse = 1 if (level_disabled_head == 3 | level_disabled_head == 5 | level_disabled_head == 7) 
	tab flag_moderate_spouse
	
	gen flag_psid_disable_head = (flag_severe_head == 1 | flag_moderate_head == 1)
	gen flag_psid_disable_spouse = (flag_severe_spouse == 1 | flag_moderate_spouse == 1)
	tab flag_psid_disable_head
	tab flag_psid_disable_spouse
	
	gen flag_severe = max(flag_severe_head, flag_severe_spouse)
	gen flag_moderate = max(flag_moderate_head, flag_moderate_spouse)
	gen flag_psid_disable = max(flag_psid_disable_head, flag_psid_disable_spouse)

	gen flag_severe_head2 = 0 if level_disabled_head != 0
	replace flag_severe_head2 = 1  if level_disabled_head == 1 | level_disabled_head == 3
	replace flag_severe_head2 = 1  if flag_candonothing_head == 1
	tab flag_severe_head2


	gen flag_severe_spouse2 = 0 if level_disabled_spouse != 0
	replace flag_severe_spouse2 = 1  if level_disabled_spouse == 1 | level_disabled_spouse == 3
	replace flag_severe_spouse2 = 1  if flag_candonothing_spouse == 1
	tab flag_severe_spouse2

	gen flag_severe2 = max(flag_severe_head2, flag_severe_spouse2)

	summ flag* 
	
	/******* Measures of permanent income ********/
	
	/* Year of education -- capped at 17, i.e. At least one year of postgraduate work */
	gen level_educ_head   = ER41037  
	gen level_educ_spouse = ER41038	
	replace level_educ_head   = . if level_educ_head >= 98
	replace level_educ_spouse = . if level_educ_spouse >= 98
	
	/* Parental education */
	gen level_educ_headFa_US = ER40531 
	gen level_educ_headFa_F  = ER40534 
	replace level_educ_headFa_US   = . if level_educ_headFa_US >= 9
	replace level_educ_headFa_F    = . if level_educ_headFa_F  >= 98
	
	gen level_educ_headMo_US = ER40541
	gen level_educ_headMo_F  = ER40544 
	replace level_educ_headMo_US   = . if level_educ_headMo_US >= 9
	replace level_educ_headMo_F    = . if level_educ_headMo_F  >= 98
	
	gen level_educ_spouseFa_US = ER40442
	gen level_educ_spouseFa_F  = ER40445 
	replace level_educ_spouseFa_US   = . if level_educ_spouseFa_US >= 9
	replace level_educ_spouseFa_F    = . if level_educ_spouseFa_F  >= 98
	
	gen level_educ_spouseMo_US = ER40452
	gen level_educ_spouseMo_F  = ER40455 
	replace level_educ_spouseMo_US   = . if level_educ_spouseMo_US >= 9
	replace level_educ_spouseMo_F    = . if level_educ_spouseMo_F  >= 98

	/* Parental family wealth when they grow up  */
	gen level_wealth_headParent = ER37728 
	replace level_wealth_headParent = . if level_wealth_headParent == 9
	gen level_wealth_spouseParent = .
	replace level_wealth_spouseParent = . if level_wealth_spouseParent == 9
	
	summ level_*
	/******* Measures of outside resources ********/
	
	/* Health insurance coverage in the last two years -- at least one member has coverage */ 
	gen flag_health_ins = (ER27237 == 1)
	replace flag_health_ins = . if ER27237 >= 8
	
	/* Spousal wage/salaries */
	gen inc_earn_spouse = ER37299 + ER40898 + ER40930
	replace inc_earn_spouse = . if  inc_earn_spouse >= 9999998

	gen level_spouseage = ER36019 
	replace level_spouseage = . if level_spouseage > 120
	
	/* Earnings */
	gen inc_earn_head = ER40903 
	replace inc_earn_head = . if  inc_earn_head >= 9999998
	gen inc_earn_HSP = inc_earn_head
	replace inc_earn_HSP = inc_earn_head + inc_earn_spouse if inc_earn_spouse != .
	
	/* Marital Status */
	gen flag_married = (ER36023  == 1)
	replace flag_married = . if ER36023  >= 8
	
	summ flag_health_ins flag_married
	summ inc_* 
	
	gen flag_home_own  = (ER36028  == 1)
	gen flag_home_rent = (ER36028  == 5)	

	gen level_cash = ER37595 
	replace level_cash = . if level_cash >= 999999998

	gen reason_move1 = ER36106 if ER36106 < 9
	gen reason_move2 = .
	gen reason_move3 = .
	gen reason_move4 = .
	
	gen night_hosp_hd = ER38268 
	gen night_hosp_sp = ER39365
	
	gen reason_posend_hd_u = ER36178
	gen reason_posend_sp_u = ER36436 if flag_spouse == 1
	gen reason_posend_hd_e = .
	gen reason_posend_sp_e = .
	

	
	
	
	
	gen adl_bath_head = ER38270
	gen adl_dress_head = ER38273
	gen adl_eat_head = ER38276
	gen adl_out_bed_head = ER38279
	gen adl_outdoor_head = ER38285
	gen adl_toilet_head = ER38288
	gen adl_walk_head = ER38282
	
	gen iadl_heavy_head = ER38299
	gen iadl_light_head = ER38301
	gen iadl_manage_money_head = ER38295
	gen iadl_meal_head = ER38291
	gen iadl_shop_head = ER38293
	gen iadl_tel_head = ER38297
	
	gen adl_bath_spouse = ER39367
	gen adl_dress_spouse = ER39370
	gen adl_eat_spouse = ER39373
	gen adl_out_bed_spouse = ER39376
	gen adl_outdoor_spouse = ER39382
	gen adl_toilet_spouse = ER39385
	gen adl_walk_spouse = ER39379
	
	gen iadl_heavy_spouse = ER39396
	gen iadl_light_spouse = ER39398
	gen iadl_manage_money_spouse = ER39392
	gen iadl_meal_spouse = ER39388
	gen iadl_shop_spouse = ER39390
	gen iadl_tel_spouse = ER39394
	
	
	gen flag_arthritis_head = ER38237
	gen flag_asthma_head = ER38225
	gen flag_blood_head = ER38221
	gen flag_cancer_head = ER38249
	gen flag_diabete_head = ER38233
	
	gen flag_heart_attack_head = ER38213
	gen flag_heart_disease_head = ER38217
	gen flag_lung_disease_head = ER38229
	gen flag_other_head = ER38263
	gen flag_stroke_head = ER38209
	
	
	gen flag_arthritis_spouse = ER39334
	gen flag_asthma_spouse = ER39322
	gen flag_blood_spouse = ER39318
	gen flag_cancer_spouse = ER39346
	gen flag_diabete_spouse = ER39330
	
	gen flag_heart_attack_spouse = ER39310
	gen flag_heart_disease_spouse = ER39314
	gen flag_lung_disease_spouse = ER39326
	gen flag_other_spouse = ER39360
	gen flag_stroke_spouse = ER39306

	/* health status */
	
	gen health_status_head = ER38202
	gen health_status_spouse = ER39299

	/* mental condition */
	
	gen depression = ER40402  
	replace depression = . if ER40402 > 30
	gen flag_psychiatric_head = ER38256   
	gen flag_psychiatric_spouse = ER39353 
	
	gen flag_learning_head = ER38245
	gen flag_learning_spouse = ER39342  
	
	gen flag_memory_head = ER38241    
	gen flag_memory_spouse = ER39338	
	
	/* Chronic condition */
	
	gen flag_chronic_head = (ER38263 == 1) if ER38263 == 1 | ER38263 == 5
	gen flag_chronic_spouse = (ER39360 == 1) if ER39360 == 1 | ER39360 == 5

	
	/* ADC/AFDC, T-2, Social Security, unemployment compensation, worker's compensation*/
	
	
	gen flag_adc_head = ER37068
	gen flag_ui_head = ER37183
	gen flag_wi_head = ER37199
	
	gen flag_adc_spouse = ER37418
	gen flag_ui_spouse = ER37302
	gen flag_wi_spouse = ER37318
	
	gen flag_ss = ER37117


	/* Compared to two years ago */
	
	gen compared_2yrs_head =  ER38203 if ER38203 < 8
	gen compared_2yrs_spouse = ER39300 if 0 < ER39300 & ER39300 < 8

	/* Parent care in past and future */
	
	gen flag_parentcare_past = (ER37734 == 1) if ER37734 == 1 | ER37734 == 5
	
	gen flag_parentcare_future = (ER37735 == 1) if ER37735 == 1 | ER37735 == 5
	
	/* Relative and non-relative cash transfer */
	
	gen flag_cash_relative_head = (ER37247 == 1) if ER37247 == 1 | ER37247 == 5
	gen flag_cash_relative_spouse = (ER37482 == 1) if ER37482 == 1 | ER37482 == 5
	
	gen flag_cash_nonrelative_head = (ER37263 == 1) if ER37263 == 1 | ER37263 == 5
	gen flag_cash_nonrelative_spouse = (ER37498 == 1) if ER37498 == 1 | ER37498 == 5

	
	/* exp for rent and mortgage monthly reported */
	
	gen exp_rent_old = ER36065 if ER36065 < 99998
	gen exp_mortg_old = ER36044 if ER36044 < 99998

	/* exp for food weekly reported */
	
	gen exp_food_N_fdstamp = ER36716 if ER36716 < 99998 & ER36716 != 0
	gen exp_food_fdstamp = ER36706 if ER36706 < 99998 & ER36706 != 0
	
	count if exp_food_N_fdstamp != . & exp_food_fdstamp != .

	
	gen exp_food_old = exp_food_N_fdstamp
	replace exp_food_old = exp_food_fdstamp if exp_food_old == .

	/* total asset */
	
	gen total_asset_debt = S816
	
	/* individual asset */
	
	gen level_busi = S803
	gen level_saving = S805
	gen level_estate = S809
	gen level_stocks = S811
	gen level_vehicle = S813
	gen level_oth_asset = S815
	gen level_annuity = S819

	gen yr_work_18 = ER40616 if 0 < ER40616 & ER40616 < 99

   /******* State of Residence ********/
	gen state_res_code = ER36003              
	
    label define state_res_code 1 "AL" , modify	
	label define state_res_code 2 "AZ" , modify 
	label define state_res_code 3 "AR" , modify 
	label define state_res_code 4 "CA" , modify 
	label define state_res_code 5 "CO" , modify 
	label define state_res_code 6 "CT" , modify 
	label define state_res_code 7 "DE" , modify 
	label define state_res_code 8 "DC" , modify 
	label define state_res_code 9 "FL" , modify 
	label define state_res_code 10 "GA" , modify
	label define state_res_code 11 "ID" , modify
	label define state_res_code 12 "IL" , modify
	label define state_res_code 13 "IN" , modify
	label define state_res_code 14 "IA" , modify
	label define state_res_code 15 "KS" , modify
	label define state_res_code 16 "KY" , modify
	label define state_res_code 17 "LA" , modify
	label define state_res_code 18 "ME" , modify
	label define state_res_code 19 "MD" , modify
	label define state_res_code 20 "MA" , modify
	label define state_res_code 21 "MI" , modify
	label define state_res_code 22 "MN" , modify
	label define state_res_code 23 "MS" , modify
	label define state_res_code 24 "MO" , modify
	label define state_res_code 25 "MT" , modify
	label define state_res_code 26 "NE" , modify
	label define state_res_code 27 "NV" , modify
	label define state_res_code 28 "NH" , modify
	label define state_res_code 29 "NJ" , modify
	label define state_res_code 30 "NM" , modify
	label define state_res_code 31 "NY" , modify
	label define state_res_code 32 "NC" , modify
	label define state_res_code 33 "ND" , modify
	label define state_res_code 34 "OH" , modify
	label define state_res_code 35 "OK" , modify
	label define state_res_code 36 "OR" , modify
	label define state_res_code 37 "PA" , modify
	label define state_res_code 38 "RI" , modify
	label define state_res_code 39 "SC" , modify
	label define state_res_code 40 "SD" , modify
	label define state_res_code 41 "TN" , modify
	label define state_res_code 42 "TX" , modify
	label define state_res_code 43 "UT" , modify
	label define state_res_code 44 "VT" , modify
	label define state_res_code 45 "VA" , modify
	label define state_res_code 46 "WA" , modify
	label define state_res_code 47 "WV" , modify
	label define state_res_code 48 "WI" , modify
	label define state_res_code 49 "WY" , modify 
	label define state_res_code 50 "AK" , modify
	label define state_res_code 51 "HI" , modify	
	
	label value state_res_code state_res_code	
	decode state_res_code, gen(state_res)
	
	/******* Current State ********/
	gen state_curr_code = ER36004                        

	label define state_curr_code 1 "AL" , modify
	label define state_curr_code 2 "AK" , modify
	label define state_curr_code 4 "AZ" , modify
	label define state_curr_code 5 "AR" , modify
	label define state_curr_code 6 "CA" , modify
	label define state_curr_code 8 "CO" , modify
	label define state_curr_code 9 "CT" , modify
	label define state_curr_code 10 "DE" , modify
	label define state_curr_code 11 "DC" , modify
	label define state_curr_code 12 "FL" , modify
	label define state_curr_code 13 "GA" , modify
	label define state_curr_code 15 "HI" , modify
	label define state_curr_code 16 "ID" , modify
	label define state_curr_code 17 "IL" , modify
	label define state_curr_code 18 "IN" , modify
	label define state_curr_code 19 "IA" , modify
	label define state_curr_code 20 "KS" , modify
	label define state_curr_code 21 "KY" , modify
	label define state_curr_code 22 "LA" , modify
	label define state_curr_code 23 "ME" , modify
	label define state_curr_code 24 "MD" , modify
	label define state_curr_code 25 "MA" , modify
	label define state_curr_code 26 "MI" , modify
	label define state_curr_code 27 "MN" , modify
	label define state_curr_code 28 "MI" , modify
	label define state_curr_code 29 "MO" , modify
	label define state_curr_code 30 "MT" , modify
	label define state_curr_code 31 "NE" , modify
	label define state_curr_code 32 "NV" , modify
	label define state_curr_code 33 "NH" , modify
	label define state_curr_code 34 "NJ" , modify
	label define state_curr_code 35 "NM" , modify
	label define state_curr_code 36 "NY" , modify
	label define state_curr_code 37 "NC" , modify
	label define state_curr_code 38 "ND" , modify
	label define state_curr_code 39 "OH" , modify
	label define state_curr_code 40 "OK" , modify
	label define state_curr_code 41 "OR" , modify
	label define state_curr_code 42 "PA" , modify
	label define state_curr_code 44 "RI" , modify
	label define state_curr_code 45 "SC" , modify
	label define state_curr_code 46 "SD" , modify
	label define state_curr_code 47 "TN" , modify
	label define state_curr_code 48 "TX" , modify
	label define state_curr_code 49 "UT" , modify
	label define state_curr_code 50 "VT" , modify
	label define state_curr_code 51 "VA" , modify
	label define state_curr_code 53 "WA" , modify
	label define state_curr_code 54 "WV" , modify
	label define state_curr_code 55 "WI" , modify
	label define state_curr_code 56 "WY" , modify

	label value state_curr_code state_curr_code
	decode state_curr_code, gen(state_curr)


	keep unique_id svy_year interview_id flag_* level_*  num_of_family educ_* head_* inc_* non_white  ///
		 family_weight annual_mortg annual_rent food_home food_out cntrb_outside reason* night* 	 ///
		 depression exp_* adl* iadl* health_status* spouse_emply compared* total_asset_debt ///
		 yr_work_18 state_res state_curr

	tempfile psid2007
	save `psid2007', replace
	
restore		
	
