/* PSID DATA CLEANING: 
   AUX CODE for prep_psid_1.do		*/
   
/* ********* */
/* Year 2009 */
/* ********* */	
preserve

	keep if (ER34003 == 10 & ER34002 == 1) | (ER34003 == 20 & ER34002 == 2) | (ER34003 == 22 & ER34002 == 2)

	bysort ER42002: egen flag_spouse  = max(ER34003 == 20 | ER34003 == 22)	
	bysort ER42002: egen flag_di_rec  = max(ER34030 == 1)
	bysort ER42002: egen flag_ssi_rec = max(ER34029F >= 100)
	gen temp_flag_di_rec_spouse = (ER34030 == 1) if (ER34003 == 20 & ER34002 == 2) | (ER34003 == 22 & ER34002 == 2)
	bysort ER42002: egen flag_di_rec_spouse = max(temp_flag_di_rec_spouse)
	
	
	#delim;
	gen temp_flag_ins_private_head = 0;
	replace temp_flag_ins_private_head = 1 if (inrange(ER34022, 1, 2) | inrange(ER34022, 10, 97) | 
											   inrange(ER34023, 1, 2) | inrange(ER34023, 10, 97) |
											   inrange(ER34024, 1, 2) | inrange(ER34024, 10, 97) | 
											   inrange(ER34025, 1, 2) | inrange(ER34025, 10, 97) 
											   ) & (ER34003 == 10);
	gen temp_flag_ins_public_head = 0 ;
	replace temp_flag_ins_public_head = 1 if ( inrange(ER34022, 3, 9) | inrange(ER34023, 3, 9) |
											   inrange(ER34024, 3, 9) | inrange(ER34025, 3, 9) 
											 ) & (ER34003 == 10);
	
	gen temp_flag_ins_private_spouse = 0;
	replace temp_flag_ins_private_spouse = 1 if (inrange(ER34022, 1, 2) | inrange(ER34022, 10, 97) | 
											     inrange(ER34023, 1, 2) | inrange(ER34023, 10, 97) |
											     inrange(ER34024, 1, 2) | inrange(ER34024, 10, 97) | 
											     inrange(ER34025, 1, 2) | inrange(ER34025, 10, 97) 
											   ) & (ER34003 == 20 | ER34003 == 22);
	gen temp_flag_ins_public_spouse = 0 ;
	replace temp_flag_ins_public_spouse = 1 if ( inrange(ER34022, 3, 9) | inrange(ER34023, 3, 9) |
											     inrange(ER34024, 3, 9) | inrange(ER34025, 3, 9) 
											 ) & (ER34003 == 20 | ER34003 == 22);
	
	foreach var in flag_ins_private_head flag_ins_public_head
				   flag_ins_private_spouse flag_ins_public_spouse {;
		bysort ER42002: egen `var'  = max(temp_`var');
	};
	
	gen flag_anyins_head = max(flag_ins_private_head, flag_ins_public_head);
	gen flag_anyins_spouse  = max(flag_ins_private_spouse, flag_ins_public_spouse);
	
	replace flag_anyins_spouse      = . if flag_spouse == 0;
	replace flag_ins_private_spouse = . if flag_spouse == 0;
	replace flag_ins_public_spouse  = . if flag_spouse == 0;
	summ flag_*;
	drop temp_*;
	#delim cr	
	

	keep if ER34003 == 10 /* Keep head only */
	
	/* Indicators on whether head or spouse is DI recipient.
       If both, use head. --> conditional on DI rec.		    */
	gen flag_di_rec_head = (flag_di_rec == 1 & ER34030 == 1)
	replace flag_di_rec_head = . if flag_di_rec == 0
	replace flag_di_rec_spouse = . if flag_di_rec == 0
	tab flag_di_rec flag_di_rec_head
	tab flag_di_rec flag_di_rec_spouse
	

	/* Receiving SSI (including disability and senior with low income) */
	gen flag_ssi_rec_head = .
	replace flag_ssi_rec_head = 1 if ER43075  == 1
	replace flag_ssi_rec_head = 0 if ER43075  == 5
	replace flag_ssi_rec_head = 0 if ER43075  == 0

	gen flag_ssi_rec_spouse = .
	replace flag_ssi_rec_spouse = 1 if ER43392  == 1
	replace flag_ssi_rec_spouse = 0 if ER43392  == 5
	replace flag_ssi_rec_spouse = 0 if ER43392  == 0

	capture drop flag_ssi_rec
	gen flag_ssi_rec = (flag_ssi_rec_head == 1 | flag_ssi_rec_spouse == 1)
	replace flag_ssi_rec = . if flag_ssi_rec_head == . & flag_ssi_rec_spouse == .

	

	keep if ER42002 != .
	gen interview_id 	= ER42002
	gen family_weight	= ER47012
	gen num_of_family	= ER42016

	gen annual_mortg	= (ER42045 + ER42064) * 12 if ER42045 <= 99997 & ER42064 <= 99997
	
	gen 	rent_freq 	= 365 if ER42081 == 2
	replace rent_freq 	= 52  if ER42081 == 3 
	replace rent_freq 	= 26  if ER42081 == 4
	replace rent_freq 	= 12  if ER42081 == 5
	replace rent_freq 	= 1   if ER42081 == 6 
	gen 	annual_rent	= ER42080 * rent_freq if ER42080 <= 99997
	
	/* Food home */		

	/* if food stamps not used, ... */
	gen 	food_freq = 52  if ER42723 == 3
	replace food_freq = 26  if ER42723 == 4
	replace food_freq = 12  if ER42723 == 5
	replace food_freq = 1   if ER42723 == 6
	gen 	food_home = ER42722 * food_freq if ER42722 <= 99996
	replace food_home = 0 if ER42722 == 0										

	/* Food out */
	gen 	food_out_freq = 365 if ER42730 == 2
	replace food_out_freq = 52  if ER42730 == 3
	replace food_out_freq = 26  if ER42730 == 4
	replace food_out_freq = 12  if ER42730 == 5
	replace food_out_freq = 1   if ER42730 == 6
	gen 	food_out = ER42729 * food_out_freq if ER42729 <= 99996
	
	gen cntrb_outside	= ER43534

	replace annual_mortg  = .  if annual_mortg == 0
	replace annual_rent   = .  if annual_rent  == 0
	replace cntrb_outside = .k if cntrb_outside == 9999998
	replace cntrb_outside = .n if cntrb_outside == 9999999
	
	gen exp_housing   = ER46971A5
	gen exp_mortg     = ER46971A6
	gen exp_rent	  = ER46971A7
	gen exp_utility   = ER46971B1
	gen exp_transport = ER46971B7
	gen exp_food	  = ER46971A1
	gen exp_educ	  = ER46971D1
	gen exp_child	  = ER46971D2
	gen exp_health    = ER46971D3
	
	gen exp_medicalcare = ER46404
	replace exp_medicalcare = . if exp_medicalcare >= 99999998
	replace exp_medicalcare = exp_medicalcare/2

	
	gen exp_hospital  = ER46971D4
	gen exp_doctor	  = ER46971D5
	gen exp_rx		  = ER46971D6
	gen exp_insurance = ER46971D7
	
	foreach var in exp_food exp_housing exp_utility exp_transport exp_educ exp_child exp_health  {
		replace `var' = 0 if `var' == .
	}
	
	gen exp_hhtotal   = exp_food + exp_housing + exp_transport + exp_educ + exp_child + exp_health 
	
	
	/* Additional controls */
	gen head_age  = ER42017 if ER42017 <= 120
	gen head_male = ER42018 == 1 
	gen head_emply = (ER42140 == 1) if ER42140 < 9
	replace head_emply = 1 if ER42140 != 1 & ER42141 == 1
	replace head_emply = 1 if ER42140 != 1 & ER42142 == 1
	
	gen spouse_emply = (ER42392 == 1) if ER42392 < 9 & ER42392 != 0
	replace spouse_emply = 1 if ER42392 != 1 & ER42393 == 1
	replace spouse_emply = 1 if ER42392 != 1 & ER42394 == 1

	gen non_white = ER46543 != 1 if ER46543 != 9
	
	gen educ_hs 	 = .
	replace educ_hs 	= 0 if inrange(ER46981, 0, 11)
	replace educ_hs		= 1 if inrange(ER46981, 12,17)
	gen educ_college = .
	replace educ_college= 0 if inrange(ER46981, 0, 15)
	replace educ_college= 1 if inrange(ER46981, 16,17)

	gen flag_foodstamp = (ER42691  == 1)
	replace flag_foodstamp = . if ER42691 == 9
	
	gen svy_year = 2009
	
	gen inc_headwife = ER46851
	gen inc_hh = ER46935
	
	/* SSA REC AND DISABILITY STATUS */
	gen inc_ss_total = .
	summ inc_ss_total
	
	gen level_disabled_head   = ER44181
	gen level_disabled_spouse = ER45278 
	tab level_disabled_head 
	tab level_disabled_spouse
	
	gen flag_candonothing_head = (ER44180  == 7)
	gen flag_candonothing_spouse = (ER45277  == 7)
	
	replace level_disabled_head = -1 if flag_candonothing_head == 1
	replace level_disabled_spouse = -1 if flag_candonothing_spouse == 1
	
	gen flag_severe_head = 0 if level_disabled_head != 0
	replace flag_severe_head = 1  if level_disabled_head == 1
	replace flag_severe_head = 1  if flag_candonothing_head == 1
	tab flag_severe_head
	
	gen flag_severe_spouse = 0 if level_disabled_spouse != 0
	replace flag_severe_spouse = 1  if level_disabled_spouse == 1
	replace flag_severe_spouse = 1  if flag_candonothing_spouse == 1
	tab flag_severe_spouse
	
	gen flag_moderate_head = 0 if level_disabled_head != 0
	replace flag_moderate_head = 1 if (level_disabled_head == 3 | level_disabled_head == 5 | level_disabled_head == 7) 
	tab flag_moderate_head
	
	gen flag_moderate_spouse = 0 if level_disabled_head != 0
	replace flag_moderate_spouse = 1 if (level_disabled_head == 3 | level_disabled_head == 5 | level_disabled_head == 7) 
	tab flag_moderate_spouse
	
	gen flag_psid_disable_head = (flag_severe_head == 1 | flag_moderate_head == 1)
	gen flag_psid_disable_spouse = (flag_severe_spouse == 1 | flag_moderate_spouse == 1)
	tab flag_psid_disable_head
	tab flag_psid_disable_spouse

	gen flag_severe = max(flag_severe_head, flag_severe_spouse)
	gen flag_moderate = max(flag_moderate_head, flag_moderate_spouse)
	gen flag_psid_disable = max(flag_psid_disable_head, flag_psid_disable_spouse)
	
	gen flag_severe_head2 = 0 if level_disabled_head != 0
	replace flag_severe_head2 = 1  if level_disabled_head == 1 | level_disabled_head == 3
	replace flag_severe_head2 = 1  if flag_candonothing_head == 1
	tab flag_severe_head2


	gen flag_severe_spouse2 = 0 if level_disabled_spouse != 0
	replace flag_severe_spouse2 = 1  if level_disabled_spouse == 1 | level_disabled_spouse == 3
	replace flag_severe_spouse2 = 1  if flag_candonothing_spouse == 1
	tab flag_severe_spouse2

	gen flag_severe2 = max(flag_severe_head2, flag_severe_spouse2)

	
	/******* Measures of permanent income ********/
	
	/* Year of education -- capped at 17, i.e. At least one year of postgraduate work */
	gen level_educ_head   = ER46981  
	gen level_educ_spouse = ER46982	
	replace level_educ_head   = . if level_educ_head >= 98
	replace level_educ_spouse = . if level_educ_spouse >= 98
	
	/* Parental education */
	gen level_educ_headFa_US = ER46508
	gen level_educ_headFa_F  = ER27359
	replace level_educ_headFa_US   = . if level_educ_headFa_US >= 9
	replace level_educ_headFa_F    = . if level_educ_headFa_F  >= 98
	
	gen level_educ_headMo_US = ER46518 
	gen level_educ_headMo_F  = ER46521
	replace level_educ_headMo_US   = . if level_educ_headMo_US >= 9
	replace level_educ_headMo_F    = . if level_educ_headMo_F  >= 98

	gen level_educ_spouseFa_US = ER46414 
	gen level_educ_spouseFa_F  = ER46417 
	replace level_educ_spouseFa_US   = . if level_educ_spouseFa_US >= 9
	replace level_educ_spouseFa_F    = . if level_educ_spouseFa_F  >= 98
	
	gen level_educ_spouseMo_US = ER46424 
	gen level_educ_spouseMo_F  = ER46427 
	replace level_educ_spouseMo_US   = . if level_educ_spouseMo_US >= 9
	replace level_educ_spouseMo_F    = . if level_educ_spouseMo_F  >= 98

	
	/* Parental family wealth when they grow up  */
	gen level_wealth_headParent = ER46540
	replace level_wealth_headParent = . if level_wealth_headParent == 9
	gen level_wealth_spouseParent = .
	replace level_wealth_spouseParent = . if level_wealth_spouseParent == 9
	
	summ level_*
	
	/******* Measures of outside resources ********/
	
	/* Health insurance coverage in the last two years -- at least one member has coverage */ 
	gen flag_health_ins = (ER27237 == 1)
	replace flag_health_ins = . if ER27237 >= 8
	
	/* Spousal wage/salaries */
	gen inc_earn_spouse = ER43290 + ER46806 + ER46838
	replace inc_earn_spouse = . if  inc_earn_spouse >= 9999998

	gen level_spouseage = ER42019 
	replace level_spouseage = . if level_spouseage > 120
	
	/* Earnings */
	gen inc_earn_head = ER46811 
	replace inc_earn_head = . if  inc_earn_head >= 9999998
	gen inc_earn_HSP = inc_earn_head
	replace inc_earn_HSP = inc_earn_head + inc_earn_spouse if inc_earn_spouse != .
	
	/* Marital Status */
	gen flag_married = (ER42023 == 1)
	replace flag_married = . if ER42023 >= 8
	
	summ flag_health_ins flag_married
	summ inc_* 
	
	gen flag_home_own  = (ER42029  == 1)
	gen flag_home_rent = (ER42029  == 5)	
	
	gen level_cash = ER43586 
	replace level_cash = . if level_cash >= 999999998
	
	gen reason_move1 = ER42135 if ER42135 < 9
	gen reason_move2 = ER42136 if reason_move1 != .
	gen reason_move3 = ER42137 if reason_move1 != .
	gen reason_move4 = .
	
	gen night_hosp_hd = ER44241 
	gen night_hosp_sp = ER45338
	
	gen reason_posend_hd_u = ER42211
	gen reason_posend_sp_u = ER42463 if flag_spouse == 1
	gen reason_posend_hd_e = .
	gen reason_posend_sp_e = .
	

	

	
	
	gen adl_bath_head = ER44243
	gen adl_dress_head = ER44246
	gen adl_eat_head = ER44249
	gen adl_out_bed_head = ER44252
	gen adl_outdoor_head = ER44258
	gen adl_toilet_head = ER44261
	gen adl_walk_head = ER44255
	
	gen iadl_heavy_head = ER44272
	gen iadl_light_head = ER44274
	gen iadl_manage_money_head = ER44268
	gen iadl_meal_head = ER44264
	gen iadl_shop_head = ER44266
	gen iadl_tel_head = ER44270
	
	gen adl_bath_spouse = ER45340
	gen adl_dress_spouse = ER45343
	gen adl_eat_spouse = ER45346
	gen adl_out_bed_spouse = ER45349
	gen adl_outdoor_spouse = ER45355
	gen adl_toilet_spouse = ER45358
	gen adl_walk_spouse = ER45352
	
	gen iadl_heavy_spouse = ER45369
	gen iadl_light_spouse = ER45371
	gen iadl_manage_money_spouse = ER45365
	gen iadl_meal_spouse = ER45361
	gen iadl_shop_spouse = ER45363
	gen iadl_tel_spouse = ER45367
	
	
	gen flag_arthritis_head = ER44210
	gen flag_asthma_head = ER44198
	gen flag_blood_head = ER44194
	gen flag_cancer_head = ER44222
	gen flag_diabete_head = ER44206
	
	gen flag_heart_attack_head = ER44186
	gen flag_heart_disease_head = ER44190
	gen flag_lung_disease_head = ER44202
	gen flag_other_head = ER44236
	gen flag_stroke_head = ER44182
	
	
	gen flag_arthritis_spouse = ER45307
	gen flag_asthma_spouse = ER45295
	gen flag_blood_spouse = ER45291
	gen flag_cancer_spouse = ER45319
	gen flag_diabete_spouse = ER45303
	
	gen flag_heart_attack_spouse = ER45283
	gen flag_heart_disease_spouse = ER45287
	gen flag_lung_disease_spouse = ER45299
	gen flag_other_spouse = ER45333
	gen flag_stroke_spouse = ER45279
	
	/* health status */

	gen health_status_head = ER44175
	gen health_status_spouse = ER45272

	/* mental condition */
	
	gen depression = ER46375 
	replace depression = . if ER46375 > 30
	gen flag_psychiatric_head = ER44229  
	gen flag_psychiatric_spouse = ER45326 
	
	gen flag_learning_head = ER44218
	gen flag_learning_spouse = ER45315  
	
	gen flag_memory_head = ER44214    
	gen flag_memory_spouse = ER45311	
	
	/* Chronic condition */
	
	gen flag_chronic_head = (ER44236 == 1) if ER44236 == 1 | ER44236 == 5
	gen flag_chronic_spouse = (ER45333 == 1) if ER45333 == 1 | ER45333 == 5

	
	/* ADC/AFDC, T-2, Social Security, unemployment compensation, worker's compensation*/
	
	
	gen flag_adc_head = ER43059
	gen flag_ui_head = ER43174
	gen flag_wi_head = ER43190
	
	gen flag_adc_spouse = ER43409
	gen flag_ui_spouse = ER43293
	gen flag_wi_spouse = ER43309
	 
	gen flag_ss = ER43108
	
	
	/* well-being */
	
	gen lf_satisfy = ER42024


	/* Compared to two years ago */
	
	gen compared_2yrs_head =  ER44176 if ER44176 < 8
	gen compared_2yrs_spouse = ER45273 if 0 < ER45273 & ER45273 < 8

	/* Debt */
	
	gen flag_debt = (ER43611 == 1) if ER43611 < 8
	
	/* Relative and non-relative cash transfer */
	
	gen flag_cash_relative_head = (ER43238 == 1) if ER43238 == 1 | ER43238 == 5
	gen flag_cash_relative_spouse = (ER43473 == 1) if ER43473 == 1 | ER43473 == 5
	
	gen flag_cash_nonrelative_head = (ER43254 == 1) if ER43254 == 1 | ER43254 == 5
	gen flag_cash_nonrelative_spouse = (ER43489 == 1) if ER43489 == 1 | ER43489 == 5

	/* exp for rent and mortgage monthly reported */
	
	gen exp_rent_old = ER42080 if ER42080 < 99998
	gen exp_mortg_old = ER42045 if ER42045 < 99998

	
	/* exp for food weekly reported */
	
	gen exp_food_N_fdstamp = ER42722 if ER42722 < 99998 & ER42722 != 0
	gen exp_food_fdstamp = ER42712 if ER42712 < 99998 & ER42712 != 0
	
	count if exp_food_N_fdstamp != . & exp_food_fdstamp != .

	gen exp_food_old = exp_food_N_fdstamp
	replace exp_food_old = exp_food_fdstamp if exp_food_old == .

	/* total asset */
	
	gen total_asset_debt = ER46968

	/* individual asset */
	
	gen level_busi = ER46938
	gen level_saving = ER46942
	gen level_estate = ER46950
	gen level_stocks = ER46954
	gen level_vehicle = ER46956
	gen level_oth_asset = ER46960
	gen level_annuity = ER46964
	
	gen yr_work_18 = ER46594 if 0 < ER46594 & ER46594 < 99

   /******* State of Residence ********/
	gen state_res_code = ER42003               
	
    label define state_res_code 1 "AL" , modify	
	label define state_res_code 2 "AZ" , modify 
	label define state_res_code 3 "AR" , modify 
	label define state_res_code 4 "CA" , modify 
	label define state_res_code 5 "CO" , modify 
	label define state_res_code 6 "CT" , modify 
	label define state_res_code 7 "DE" , modify 
	label define state_res_code 8 "DC" , modify 
	label define state_res_code 9 "FL" , modify 
	label define state_res_code 10 "GA" , modify
	label define state_res_code 11 "ID" , modify
	label define state_res_code 12 "IL" , modify
	label define state_res_code 13 "IN" , modify
	label define state_res_code 14 "IA" , modify
	label define state_res_code 15 "KS" , modify
	label define state_res_code 16 "KY" , modify
	label define state_res_code 17 "LA" , modify
	label define state_res_code 18 "ME" , modify
	label define state_res_code 19 "MD" , modify
	label define state_res_code 20 "MA" , modify
	label define state_res_code 21 "MI" , modify
	label define state_res_code 22 "MN" , modify
	label define state_res_code 23 "MS" , modify
	label define state_res_code 24 "MO" , modify
	label define state_res_code 25 "MT" , modify
	label define state_res_code 26 "NE" , modify
	label define state_res_code 27 "NV" , modify
	label define state_res_code 28 "NH" , modify
	label define state_res_code 29 "NJ" , modify
	label define state_res_code 30 "NM" , modify
	label define state_res_code 31 "NY" , modify
	label define state_res_code 32 "NC" , modify
	label define state_res_code 33 "ND" , modify
	label define state_res_code 34 "OH" , modify
	label define state_res_code 35 "OK" , modify
	label define state_res_code 36 "OR" , modify
	label define state_res_code 37 "PA" , modify
	label define state_res_code 38 "RI" , modify
	label define state_res_code 39 "SC" , modify
	label define state_res_code 40 "SD" , modify
	label define state_res_code 41 "TN" , modify
	label define state_res_code 42 "TX" , modify
	label define state_res_code 43 "UT" , modify
	label define state_res_code 44 "VT" , modify
	label define state_res_code 45 "VA" , modify
	label define state_res_code 46 "WA" , modify
	label define state_res_code 47 "WV" , modify
	label define state_res_code 48 "WI" , modify
	label define state_res_code 49 "WY" , modify 
	label define state_res_code 50 "AK" , modify
	label define state_res_code 51 "HI" , modify	
	
	label value state_res_code state_res_code	
	decode state_res_code, gen(state_res)

	/******* Current State ********/
	gen state_curr_code = ER42004                       

	label define state_curr_code 1 "AL" , modify
	label define state_curr_code 2 "AK" , modify
	label define state_curr_code 4 "AZ" , modify
	label define state_curr_code 5 "AR" , modify
	label define state_curr_code 6 "CA" , modify
	label define state_curr_code 8 "CO" , modify
	label define state_curr_code 9 "CT" , modify
	label define state_curr_code 10 "DE" , modify
	label define state_curr_code 11 "DC" , modify
	label define state_curr_code 12 "FL" , modify
	label define state_curr_code 13 "GA" , modify
	label define state_curr_code 15 "HI" , modify
	label define state_curr_code 16 "ID" , modify
	label define state_curr_code 17 "IL" , modify
	label define state_curr_code 18 "IN" , modify
	label define state_curr_code 19 "IA" , modify
	label define state_curr_code 20 "KS" , modify
	label define state_curr_code 21 "KY" , modify
	label define state_curr_code 22 "LA" , modify
	label define state_curr_code 23 "ME" , modify
	label define state_curr_code 24 "MD" , modify
	label define state_curr_code 25 "MA" , modify
	label define state_curr_code 26 "MI" , modify
	label define state_curr_code 27 "MN" , modify
	label define state_curr_code 28 "MI" , modify
	label define state_curr_code 29 "MO" , modify
	label define state_curr_code 30 "MT" , modify
	label define state_curr_code 31 "NE" , modify
	label define state_curr_code 32 "NV" , modify
	label define state_curr_code 33 "NH" , modify
	label define state_curr_code 34 "NJ" , modify
	label define state_curr_code 35 "NM" , modify
	label define state_curr_code 36 "NY" , modify
	label define state_curr_code 37 "NC" , modify
	label define state_curr_code 38 "ND" , modify
	label define state_curr_code 39 "OH" , modify
	label define state_curr_code 40 "OK" , modify
	label define state_curr_code 41 "OR" , modify
	label define state_curr_code 42 "PA" , modify
	label define state_curr_code 44 "RI" , modify
	label define state_curr_code 45 "SC" , modify
	label define state_curr_code 46 "SD" , modify
	label define state_curr_code 47 "TN" , modify
	label define state_curr_code 48 "TX" , modify
	label define state_curr_code 49 "UT" , modify
	label define state_curr_code 50 "VT" , modify
	label define state_curr_code 51 "VA" , modify
	label define state_curr_code 53 "WA" , modify
	label define state_curr_code 54 "WV" , modify
	label define state_curr_code 55 "WI" , modify
	label define state_curr_code 56 "WY" , modify

	label value state_curr_code state_curr_code
	decode state_curr_code, gen(state_curr)	
	

	keep unique_id svy_year interview_id flag_* level_*  num_of_family educ_* head_* inc_* non_white  ///
		 family_weight annual_mortg annual_rent food_home food_out cntrb_outside reason* night*  ///
		 depression exp_* adl* iadl* health_status* spouse_emply compared* total_asset_debt ///
		 yr_work_18 state_res state_curr

	tempfile psid2009
	save `psid2009', replace
	
restore		
   
