/* PSID DATA CLEANING: 
   AUX CODE for prep_psid_1.do		*/
   
/* ********* */
/* Year 2011 */
/* ********* */	
preserve

	keep if (ER34103 == 10 & ER34102 == 1) | (ER34103 == 20 & ER34102 == 2) | (ER34103 == 22 & ER34102 == 2)
	
	bysort ER47302: egen flag_spouse = max(ER34103 == 20 | ER34103 == 22)	
	bysort ER47302: egen flag_di_rec = max(ER34137 == 1)
	bysort ER47302: egen flag_ssi_rec = max(ER34136F >= 100)
	gen temp_flag_di_rec_spouse = (ER34137 == 1) if (ER34103 == 20 & ER34102 == 2) | (ER34103 == 22 & ER34102 == 2)
	bysort ER47302: egen flag_di_rec_spouse = max(temp_flag_di_rec_spouse)
	
	
	#delim;
	gen temp_flag_ins_private_head = 0;
	replace temp_flag_ins_private_head = 1 if (inrange(ER34121, 1, 2) | inrange(ER34121, 10, 97) | 
											   inrange(ER34122, 1, 2) | inrange(ER34122, 10, 97) |
											   inrange(ER34123, 1, 2) | inrange(ER34123, 10, 97) | 
											   inrange(ER34124, 1, 2) | inrange(ER34124, 10, 97) 
											   ) & (ER34103 == 10);
	gen temp_flag_ins_public_head = 0 ;
	replace temp_flag_ins_public_head = 1 if ( inrange(ER34121, 3, 9) | inrange(ER34122, 3, 9) |
											   inrange(ER34123, 3, 9) | inrange(ER34124, 3, 9) 
											 ) & (ER34103 == 10);
	
	gen temp_flag_ins_private_spouse = 0;
	replace temp_flag_ins_private_spouse = 1 if (inrange(ER34121, 1, 2) | inrange(ER34121, 10, 97) | 
											     inrange(ER34122, 1, 2) | inrange(ER34122, 10, 97) |
											     inrange(ER34123, 1, 2) | inrange(ER34123, 10, 97) | 
											     inrange(ER34124, 1, 2) | inrange(ER34124, 10, 97) 
											   ) & (ER34103 == 20 | ER34103 == 22);
	gen temp_flag_ins_public_spouse = 0 ;
	replace temp_flag_ins_public_spouse = 1 if ( inrange(ER34121, 3, 9) | inrange(ER34122, 3, 9) |
											     inrange(ER34123, 3, 9) | inrange(ER34124, 3, 9) 
											   ) & (ER34103 == 20 | ER34103 == 22);
	
	foreach var in flag_ins_private_head flag_ins_public_head
				   flag_ins_private_spouse flag_ins_public_spouse {;
		bysort ER47302: egen `var'  = max(temp_`var');
	};
	
	gen flag_anyins_head = max(flag_ins_private_head, flag_ins_public_head);
	gen flag_anyins_spouse  = max(flag_ins_private_spouse, flag_ins_public_spouse);
	
	replace flag_anyins_spouse      = . if flag_spouse == 0;
	replace flag_ins_private_spouse = . if flag_spouse == 0;
	replace flag_ins_public_spouse  = . if flag_spouse == 0;
	summ flag_*;
	drop temp_*;
	#delim cr	
	
	keep if ER34103 == 10 /* Keep head only */
	
	/* Indicators on whether head or spouse is DI recipient.
       If both, use head. --> conditional on DI rec.		    */
	gen flag_di_rec_head = (flag_di_rec == 1 & ER34137 == 1)
	replace flag_di_rec_head = . if flag_di_rec == 0
	replace flag_di_rec_spouse = . if flag_di_rec == 0
	tab flag_di_rec flag_di_rec_head
	tab flag_di_rec flag_di_rec_spouse

	/* Receiving SSI (including disability and senior with low income) */
	gen flag_ssi_rec_head = .
	replace flag_ssi_rec_head = 1 if ER48397  == 1
	replace flag_ssi_rec_head = 0 if ER48397  == 5
	replace flag_ssi_rec_head = 0 if ER48397  == 0

	gen flag_ssi_rec_spouse = .
	replace flag_ssi_rec_spouse = 1 if ER48717  == 1
	replace flag_ssi_rec_spouse = 0 if ER48717  == 5
	replace flag_ssi_rec_spouse = 0 if ER48717  == 0

	capture drop flag_ssi_rec
	gen flag_ssi_rec = (flag_ssi_rec_head == 1 | flag_ssi_rec_spouse == 1)
	replace flag_ssi_rec = . if flag_ssi_rec_head == . & flag_ssi_rec_spouse == .

	
	
	keep if ER47302 != .
	gen interview_id 	= ER47302
	gen family_weight	= ER52436
	gen num_of_family	= ER47316

	gen annual_mortg	= (ER47350 + ER47371) * 12 if ER47350 <= 99997 & ER47371 <= 99997
	
	gen 	rent_freq 	= 365 if ER47388 == 2
	replace rent_freq 	= 52  if ER47388 == 3 
	replace rent_freq 	= 26  if ER47388 == 4
	replace rent_freq 	= 12  if ER47388 == 5
	replace rent_freq 	= 1   if ER47388 == 6 
	gen 	annual_rent	= ER47387 * rent_freq if ER47387 <= 99997
	
	/* Food home */		
	
	/* if food stamps not used, ... */
	gen 	food_freq = 52  if ER48039 == 3
	replace food_freq = 26  if ER48039 == 4
	replace food_freq = 12  if ER48039 == 5
	replace food_freq = 1   if ER48039 == 6
	gen 	food_home = ER48038 * food_freq if ER48038 <= 99996	
	replace food_home = 0 if ER48038 == 0											
	
	/* Food out */
	gen 	food_out_freq = 365 if ER48046 == 2
	replace food_out_freq = 52  if ER48046 == 3
	replace food_out_freq = 26  if ER48046 == 4
	replace food_out_freq = 12  if ER48046 == 5
	replace food_out_freq = 1   if ER48046 == 6
	gen 	food_out = ER48045 * food_out_freq if ER48045 <= 99996
	
	gen cntrb_outside	= ER48859

	replace annual_mortg  = .  if annual_mortg == 0
	replace annual_rent   = .  if annual_rent  == 0
	replace cntrb_outside = .k if cntrb_outside == 9999998
	replace cntrb_outside = .n if cntrb_outside == 9999999
	
	gen exp_housing   = ER52395A5
	gen exp_mortg     = ER52395A6
	gen exp_rent	  = ER52395A7
	gen exp_utility   = ER52395B1
	gen exp_transport = ER52395B5
	gen exp_food	  = ER52395A1
	gen exp_educ	  = ER52395D1
	gen exp_child	  = ER52395D2
	gen exp_health    = ER52395D3
	
	gen exp_medicalcare = ER51765
	replace exp_medicalcare = . if exp_medicalcare >= 99999998
	replace exp_medicalcare = exp_medicalcare/2
	
	gen exp_hospital  = ER52395D4
	gen exp_doctor	  = ER52395D5
	gen exp_rx		  = ER52395D6
	gen exp_insurance = ER52395D7
	
	foreach var in exp_food exp_housing exp_utility exp_transport exp_educ exp_child exp_health {
		replace `var' = 0 if `var' == .
	}
	
	gen exp_hhtotal   = exp_food + exp_housing + exp_transport + exp_educ + exp_child + exp_health 
	
	
	/* Additional controls */
	gen head_age  = ER47317 if ER47317 <= 120
	gen head_male = ER47318 == 1 
	gen head_emply = (ER47448 == 1) if ER47448 < 9
	replace head_emply = 1 if ER47448 != 1 & ER47449 == 1
	replace head_emply = 1 if ER47448 != 1 & ER47450 == 1

	gen spouse_emply = (ER47705 == 1) if ER47705 < 9 & ER47705 != 0
	replace spouse_emply = 1 if ER47705 != 1 & ER47706 == 1
	replace spouse_emply = 1 if ER47705 != 1 & ER47707 == 1

	gen non_white = ER51904 != 1 if ER51904 != 9
	
	gen educ_hs 	 = .
	replace educ_hs 	= 0 if inrange(ER52405, 0, 11)
	replace educ_hs		= 1 if inrange(ER52405, 12,17)
	gen educ_college = .
	replace educ_college= 0 if inrange(ER52405, 0, 15)
	replace educ_college= 1 if inrange(ER52405, 16,17)

	gen flag_foodstamp = (ER48007  == 1)
	replace flag_foodstamp = . if ER48007 == 9
	
	gen svy_year = 2011
	
	gen inc_headwife = ER52259
	gen inc_hh = ER52343
	
	
	/* SSA REC AND DISABILITY STATUS */
	gen inc_ss_total = .
	summ inc_ss_total
	
	gen level_disabled_head   = ER49500
	gen level_disabled_spouse = ER50618 
	tab level_disabled_head 
	tab level_disabled_spouse
	
	gen flag_candonothing_head = (ER49499  == 7)
	gen flag_candonothing_spouse = (ER50617  == 7)
	
	replace level_disabled_head = -1 if flag_candonothing_head == 1
	replace level_disabled_spouse = -1 if flag_candonothing_spouse == 1
	
	gen flag_severe_head = 0 if level_disabled_head != 0
	replace flag_severe_head = 1  if level_disabled_head == 1
	replace flag_severe_head = 1  if flag_candonothing_head == 1
	tab flag_severe_head
	
	gen flag_severe_spouse = 0 if level_disabled_spouse != 0
	replace flag_severe_spouse = 1  if level_disabled_spouse == 1
	replace flag_severe_spouse = 1  if flag_candonothing_spouse == 1
	tab flag_severe_spouse
	
	gen flag_moderate_head = 0 if level_disabled_head != 0
	replace flag_moderate_head = 1 if (level_disabled_head == 3 | level_disabled_head == 5 | level_disabled_head == 7) 
	tab flag_moderate_head
	
	gen flag_moderate_spouse = 0 if level_disabled_head != 0
	replace flag_moderate_spouse = 1 if (level_disabled_head == 3 | level_disabled_head == 5 | level_disabled_head == 7) 
	tab flag_moderate_spouse
	
	gen flag_psid_disable_head = (flag_severe_head == 1 | flag_moderate_head == 1)
	gen flag_psid_disable_spouse = (flag_severe_spouse == 1 | flag_moderate_spouse == 1)
	tab flag_psid_disable_head
	tab flag_psid_disable_spouse
	
	gen flag_severe = max(flag_severe_head, flag_severe_spouse)
	gen flag_moderate = max(flag_moderate_head, flag_moderate_spouse)
	gen flag_psid_disable = max(flag_psid_disable_head, flag_psid_disable_spouse)

	gen flag_severe_head2 = 0 if level_disabled_head != 0
	replace flag_severe_head2 = 1  if level_disabled_head == 1 | level_disabled_head == 3
	replace flag_severe_head2 = 1  if flag_candonothing_head == 1
	tab flag_severe_head2


	gen flag_severe_spouse2 = 0 if level_disabled_spouse != 0
	replace flag_severe_spouse2 = 1  if level_disabled_spouse == 1 | level_disabled_spouse == 3
	replace flag_severe_spouse2 = 1  if flag_candonothing_spouse == 1
	tab flag_severe_spouse2

	gen flag_severe2 = max(flag_severe_head2, flag_severe_spouse2)

	summ flag* 
	
	/******* Measures of permanent income ********/
	
	/* Year of education -- capped at 17, i.e. At least one year of postgraduate work */
	gen level_educ_head   = ER52405  
	gen level_educ_spouse = ER52406	
	replace level_educ_head   = . if level_educ_head >= 98
	replace level_educ_spouse = . if level_educ_spouse >= 98
	
	/* Parental education */
	gen level_educ_headFa_US = ER51869
	gen level_educ_headFa_F  = ER51872
	replace level_educ_headFa_US   = . if level_educ_headFa_US >= 9
	replace level_educ_headFa_F    = . if level_educ_headFa_F  >= 98
	
	gen level_educ_headMo_US = ER51879
	gen level_educ_headMo_F  = ER51882
	replace level_educ_headMo_US   = . if level_educ_headMo_US >= 9
	replace level_educ_headMo_F    = . if level_educ_headMo_F  >= 98

	gen level_educ_spouseFa_US = ER51775 
	gen level_educ_spouseFa_F  = ER51778 
	replace level_educ_spouseFa_US   = . if level_educ_spouseFa_US >= 9
	replace level_educ_spouseFa_F    = . if level_educ_spouseFa_F  >= 98
	
	gen level_educ_spouseMo_US = ER51785 
	gen level_educ_spouseMo_F  = ER51788 
	replace level_educ_spouseMo_US   = . if level_educ_spouseMo_US >= 9
	replace level_educ_spouseMo_F    = . if level_educ_spouseMo_F  >= 98
	
	/* Parental family wealth when they grow up  */
	gen level_wealth_headParent = ER51901
	replace level_wealth_headParent = . if level_wealth_headParent == 9
	gen level_wealth_spouseParent = .
	replace level_wealth_spouseParent = . if level_wealth_spouseParent == 9
	
	summ level_*
	/******* Measures of outside resources ********/
	
	/* Health insurance coverage in the last two years -- at least one member has coverage */ 
	gen flag_health_ins = (ER27237 == 1)
	replace flag_health_ins = . if ER27237 >= 8
	
	/* Spousal wage/salaries */
	gen inc_earn_spouse = ER48615 + ER52214 + ER52246
	replace inc_earn_spouse = . if  inc_earn_spouse >= 9999998

	gen level_spouseage = ER47319 
	replace level_spouseage = . if level_spouseage > 120
	
	/* Earnings */
	gen inc_earn_head = ER52219 
	replace inc_earn_head = . if  inc_earn_head >= 9999998
	gen inc_earn_HSP = inc_earn_head
	replace inc_earn_HSP = inc_earn_head + inc_earn_spouse if inc_earn_spouse != .	
	
	/* Marital Status */
	gen flag_married = (ER47323 == 1)
	replace flag_married = . if ER47323 >= 8
	
	summ flag_health_ins flag_married
	summ inc_* 
	
	gen flag_home_own  = (ER47329  == 1)
	gen flag_home_rent = (ER47329  == 5)
	
	gen level_cash = ER48911 
	replace level_cash = . if level_cash >= 999999998
	
	gen reason_move1 = ER47443 if ER47443 < 90
	gen reason_move2 = ER47444 if reason_move1 != .
	gen reason_move3 = ER47445 if reason_move1 != .
	gen reason_move4 = .
	
	gen night_hosp_hd = ER49579 
	gen night_hosp_sp = ER50697
	
	gen reason_posend_hd_u = ER47524
	gen reason_posend_sp_u = ER47781 if flag_spouse == 1
	gen reason_posend_hd_e = .
	gen reason_posend_sp_e = .
	

	
	
	gen adl_bath_head = ER49581
	gen adl_dress_head = ER49584
	gen adl_eat_head = ER49587
	gen adl_out_bed_head = ER49590
	gen adl_outdoor_head = ER49596
	gen adl_toilet_head = ER49599
	gen adl_walk_head = ER49593
	
	gen iadl_heavy_head = ER49610
	gen iadl_light_head = ER49612
	gen iadl_manage_money_head = ER49606
	gen iadl_meal_head = ER49602
	gen iadl_shop_head = ER49604
	gen iadl_tel_head = ER49608
	
	gen adl_bath_spouse = ER50699
	gen adl_dress_spouse = ER50702
	gen adl_eat_spouse = ER50705
	gen adl_out_bed_spouse = ER50708
	gen adl_outdoor_spouse = ER50714
	gen adl_toilet_spouse = ER50717
	gen adl_walk_spouse = ER50711
	
	gen iadl_heavy_spouse = ER50728
	gen iadl_light_spouse = ER50730
	gen iadl_manage_money_spouse = ER50724
	gen iadl_meal_spouse = ER50720
	gen iadl_shop_spouse = ER50722
	gen iadl_tel_spouse = ER50726

	
	gen flag_arthritis_head = ER49538
	gen flag_asthma_head = ER49523
	gen flag_blood_head = ER49518
	gen flag_cancer_head = ER49553
	gen flag_diabete_head = ER49533
	
	gen flag_heart_attack_head = ER49507
	gen flag_heart_disease_head = ER49513
	gen flag_lung_disease_head = ER49528
	gen flag_other_head = ER49573
	gen flag_stroke_head = ER49501
	
	
	gen flag_arthritis_spouse = ER50656
	gen flag_asthma_spouse = ER50641
	gen flag_blood_spouse = ER50636
	gen flag_cancer_spouse = ER50671
	gen flag_diabete_spouse = ER50651
	
	gen flag_heart_attack_spouse = ER50625
	gen flag_heart_disease_spouse = ER50631
	gen flag_lung_disease_spouse = ER50646
	gen flag_other_spouse = ER50691
	gen flag_stroke_spouse = ER50619

	/* health status */
	
	gen health_status_head = ER49494
	gen health_status_spouse = ER50612

	/* mental condition */
	
	gen depression = ER51736
	replace depression = . if ER51736 > 30
	gen flag_psychiatric_head = ER49562 
	gen flag_psychiatric_spouse = ER50680 
	
	gen flag_learning_head = ER49548
	gen flag_learning_spouse = ER50666  
	
	gen flag_memory_head = ER49543   
	gen flag_memory_spouse = ER50661	
	
	/* Chronic condition */
	
	gen flag_chronic_head = (ER49573 == 1) if ER49573 == 1 | ER49573 == 5
	gen flag_chronic_spouse = (ER50691 == 1) if ER50691 == 1 | ER50691 == 5

	
	/* ADC/AFDC, T-2, Social Security, unemployment compensation, worker's compensation*/
	
	
	gen flag_adc_head = ER48381
	gen flag_ui_head = ER48499
	gen flag_wi_head = ER48515
	
	gen flag_adc_spouse = ER48734
	gen flag_ui_spouse = ER48618
	gen flag_wi_spouse = ER48634
	
	gen flag_ss = ER48430
	
	
	/* well-being */
	
	gen lf_satisfy = ER47324

	

	/* Compared to two years ago */
	
	gen compared_2yrs_head =  ER49495 if ER49495 < 8
	gen compared_2yrs_spouse = ER50613 if 0 < ER50613 & ER50613 < 8

	/* Relative and non-relative cash transfer */
	
	gen flag_cash_relative_head = (ER48563 == 1) if ER48563 == 1 | ER48563 == 5
	gen flag_cash_relative_spouse = (ER48798 == 1) if ER48798 == 1 | ER48798 == 5
	
	gen flag_cash_nonrelative_head = (ER48579 == 1) if ER48579 == 1 | ER48579 == 5
	gen flag_cash_nonrelative_spouse = (ER48814 == 1) if ER48814 == 1 | ER48814 == 5

	
	/* exp for rent and mortgage monthly reported */
	
	gen exp_rent_old = ER47387 if ER47387 < 99998
	gen exp_mortg_old = ER47350 if ER47350 < 99998

	
	/* exp for food weekly reported */
	
	gen exp_food_N_fdstamp = ER48038 if ER48038 < 99998 & ER48038 != 0
	gen exp_food_fdstamp = ER48028 if ER48028 < 99998 & ER48028 != 0
	
	count if exp_food_N_fdstamp != . & exp_food_fdstamp != .

	gen exp_food_old = exp_food_N_fdstamp
	replace exp_food_old = exp_food_fdstamp if exp_food_old == .
	

	/* total asset */
	
	gen total_asset_debt = ER52392
	
	/* individual asset */
	
	gen level_busi = ER52346
	gen level_saving = ER52350
	gen level_estate = ER52354
	gen level_stocks = ER52358
	gen level_vehicle = ER52360
	gen level_oth_asset = ER52364
	gen level_annuity = ER52368

	gen yr_work_18 = ER51955 if 0 < ER51955 & ER51955 < 99

   /******* State of Residence ********/
	gen state_res_code = ER47303                
	
    label define state_res_code 1 "AL" , modify	
	label define state_res_code 2 "AZ" , modify 
	label define state_res_code 3 "AR" , modify 
	label define state_res_code 4 "CA" , modify 
	label define state_res_code 5 "CO" , modify 
	label define state_res_code 6 "CT" , modify 
	label define state_res_code 7 "DE" , modify 
	label define state_res_code 8 "DC" , modify 
	label define state_res_code 9 "FL" , modify 
	label define state_res_code 10 "GA" , modify
	label define state_res_code 11 "ID" , modify
	label define state_res_code 12 "IL" , modify
	label define state_res_code 13 "IN" , modify
	label define state_res_code 14 "IA" , modify
	label define state_res_code 15 "KS" , modify
	label define state_res_code 16 "KY" , modify
	label define state_res_code 17 "LA" , modify
	label define state_res_code 18 "ME" , modify
	label define state_res_code 19 "MD" , modify
	label define state_res_code 20 "MA" , modify
	label define state_res_code 21 "MI" , modify
	label define state_res_code 22 "MN" , modify
	label define state_res_code 23 "MS" , modify
	label define state_res_code 24 "MO" , modify
	label define state_res_code 25 "MT" , modify
	label define state_res_code 26 "NE" , modify
	label define state_res_code 27 "NV" , modify
	label define state_res_code 28 "NH" , modify
	label define state_res_code 29 "NJ" , modify
	label define state_res_code 30 "NM" , modify
	label define state_res_code 31 "NY" , modify
	label define state_res_code 32 "NC" , modify
	label define state_res_code 33 "ND" , modify
	label define state_res_code 34 "OH" , modify
	label define state_res_code 35 "OK" , modify
	label define state_res_code 36 "OR" , modify
	label define state_res_code 37 "PA" , modify
	label define state_res_code 38 "RI" , modify
	label define state_res_code 39 "SC" , modify
	label define state_res_code 40 "SD" , modify
	label define state_res_code 41 "TN" , modify
	label define state_res_code 42 "TX" , modify
	label define state_res_code 43 "UT" , modify
	label define state_res_code 44 "VT" , modify
	label define state_res_code 45 "VA" , modify
	label define state_res_code 46 "WA" , modify
	label define state_res_code 47 "WV" , modify
	label define state_res_code 48 "WI" , modify
	label define state_res_code 49 "WY" , modify 
	label define state_res_code 50 "AK" , modify
	label define state_res_code 51 "HI" , modify	
	
	label value state_res_code state_res_code	
	decode state_res_code, gen(state_res)
	
	/******* Current State ********/
	gen state_curr_code = ER47304                      

	label define state_curr_code 1 "AL" , modify
	label define state_curr_code 2 "AK" , modify
	label define state_curr_code 4 "AZ" , modify
	label define state_curr_code 5 "AR" , modify
	label define state_curr_code 6 "CA" , modify
	label define state_curr_code 8 "CO" , modify
	label define state_curr_code 9 "CT" , modify
	label define state_curr_code 10 "DE" , modify
	label define state_curr_code 11 "DC" , modify
	label define state_curr_code 12 "FL" , modify
	label define state_curr_code 13 "GA" , modify
	label define state_curr_code 15 "HI" , modify
	label define state_curr_code 16 "ID" , modify
	label define state_curr_code 17 "IL" , modify
	label define state_curr_code 18 "IN" , modify
	label define state_curr_code 19 "IA" , modify
	label define state_curr_code 20 "KS" , modify
	label define state_curr_code 21 "KY" , modify
	label define state_curr_code 22 "LA" , modify
	label define state_curr_code 23 "ME" , modify
	label define state_curr_code 24 "MD" , modify
	label define state_curr_code 25 "MA" , modify
	label define state_curr_code 26 "MI" , modify
	label define state_curr_code 27 "MN" , modify
	label define state_curr_code 28 "MI" , modify
	label define state_curr_code 29 "MO" , modify
	label define state_curr_code 30 "MT" , modify
	label define state_curr_code 31 "NE" , modify
	label define state_curr_code 32 "NV" , modify
	label define state_curr_code 33 "NH" , modify
	label define state_curr_code 34 "NJ" , modify
	label define state_curr_code 35 "NM" , modify
	label define state_curr_code 36 "NY" , modify
	label define state_curr_code 37 "NC" , modify
	label define state_curr_code 38 "ND" , modify
	label define state_curr_code 39 "OH" , modify
	label define state_curr_code 40 "OK" , modify
	label define state_curr_code 41 "OR" , modify
	label define state_curr_code 42 "PA" , modify
	label define state_curr_code 44 "RI" , modify
	label define state_curr_code 45 "SC" , modify
	label define state_curr_code 46 "SD" , modify
	label define state_curr_code 47 "TN" , modify
	label define state_curr_code 48 "TX" , modify
	label define state_curr_code 49 "UT" , modify
	label define state_curr_code 50 "VT" , modify
	label define state_curr_code 51 "VA" , modify
	label define state_curr_code 53 "WA" , modify
	label define state_curr_code 54 "WV" , modify
	label define state_curr_code 55 "WI" , modify
	label define state_curr_code 56 "WY" , modify

	label value state_curr_code state_curr_code
	decode state_curr_code, gen(state_curr)	

	
	keep unique_id svy_year interview_id flag_* level_*  num_of_family educ_* head_* inc_* non_white  ///
		 family_weight annual_mortg annual_rent food_home food_out cntrb_outside reason* night*  ///
		 depression exp_* adl* iadl* health_status* spouse_emply compared* total_asset_debt ///
		 yr_work_18 state_res state_curr 
		 
	tempfile psid2011
	save `psid2011', replace
	
restore		   
