/* PSID DATA CLEANING: 
   AUX CODE for prep_psid_1.do		*/
   
/* ********* */
/* Year 2013 */
/* ********* */	
preserve

	keep if (ER34203 == 10 & ER34202 == 1) | (ER34203 == 20 & ER34202 == 2) | (ER34203 == 22 & ER34202 == 2)
	
	bysort ER53002: egen flag_spouse = max(ER34203 == 20 | ER34203 == 22)	
	bysort ER53002: egen flag_di_rec = max(ER34244 == 1)
	bysort ER53002: egen flag_ssi_rec = max(ER34243F >= 100)
	gen temp_flag_di_rec_spouse = (ER34244 == 1) if (ER34203 == 20 & ER34202 == 2) | (ER34203 == 22 & ER34202 == 2)
	bysort ER53002: egen flag_di_rec_spouse = max(temp_flag_di_rec_spouse)
	
	
	#delim;
	gen temp_flag_ins_private_head = 0;
	replace temp_flag_ins_private_head = 1 if (inrange(ER34236, 1, 2) | inrange(ER34236, 10, 97) | 
											   inrange(ER34237, 1, 2) | inrange(ER34237, 10, 97) |
											   inrange(ER34238, 1, 2) | inrange(ER34238, 10, 97) 
											   ) & (ER34203 == 10);
	gen temp_flag_ins_public_head = 0 ;
	replace temp_flag_ins_public_head = 1 if ( inrange(ER34236, 3, 9) | inrange(ER34237, 3, 9) |
											   inrange(ER34238, 3, 9) 
											 ) & (ER34203 == 10);
	
	gen temp_flag_ins_private_spouse = 0;
	replace temp_flag_ins_private_spouse = 1 if (inrange(ER34236, 1, 2) | inrange(ER34236, 10, 97) | 
											     inrange(ER34237, 1, 2) | inrange(ER34237, 10, 97) |
											     inrange(ER34238, 1, 2) | inrange(ER34238, 10, 97) 
											     ) & (ER34203 == 20 | ER34203 == 22);
	gen temp_flag_ins_public_spouse = 0 ;
	replace temp_flag_ins_public_spouse = 1 if ( inrange(ER34236, 3, 9) | inrange(ER34237, 3, 9) |
											     inrange(ER34238, 3, 9) 
											   ) & (ER34203 == 20 | ER34203 == 22);
	
	foreach var in flag_ins_private_head flag_ins_public_head
				   flag_ins_private_spouse flag_ins_public_spouse {;
		bysort ER53002: egen `var'  = max(temp_`var');
	};
	
	gen flag_anyins_head = max(flag_ins_private_head, flag_ins_public_head);
	gen flag_anyins_spouse  = max(flag_ins_private_spouse, flag_ins_public_spouse);
	
	replace flag_anyins_spouse      = . if flag_spouse == 0;
	replace flag_ins_private_spouse = . if flag_spouse == 0;
	replace flag_ins_public_spouse  = . if flag_spouse == 0;
	summ flag_*;
	drop temp_*;
	#delim cr
	
	keep if ER34203 == 10 /* Keep head only */
	
	/* Indicators on whether head or spouse is DI recipient.
       If both, use head. --> conditional on DI rec.		    */
	gen flag_di_rec_head = (flag_di_rec == 1 & ER34244 == 1)
	replace flag_di_rec_head = . if flag_di_rec == 0
	replace flag_di_rec_spouse = . if flag_di_rec == 0
	tab flag_di_rec flag_di_rec_head
	tab flag_di_rec flag_di_rec_spouse
	
	/* Receiving SSI (including disability and senior with low income) */
	gen flag_ssi_rec_head = .
	replace flag_ssi_rec_head = 1 if ER54075  == 1
	replace flag_ssi_rec_head = 0 if ER54075  == 5
	replace flag_ssi_rec_head = 0 if ER54075  == 0

	gen flag_ssi_rec_spouse = .
	replace flag_ssi_rec_spouse = 1 if ER54412  == 1
	replace flag_ssi_rec_spouse = 0 if ER54412  == 5
	replace flag_ssi_rec_spouse = 0 if ER54412  == 0

	capture drop flag_ssi_rec
	gen flag_ssi_rec = (flag_ssi_rec_head == 1 | flag_ssi_rec_spouse == 1)
	replace flag_ssi_rec = . if flag_ssi_rec_head == . & flag_ssi_rec_spouse == .



	keep if ER53002 != .
	gen interview_id 	= ER53002
	gen family_weight	= ER58257
	gen num_of_family	= ER53016

	gen annual_mortg	= (ER53050 + ER53071) * 12 if ER53050 <= 99997 & ER53071 <= 99997
	
	gen 	rent_freq 	= 365 if ER53088 == 2
	replace rent_freq 	= 52  if ER53088 == 3 
	replace rent_freq 	= 26  if ER53088 == 4
	replace rent_freq 	= 12  if ER53088 == 5
	replace rent_freq 	= 1   if ER53088 == 6 
	gen 	annual_rent	= ER53087 * rent_freq if ER53087 <= 99997
	
	/* Food home */	

	/* if food stamps not used, ... */
	gen     food_freq = 52  if ER53736 == 3
	replace food_freq = 26  if ER53736 == 4
	replace food_freq = 12  if ER53736 == 5
	replace food_freq = 1   if ER53736 == 6
	gen     food_home = ER53735 * food_freq if ER53735 <= 99996	
	replace food_home = 0 if ER53735 == 0												

	/* Food out */
	gen 	food_out_freq = 365 if ER53743 == 2
	replace food_out_freq = 52  if ER53743 == 3
	replace food_out_freq = 26  if ER53743 == 4
	replace food_out_freq = 12  if ER53743 == 5
	replace food_out_freq = 1   if ER53743 == 6
	gen 	food_out = ER53742 * food_out_freq if ER53742 <= 99996

	gen cntrb_outside	= ER54602

	replace annual_mortg  = .  if annual_mortg == 0
	replace annual_rent   = .  if annual_rent  == 0
	replace cntrb_outside = .k if cntrb_outside == 9999998
	replace cntrb_outside = .n if cntrb_outside == 9999999
	
	gen exp_housing   = ER58212A5
	gen exp_mortg     = ER58212A6
	gen exp_rent	  = ER58212A7
	gen exp_utility   = ER58212B1
	gen exp_transport = ER58212B7
	gen exp_food	  = ER58212A1
	gen exp_educ	  = ER58212D1
	gen exp_child	  = ER58212D2
	gen exp_health    = ER58212D3
	
	gen exp_hospital  = ER58212D4
	gen exp_doctor	  = ER58212D5
	gen exp_rx		  = ER58212D6
	gen exp_insurance = ER58212D7
	
	foreach var in exp_food exp_housing exp_utility exp_transport exp_educ exp_child exp_health {
		replace `var' = 0 if `var' == .
	}
	
	gen exp_hhtotal   = exp_food + exp_housing + exp_transport + exp_educ + exp_child + exp_health 
	
	/* Additional controls */
	gen head_age  = ER53017 if ER53017 <= 120
	gen head_male = ER53018 == 1 
	gen head_emply = (ER53148 == 1) if ER53148 < 9
	replace head_emply = 1 if ER53148 != 1 & ER53149 == 1
	replace head_emply = 1 if ER53148 != 1 & ER53150 == 1
	
	gen spouse_emply = (ER53411 == 1) if ER53411 < 9 & ER53411 != 0
	replace spouse_emply = 1 if ER53411 != 1 & ER53412 == 1
	replace spouse_emply = 1 if ER53411 != 1 & ER53413 == 1

	gen non_white = ER57659 != 1 if ER57659 != 9
	
	gen educ_hs 	 = .
	replace educ_hs 	= 0 if inrange(ER58223, 0, 11)
	replace educ_hs		= 1 if inrange(ER58223, 12,17)
	gen educ_college = .
	replace educ_college= 0 if inrange(ER58223, 0, 15)
	replace educ_college= 1 if inrange(ER58223, 16,17)

	gen flag_foodstamp = (ER53704  == 1)
	replace flag_foodstamp = . if ER53704 == 9
	
	gen svy_year = 2013
	
	gen inc_headwife = ER58060
	gen inc_hh = ER58152

	/* SSA REC AND DISABILITY STATUS */
	gen inc_ss_total = .
	summ inc_ss_total
	
	gen level_disabled_head   = ER55250
	gen level_disabled_spouse = ER56366
	tab level_disabled_head 
	tab level_disabled_spouse
	
	gen flag_candonothing_head = (ER55249  == 7)
	gen flag_candonothing_spouse = (ER56365  == 7)
	
	replace level_disabled_head = -1 if flag_candonothing_head == 1
	replace level_disabled_spouse = -1 if flag_candonothing_spouse == 1
	
	gen flag_severe_head = 0 if level_disabled_head != 0
	replace flag_severe_head = 1  if level_disabled_head == 1
	replace flag_severe_head = 1  if flag_candonothing_head == 1
	tab flag_severe_head
	
	gen flag_severe_spouse = 0 if level_disabled_spouse != 0
	replace flag_severe_spouse = 1  if level_disabled_spouse == 1
	replace flag_severe_spouse = 1  if flag_candonothing_spouse == 1
	tab flag_severe_spouse
	
	gen flag_moderate_head = 0 if level_disabled_head != 0
	replace flag_moderate_head = 1 if (level_disabled_head == 3 | level_disabled_head == 5 | level_disabled_head == 7) 
	tab flag_moderate_head
	
	gen flag_moderate_spouse = 0 if level_disabled_head != 0
	replace flag_moderate_spouse = 1 if (level_disabled_head == 3 | level_disabled_head == 5 | level_disabled_head == 7) 
	tab flag_moderate_spouse
	
	gen flag_psid_disable_head = (flag_severe_head == 1 | flag_moderate_head == 1)
	gen flag_psid_disable_spouse = (flag_severe_spouse == 1 | flag_moderate_spouse == 1)
	tab flag_psid_disable_head
	tab flag_psid_disable_spouse
	
	gen flag_severe = max(flag_severe_head, flag_severe_spouse)
	gen flag_moderate = max(flag_moderate_head, flag_moderate_spouse)
	gen flag_psid_disable = max(flag_psid_disable_head, flag_psid_disable_spouse)

	gen flag_severe_head2 = 0 if level_disabled_head != 0
	replace flag_severe_head2 = 1  if level_disabled_head == 1 | level_disabled_head == 3
	replace flag_severe_head2 = 1  if flag_candonothing_head == 1
	tab flag_severe_head2


	gen flag_severe_spouse2 = 0 if level_disabled_spouse != 0
	replace flag_severe_spouse2 = 1  if level_disabled_spouse == 1 | level_disabled_spouse == 3
	replace flag_severe_spouse2 = 1  if flag_candonothing_spouse == 1
	tab flag_severe_spouse2

	gen flag_severe2 = max(flag_severe_head2, flag_severe_spouse2)

	summ flag* 

	/******* Measures of permanent income ********/
	
	/* Year of education -- capped at 17, i.e. At least one year of postgraduate work */
	gen level_educ_head   = ER58223  
	gen level_educ_spouse = ER58224	
	replace level_educ_head   = . if level_educ_head >= 98
	replace level_educ_spouse = . if level_educ_spouse >= 98
	
	/* Parental education */
	gen level_educ_headFa_US = ER57622
	gen level_educ_headFa_F  = ER57625 
	replace level_educ_headFa_US   = . if level_educ_headFa_US >= 9
	replace level_educ_headFa_F    = . if level_educ_headFa_F  >= 98
	
	gen level_educ_headMo_US = ER57632
	gen level_educ_headMo_F  = ER57635 
	replace level_educ_headMo_US   = . if level_educ_headMo_US >= 9
	replace level_educ_headMo_F    = . if level_educ_headMo_F  >= 98

	gen level_educ_spouseFa_US = ER57512 
	gen level_educ_spouseFa_F  = ER57515  
	replace level_educ_spouseFa_US   = . if level_educ_spouseFa_US >= 9
	replace level_educ_spouseFa_F    = . if level_educ_spouseFa_F  >= 98
	
	gen level_educ_spouseMo_US = ER57522 
	gen level_educ_spouseMo_F  = ER57525  
	replace level_educ_spouseMo_US   = . if level_educ_spouseMo_US >= 9
	replace level_educ_spouseMo_F    = . if level_educ_spouseMo_F  >= 98
	
	/* Parental family wealth when they grow up  */
	gen level_wealth_headParent = ER57656
	replace level_wealth_headParent = . if level_wealth_headParent == 9
	gen level_wealth_spouseParent = .
	replace level_wealth_spouseParent = . if level_wealth_spouseParent == 9
	
	summ level_*
	/******* Measures of outside resources ********/
	
	/* Health insurance coverage in the last two years -- at least one member has coverage */ 
	gen flag_health_ins = (ER57484 == 1)
	replace flag_health_ins = . if ER57484 >= 8
	
	/* Spousal wage/salaries */
	gen inc_earn_spouse = ER54309 + ER58015 + ER58047
	replace inc_earn_spouse = . if  inc_earn_spouse >= 9999998

	gen level_spouseage = ER53019  
	replace level_spouseage = . if level_spouseage > 120
	
	/* Earnings */
	gen inc_earn_head = ER58020 
	replace inc_earn_head = . if  inc_earn_head >= 9999998
	gen inc_earn_HSP = inc_earn_head
	replace inc_earn_HSP = inc_earn_head + inc_earn_spouse if inc_earn_spouse != .		
	
	/* Marital Status */
	gen flag_married = (ER53023 == 1)
	replace flag_married = . if ER53023 >= 8
	
	summ flag_health_ins flag_married
	summ inc_* 	
	
	gen flag_home_own  = (ER53029  == 1)
	gen flag_home_rent = (ER53029  == 5)
	
	gen level_cash = ER54661  
	replace level_cash = . if level_cash >= 999999998
	
	gen reason_move1 = ER53143 if ER53143 < 90 
	gen reason_move2 = ER53144 if reason_move1 != .
	gen reason_move3 = ER53145 if reason_move1 != .
	gen reason_move4 = .
	
	gen night_hosp_hd = ER55327 
	gen night_hosp_sp = ER56443
	
	gen reason_posend_hd_u = ER53224
	gen reason_posend_sp_u = ER53487 if flag_spouse == 1
	gen reason_posend_hd_e = .
	gen reason_posend_sp_e = .
	

	
	gen adl_bath_head = ER55329
	gen adl_dress_head = ER55332
	gen adl_eat_head = ER55335
	gen adl_out_bed_head = ER55338
	gen adl_outdoor_head = ER55344
	gen adl_toilet_head = ER55347
	gen adl_walk_head = ER55341
	
	gen iadl_heavy_head = ER55358
	gen iadl_light_head = ER55360
	gen iadl_manage_money_head = ER55354
	gen iadl_meal_head = ER55350
	gen iadl_shop_head = ER55352
	gen iadl_tel_head = ER55356
	
	gen adl_bath_spouse = ER56445
	gen adl_dress_spouse = ER56448
	gen adl_eat_spouse = ER56451
	gen adl_out_bed_spouse = ER56454
	gen adl_outdoor_spouse = ER56460
	gen adl_toilet_spouse = ER56463
	gen adl_walk_spouse = ER56457
	
	gen iadl_heavy_spouse = ER56474
	gen iadl_light_spouse = ER56476
	gen iadl_manage_money_spouse = ER56470
	gen iadl_meal_spouse = ER56466
	gen iadl_shop_spouse = ER56468
	gen iadl_tel_spouse = ER56472

	
	gen flag_arthritis_head = ER55288
	gen flag_asthma_head = ER55273
	gen flag_blood_head = ER55268
	gen flag_cancer_head = ER55303
	gen flag_diabete_head = ER55283
	
	gen flag_heart_attack_head = ER55257
	gen flag_heart_disease_head = ER55263
	gen flag_lung_disease_head = ER55278
	gen flag_other_head = ER55321
	gen flag_stroke_head = ER55251
	
	
	gen flag_arthritis_spouse = ER56404
	gen flag_asthma_spouse = ER56389
	gen flag_blood_spouse = ER56384
	gen flag_cancer_spouse = ER56419
	gen flag_diabete_spouse = ER56399
	
	gen flag_heart_attack_spouse = ER56373
	gen flag_heart_disease_spouse = ER56379
	gen flag_lung_disease_spouse = ER56394
	gen flag_other_spouse = ER56437
	gen flag_stroke_spouse = ER56367
	
	/* health status */

	gen health_status_head = ER55244
	gen health_status_spouse = ER56360

	/* mental condition */
	
	gen depression = ER57482
	replace depression = . if ER57482 > 30
	gen flag_psychiatric_head = ER55311 
	gen flag_psychiatric_spouse = ER56427 
	
	gen flag_learning_head = ER55298
	gen flag_learning_spouse = ER56414  
	
	gen flag_memory_head = ER55293  
	gen flag_memory_spouse = ER56409	
	
	/* Chronic condition */
	
	gen flag_chronic_head = (ER55321 == 1) if ER55321 == 1 | ER55321 == 5
	gen flag_chronic_spouse = (ER56437 == 1) if ER56437 == 1 | ER56437 == 5

	
	/* ADC/AFDC, T-2, Social Security, unemployment compensation, worker's compensation*/
	
	
	gen flag_adc_head = ER54059
	gen flag_ui_head = ER54193
	gen flag_wi_head = ER54209
	
	gen flag_adc_spouse = ER54429
	gen flag_ui_spouse = ER54312
	gen flag_wi_spouse = ER54328
	
	gen flag_ss = ER54108
	

	
	/* well-being */
	
	gen lf_satisfy = ER53024


	/* Compared to two years ago */
	
	gen compared_2yrs_head =  ER55245 if ER55245 < 8
	gen compared_2yrs_spouse = ER56361 if 0 < ER56361 & ER56361 < 8

	/* Relative and non-relative cash transfer */
	
	gen flag_cash_relative_head = (ER54257 == 1) if ER54257 == 1 | ER54257 == 5
	gen flag_cash_relative_spouse = (ER54541 == 1) if ER54541 == 1 | ER54541 == 5
	
	gen flag_cash_nonrelative_head = (ER54273 == 1) if ER54273 == 1 | ER54273 == 5
	gen flag_cash_nonrelative_spouse = (ER54557 == 1) if ER54557 == 1 | ER54557 == 5

	
	/* exp for rent and mortgage monthly reported */
	
	gen exp_rent_old = ER53087 if ER53087 < 99998
	gen exp_mortg_old = ER53050 if ER53050 < 99998
	
	
	/* exp for food weekly reported */
	
	gen exp_food_N_fdstamp = ER53735 if ER53735 < 99998 & ER53735 != 0
	gen exp_food_fdstamp = ER53725 if ER53725 < 99998 & ER53725 != 0
	
	count if exp_food_N_fdstamp != . & exp_food_fdstamp != .

	gen exp_food_old = exp_food_N_fdstamp
	replace exp_food_old = exp_food_fdstamp if exp_food_old == .

	
	/* total asset */
	
	gen total_asset_debt = ER58209
	
	/* individual asset */
	
	gen level_busi = ER58155
	gen level_saving = ER58161
	gen level_estate = ER58165
	gen level_stocks = ER58171
	gen level_vehicle = ER58173
	gen level_oth_asset = ER58177
	gen level_annuity = ER58181
	

	gen yr_work_18 = ER57711 if 0 < ER57711 & ER57711 < 99

	
   /******* State of Residence ********/
	gen state_res_code = ER53003                 
	
    label define state_res_code 1 "AL" , modify	
	label define state_res_code 2 "AZ" , modify 
	label define state_res_code 3 "AR" , modify 
	label define state_res_code 4 "CA" , modify 
	label define state_res_code 5 "CO" , modify 
	label define state_res_code 6 "CT" , modify 
	label define state_res_code 7 "DE" , modify 
	label define state_res_code 8 "DC" , modify 
	label define state_res_code 9 "FL" , modify 
	label define state_res_code 10 "GA" , modify
	label define state_res_code 11 "ID" , modify
	label define state_res_code 12 "IL" , modify
	label define state_res_code 13 "IN" , modify
	label define state_res_code 14 "IA" , modify
	label define state_res_code 15 "KS" , modify
	label define state_res_code 16 "KY" , modify
	label define state_res_code 17 "LA" , modify
	label define state_res_code 18 "ME" , modify
	label define state_res_code 19 "MD" , modify
	label define state_res_code 20 "MA" , modify
	label define state_res_code 21 "MI" , modify
	label define state_res_code 22 "MN" , modify
	label define state_res_code 23 "MS" , modify
	label define state_res_code 24 "MO" , modify
	label define state_res_code 25 "MT" , modify
	label define state_res_code 26 "NE" , modify
	label define state_res_code 27 "NV" , modify
	label define state_res_code 28 "NH" , modify
	label define state_res_code 29 "NJ" , modify
	label define state_res_code 30 "NM" , modify
	label define state_res_code 31 "NY" , modify
	label define state_res_code 32 "NC" , modify
	label define state_res_code 33 "ND" , modify
	label define state_res_code 34 "OH" , modify
	label define state_res_code 35 "OK" , modify
	label define state_res_code 36 "OR" , modify
	label define state_res_code 37 "PA" , modify
	label define state_res_code 38 "RI" , modify
	label define state_res_code 39 "SC" , modify
	label define state_res_code 40 "SD" , modify
	label define state_res_code 41 "TN" , modify
	label define state_res_code 42 "TX" , modify
	label define state_res_code 43 "UT" , modify
	label define state_res_code 44 "VT" , modify
	label define state_res_code 45 "VA" , modify
	label define state_res_code 46 "WA" , modify
	label define state_res_code 47 "WV" , modify
	label define state_res_code 48 "WI" , modify
	label define state_res_code 49 "WY" , modify 
	label define state_res_code 50 "AK" , modify
	label define state_res_code 51 "HI" , modify	
	
	label value state_res_code state_res_code	
	decode state_res_code, gen(state_res)
	
	/******* Current State ********/
	gen state_curr_code = ER53004                     

	label define state_curr_code 1 "AL" , modify
	label define state_curr_code 2 "AK" , modify
	label define state_curr_code 4 "AZ" , modify
	label define state_curr_code 5 "AR" , modify
	label define state_curr_code 6 "CA" , modify
	label define state_curr_code 8 "CO" , modify
	label define state_curr_code 9 "CT" , modify
	label define state_curr_code 10 "DE" , modify
	label define state_curr_code 11 "DC" , modify
	label define state_curr_code 12 "FL" , modify
	label define state_curr_code 13 "GA" , modify
	label define state_curr_code 15 "HI" , modify
	label define state_curr_code 16 "ID" , modify
	label define state_curr_code 17 "IL" , modify
	label define state_curr_code 18 "IN" , modify
	label define state_curr_code 19 "IA" , modify
	label define state_curr_code 20 "KS" , modify
	label define state_curr_code 21 "KY" , modify
	label define state_curr_code 22 "LA" , modify
	label define state_curr_code 23 "ME" , modify
	label define state_curr_code 24 "MD" , modify
	label define state_curr_code 25 "MA" , modify
	label define state_curr_code 26 "MI" , modify
	label define state_curr_code 27 "MN" , modify
	label define state_curr_code 28 "MI" , modify
	label define state_curr_code 29 "MO" , modify
	label define state_curr_code 30 "MT" , modify
	label define state_curr_code 31 "NE" , modify
	label define state_curr_code 32 "NV" , modify
	label define state_curr_code 33 "NH" , modify
	label define state_curr_code 34 "NJ" , modify
	label define state_curr_code 35 "NM" , modify
	label define state_curr_code 36 "NY" , modify
	label define state_curr_code 37 "NC" , modify
	label define state_curr_code 38 "ND" , modify
	label define state_curr_code 39 "OH" , modify
	label define state_curr_code 40 "OK" , modify
	label define state_curr_code 41 "OR" , modify
	label define state_curr_code 42 "PA" , modify
	label define state_curr_code 44 "RI" , modify
	label define state_curr_code 45 "SC" , modify
	label define state_curr_code 46 "SD" , modify
	label define state_curr_code 47 "TN" , modify
	label define state_curr_code 48 "TX" , modify
	label define state_curr_code 49 "UT" , modify
	label define state_curr_code 50 "VT" , modify
	label define state_curr_code 51 "VA" , modify
	label define state_curr_code 53 "WA" , modify
	label define state_curr_code 54 "WV" , modify
	label define state_curr_code 55 "WI" , modify
	label define state_curr_code 56 "WY" , modify

	label value state_curr_code state_curr_code
	decode state_curr_code, gen(state_curr)	


	keep unique_id svy_year interview_id flag_* level_*  num_of_family educ_* head_* inc_* non_white  ///
		 family_weight annual_mortg annual_rent food_home food_out cntrb_outside reason* night* depression	 ///
		 exp_* adl* iadl* health_status* spouse_emply compared* total_asset_debt yr_work_18 state_res state_curr

	tempfile psid2013
	save `psid2013', replace
	
restore		
   
