/* PSID DATA CLEANING: 
   AUX CODE for prep_psid_1.do		*/
   
/* ********* */
/* Year 2015 */
/* ********* */	

preserve

	keep if (ER34303 == 10 & ER34302 == 1) | (ER34303 == 20 & ER34302 == 2) | (ER34303 == 22 & ER34302 == 2)
	
	bysort ER60002: egen flag_spouse = max(ER34303 == 20 | ER34303 == 22)	
	bysort ER60002: egen flag_di_rec = max(ER34394 == 1)
	bysort ER60002: egen flag_ssi_rec = max(ER34393F >= 100)
	gen temp_flag_di_rec_spouse = (ER34394 == 1) if (ER34303 == 20 & ER34302 == 2) | (ER34303 == 22 & ER34302 == 2)
	bysort ER60002: egen flag_di_rec_spouse = max(temp_flag_di_rec_spouse)

	#delim;
	gen temp_flag_ins_private_head = 0;
	replace temp_flag_ins_private_head = 1 if (inrange(ER34386, 1, 2) | inrange(ER34386, 10, 97) | 
											   inrange(ER34387, 1, 2) | inrange(ER34387, 10, 97) |
											   inrange(ER34388, 1, 2) | inrange(ER34388, 10, 97) 
											   ) & (ER34303 == 10);
	gen temp_flag_ins_public_head = 0 ;
	replace temp_flag_ins_public_head = 1 if ( inrange(ER34386, 3, 9) | inrange(ER34387, 3, 9) |
											   inrange(ER34388, 3, 9) 
											 ) & (ER34303 == 10);
	
	gen temp_flag_ins_private_spouse = 0;
	replace temp_flag_ins_private_spouse = 1 if (inrange(ER34386, 1, 2) | inrange(ER34386, 10, 97) | 
											     inrange(ER34387, 1, 2) | inrange(ER34387, 10, 97) |
											     inrange(ER34388, 1, 2) | inrange(ER34388, 10, 97) 
											     ) & (ER34303 == 20 | ER34303 == 22);
	gen temp_flag_ins_public_spouse = 0 ;
	replace temp_flag_ins_public_spouse = 1 if ( inrange(ER34386, 3, 9) | inrange(ER34387, 3, 9) |
											     inrange(ER34388, 3, 9) 
											   )  & (ER34303 == 20 | ER34303 == 22);
	
	foreach var in flag_ins_private_head flag_ins_public_head
				   flag_ins_private_spouse flag_ins_public_spouse {;
		bysort ER60002: egen `var'  = max(temp_`var');
	};
	
	gen flag_anyins_head = max(flag_ins_private_head, flag_ins_public_head);
	gen flag_anyins_spouse  = max(flag_ins_private_spouse, flag_ins_public_spouse);
	
	replace flag_anyins_spouse      = . if flag_spouse == 0;
	replace flag_ins_private_spouse = . if flag_spouse == 0;
	replace flag_ins_public_spouse  = . if flag_spouse == 0;
	summ flag_*;
	drop temp_*;
	#delim cr
	
	keep if ER34303 == 10 /* Keep head only */
	
	/* Indicators on whether head or spouse is DI recipient.
       If both, use head. --> conditional on DI rec.		    */
	gen flag_di_rec_head = (flag_di_rec == 1 & ER34394 == 1)
	replace flag_di_rec_head = . if flag_di_rec == 0
	replace flag_di_rec_spouse = . if flag_di_rec == 0
	tab flag_di_rec flag_di_rec_head
	tab flag_di_rec flag_di_rec_spouse


	/* Receiving SSI (including disability and senior with low income) */
	gen flag_ssi_rec_head = .
	replace flag_ssi_rec_head = 1 if ER61117  == 1
	replace flag_ssi_rec_head = 0 if ER61117  == 5
	replace flag_ssi_rec_head = 0 if ER61117  == 0

	gen flag_ssi_rec_spouse = .
	replace flag_ssi_rec_spouse = 1 if ER61488  == 1
	replace flag_ssi_rec_spouse = 0 if ER61488  == 5
	replace flag_ssi_rec_spouse = 0 if ER61488  == 0

	capture drop flag_ssi_rec
	gen flag_ssi_rec = (flag_ssi_rec_head == 1 | flag_ssi_rec_spouse == 1)
	replace flag_ssi_rec = . if flag_ssi_rec_head == . & flag_ssi_rec_spouse == .

	
	keep if ER60002 != .
	gen interview_id 	= ER60002
	gen family_weight	= ER65492
	gen num_of_family	= ER60016

	gen annual_mortg	= (ER60051 + ER60072) * 12 if ER60051 <= 99997 & ER60072 <= 99997
	
	gen 	rent_freq 	= 365 if ER60089 == 2
	replace rent_freq 	= 52  if ER60089 == 3 
	replace rent_freq 	= 26  if ER60089 == 4
	replace rent_freq 	= 12  if ER60089 == 5
	replace rent_freq 	= 1   if ER60089 == 6 
	gen 	annual_rent	= ER60088 * rent_freq if ER60088 <= 99997
	
	/* Food home */		
	gen     food_freq = 52  if ER60751 == 3
	replace food_freq = 26  if ER60751 == 4
	replace food_freq = 12  if ER60751 == 5
	replace food_freq = 1   if ER60751 == 6
	gen     food_home = ER60750 * food_freq if ER60750 <= 99996	
	replace food_home = 0 if ER60750 == 0													
	
	/* Food out */
	gen 	food_out_freq = 365 if ER60758 == 2
	replace food_out_freq = 52  if ER60758 == 3
	replace food_out_freq = 26  if ER60758 == 4
	replace food_out_freq = 12  if ER60758 == 5
	replace food_out_freq = 1   if ER60758 == 6
	gen 	food_out = ER60757 * food_out_freq if ER60757 <= 99996
	
	gen cntrb_outside	= ER61713

	replace annual_mortg  = .  if annual_mortg == 0
	replace annual_rent   = .  if annual_rent  == 0
	replace cntrb_outside = .k if cntrb_outside == 9999998
	replace cntrb_outside = .n if cntrb_outside == 9999999
	
	gen exp_housing   = ER65414
	gen exp_mortg     = ER65415
	gen exp_rent	  = ER65416
	gen exp_utility   = ER65419
	gen exp_transport = ER65425
	gen exp_food	  = ER65410
	gen exp_educ	  = ER65437
	gen exp_child	  = ER65438
	gen exp_health    = ER65439
	
	gen exp_hospital  = ER65440
	gen exp_doctor	  = ER65441
	gen exp_rx		  = ER65442
	gen exp_insurance = ER65443
	
	foreach var in exp_food exp_housing exp_utility exp_transport exp_educ exp_child exp_health {
		replace `var' = 0 if `var' == .
	}
	
	gen exp_hhtotal   = exp_food + exp_housing + exp_transport + exp_educ + exp_child + exp_health 
	

	/* Additional controls */
	gen head_age  = ER60017 if ER60017 <= 120
	gen head_male = ER60018 == 1 
	gen head_emply = (ER60163 == 1) if ER60163 < 9
	replace head_emply = 1 if ER60163 != 1 & ER60164 == 1
	replace head_emply = 1 if ER60163 != 1 & ER60165 == 1
	
	gen spouse_emply = (ER60426 == 1) if ER60426 < 9 & ER60426 != 0
	replace spouse_emply = 1 if ER60426 != 1 & ER60427 == 1
	replace spouse_emply = 1 if ER60426 != 1 & ER60428 == 1

	gen non_white = ER64810 != 1 if ER64810 != 9
	
	gen educ_hs 	 = .
	replace educ_hs 	= 0 if inrange(ER65459, 0, 11)
	replace educ_hs		= 1 if inrange(ER65459, 12,17)
	gen educ_college = .
	replace educ_college= 0 if inrange(ER65459, 0, 15)
	replace educ_college= 1 if inrange(ER65459, 16,17)

	gen flag_foodstamp = (ER60719  == 1)
	replace flag_foodstamp = . if ER60719 == 9
	
	gen svy_year = 2015
	
	gen inc_headwife = ER65253
	gen inc_hh = ER65349

	/* SSA REC AND DISABILITY STATUS */
	gen inc_ss_total = .
	summ inc_ss_total
	
	gen level_disabled_head   = ER62372
	gen level_disabled_spouse = ER63488 
	tab level_disabled_head 
	tab level_disabled_spouse
	
	gen flag_candonothing_head = (ER62371  == 7)
	gen flag_candonothing_spouse = (ER63487  == 7)
	
	replace level_disabled_head = -1 if flag_candonothing_head == 1
	replace level_disabled_spouse = -1 if flag_candonothing_spouse == 1
	
	gen flag_severe_head = 0 if level_disabled_head != 0
	replace flag_severe_head = 1  if level_disabled_head == 1
	replace flag_severe_head = 1  if flag_candonothing_head == 1
	tab flag_severe_head
	
	gen flag_severe_spouse = 0 if level_disabled_spouse != 0
	replace flag_severe_spouse = 1  if level_disabled_spouse == 1
	replace flag_severe_spouse = 1  if flag_candonothing_spouse == 1
	tab flag_severe_spouse
	
	gen flag_moderate_head = 0 if level_disabled_head != 0
	replace flag_moderate_head = 1 if (level_disabled_head == 3 | level_disabled_head == 5 | level_disabled_head == 7) 
	tab flag_moderate_head
	
	gen flag_moderate_spouse = 0 if level_disabled_head != 0
	replace flag_moderate_spouse = 1 if (level_disabled_head == 3 | level_disabled_head == 5 | level_disabled_head == 7) 
	tab flag_moderate_spouse
	
	gen flag_psid_disable_head = (flag_severe_head == 1 | flag_moderate_head == 1)
	gen flag_psid_disable_spouse = (flag_severe_spouse == 1 | flag_moderate_spouse == 1)
	tab flag_psid_disable_head
	tab flag_psid_disable_spouse
	
	gen flag_severe = max(flag_severe_head, flag_severe_spouse)
	gen flag_moderate = max(flag_moderate_head, flag_moderate_spouse)
	gen flag_psid_disable = max(flag_psid_disable_head, flag_psid_disable_spouse)

	gen flag_severe_head2 = 0 if level_disabled_head != 0
	replace flag_severe_head2 = 1  if level_disabled_head == 1 | level_disabled_head == 3
	replace flag_severe_head2 = 1  if flag_candonothing_head == 1
	tab flag_severe_head2


	gen flag_severe_spouse2 = 0 if level_disabled_spouse != 0
	replace flag_severe_spouse2 = 1  if level_disabled_spouse == 1 | level_disabled_spouse == 3
	replace flag_severe_spouse2 = 1  if flag_candonothing_spouse == 1
	tab flag_severe_spouse2

	gen flag_severe2 = max(flag_severe_head2, flag_severe_spouse2)

	summ flag* 
	
	/******* Measures of permanent income ********/
	
	/* Year of education -- capped at 17, i.e. At least one year of postgraduate work */
	gen level_educ_head   = ER65459  
	gen level_educ_spouse = ER65460	
	replace level_educ_head   = . if level_educ_head >= 98
	replace level_educ_spouse = . if level_educ_spouse >= 98
	
	/* Parental education */
	gen level_educ_headFa_US = ER64773
	gen level_educ_headFa_F  = ER64776
	replace level_educ_headFa_US   = . if level_educ_headFa_US >= 9
	replace level_educ_headFa_F    = . if level_educ_headFa_F  >= 98
	
	gen level_educ_headMo_US = ER64783
	gen level_educ_headMo_F  = ER64786
	replace level_educ_headMo_US   = . if level_educ_headMo_US >= 9
	replace level_educ_headMo_F    = . if level_educ_headMo_F  >= 98

	gen level_educ_spouseFa_US = ER64634 
	gen level_educ_spouseFa_F  = ER64637  
	replace level_educ_spouseFa_US   = . if level_educ_spouseFa_US >= 9
	replace level_educ_spouseFa_F    = . if level_educ_spouseFa_F  >= 98
	
	gen level_educ_spouseMo_US = ER64644 
	gen level_educ_spouseMo_F  = ER64647  
	replace level_educ_spouseMo_US   = . if level_educ_spouseMo_US >= 9
	replace level_educ_spouseMo_F    = . if level_educ_spouseMo_F  >= 98
	
	/* Parental family wealth when they grow up  */
	gen level_wealth_headParent = ER64807
	replace level_wealth_headParent = . if level_wealth_headParent == 9
	gen level_wealth_spouseParent = .
	replace level_wealth_spouseParent = . if level_wealth_spouseParent == 9
	
	summ level_*
	/******* Measures of outside resources ********/
	
	/* Health insurance coverage in the last year -- at least one member has coverage */ 
	gen flag_health_ins = (ER64606 == 1)
	replace flag_health_ins = . if ER64606 >= 8
	
	/* Spousal wage/salaries */
	gen inc_earn_spouse = ER61349 + ER65225 + ER65195
	replace inc_earn_spouse = . if  inc_earn_spouse >= 9999998

	gen level_spouseage = ER60019 
	replace level_spouseage = . if level_spouseage > 120
	
	/* Earnings */
	gen inc_earn_head = ER65200  
	replace inc_earn_head = . if  inc_earn_head >= 9999998
	gen inc_earn_HSP = inc_earn_head
	replace inc_earn_HSP = inc_earn_head + inc_earn_spouse if inc_earn_spouse != .			
	
	/* Marital Status */
	gen flag_married = (ER60024 == 1)
	replace flag_married = . if ER60024 >= 8
	
	summ flag_health_ins flag_married
	summ inc_* 
	
	gen flag_home_own  = (ER60030  == 1)
	gen flag_home_rent = (ER60030  == 5)	
	
	gen level_cash = ER61772  
	replace level_cash = . if level_cash >= 999999998

	gen reason_move1 = ER60158 if ER60158 < 90
	gen reason_move2 = ER60159 if ER60159 < 90 & reason_move1 != .
	gen reason_move3 = ER60160 if ER60160 < 90 & reason_move1 != .
	gen reason_move4 = .
	
	gen night_hosp_hd = ER62449 
	gen night_hosp_sp = ER63565
	
	gen reason_posend_hd_u = ER60239
	gen reason_posend_sp_u = ER60502 if flag_spouse == 1 
	gen reason_posend_hd_e = .
	gen reason_posend_sp_e = .
	

	
	gen adl_bath_head = ER62451
	gen adl_dress_head = ER62454
	gen adl_eat_head = ER62457
	gen adl_out_bed_head = ER62460
	gen adl_outdoor_head = ER62466
	gen adl_toilet_head = ER62469
	gen adl_walk_head = ER62463
	
	gen iadl_heavy_head = ER62480
	gen iadl_light_head = ER62482
	gen iadl_manage_money_head = ER62476
	gen iadl_meal_head = ER62472
	gen iadl_shop_head = ER62474
	gen iadl_tel_head = ER62478
	
	gen adl_bath_spouse = ER63567
	gen adl_dress_spouse = ER63570
	gen adl_eat_spouse = ER63573
	gen adl_out_bed_spouse = ER63576
	gen adl_outdoor_spouse = ER63582
	gen adl_toilet_spouse = ER63585
	gen adl_walk_spouse = ER63579
	
	gen iadl_heavy_spouse = ER63596
	gen iadl_light_spouse = ER63598
	gen iadl_manage_money_spouse = ER63592
	gen iadl_meal_spouse = ER63588
	gen iadl_shop_spouse = ER63590
	gen iadl_tel_spouse = ER63594

 
	gen flag_arthritis_head = ER62410
	gen flag_asthma_head = ER62395
	gen flag_blood_head = ER62390
	gen flag_cancer_head = ER62425
	gen flag_diabete_head = ER62405
	
	gen flag_heart_attack_head = ER62379
	gen flag_heart_disease_head = ER62385
	gen flag_lung_disease_head = ER62400
	gen flag_other_head = ER62443
	gen flag_stroke_head = ER62373
	
	
	gen flag_arthritis_spouse = ER63526
	gen flag_asthma_spouse = ER63511
	gen flag_blood_spouse = ER63506
	gen flag_cancer_spouse = ER63541
	gen flag_diabete_spouse = ER63521
	
	gen flag_heart_attack_spouse = ER63495
	gen flag_heart_disease_spouse = ER63501
	gen flag_lung_disease_spouse = ER63516
	gen flag_other_spouse = ER63559
	gen flag_stroke_spouse = ER63489
	
	/* health status */
	
	gen health_status_head = ER62366
	gen health_status_spouse = ER63482

	/* mental condition */

	gen depression = ER64604
	replace depression = . if ER64604 > 30
	gen flag_psychiatric_head = ER62433 
	gen flag_psychiatric_spouse = ER63549 
	
	gen flag_learning_head = ER62420
	gen flag_learning_spouse = ER63536 
	
	gen flag_memory_head = ER62415 
	gen flag_memory_spouse = ER63531
	
	/* Chronic condition */
	
	gen flag_chronic_head = (ER62443 == 1) if ER62443 == 1 | ER62443 == 5
	gen flag_chronic_spouse = (ER63559 == 1) if ER63559 == 1 | ER63559 == 5


	/* ADC/AFDC, T-2, Social Security, unemployment compensation, worker's compensation*/
	
	
	gen flag_adc_head = ER61101
	gen flag_ui_head = ER61235
	gen flag_wi_head = ER61251
	
	gen flag_adc_spouse = ER61505
	gen flag_ui_spouse = ER61388
	gen flag_wi_spouse = ER61404
	
	gen flag_ss = ER61150

	
	/* well-being */
	
	gen lf_satisfy = ER60025
	gen hhfood_secur = ER60799
	gen food_Nlast = ER60761
	gen worry_food_Nlast = ER60760
	gen food_Nbalanced = ER60762


	
	/* Compared to two years ago */
	
	gen compared_2yrs_head =  ER62367 if ER62367 < 8
	gen compared_2yrs_spouse = ER63483 if 0 < ER63483 & ER63483 < 8

	/* Relative and non-relative cash transfer */
	
	gen flag_cash_relative_head = (ER61299 == 1) if ER61299 == 1 | ER61299 == 5
	gen flag_cash_relative_spouse = (ER61652 == 1) if ER61652 == 1 | ER61652 == 5
	
	gen flag_cash_nonrelative_head = (ER61315 == 1) if ER61315 == 1 | ER61315 == 5
	gen flag_cash_nonrelative_spouse = (ER61668 == 1) if ER61668 == 1 | ER61668 == 5
	
	/* exp for rent and mortgage monthly reported */
	
	gen exp_rent_old = ER60088 if ER60088 < 99998
	gen exp_mortg_old = ER60051 if ER60051 < 99998

	/* exp for food weekly reported */
	
	gen exp_food_N_fdstamp = ER60750 if ER60750 < 99998 & ER60750 != 0
	gen exp_food_fdstamp = ER60740 if ER60740 < 99998 & ER60740 != 0
	
	count if exp_food_N_fdstamp != . & exp_food_fdstamp != .

	gen exp_food_old = exp_food_N_fdstamp
	replace exp_food_old = exp_food_fdstamp if exp_food_old == .

	/* total asset */
	
	gen total_asset_debt = ER65406

	/* individual asset */
	
	gen level_busi = ER65352
	gen level_saving = ER65358
	gen level_estate = ER65362
	gen level_stocks = ER65368
	gen level_vehicle = ER65370
	gen level_oth_asset = ER65374
	gen level_annuity = ER65378

	gen yr_work_18 = ER64871 if 0 < ER64871 & ER64871 < 99

   /******* State of Residence ********/
	gen state_res_code = ER60003                  
	
    label define state_res_code 1 "AL" , modify	
	label define state_res_code 2 "AZ" , modify 
	label define state_res_code 3 "AR" , modify 
	label define state_res_code 4 "CA" , modify 
	label define state_res_code 5 "CO" , modify 
	label define state_res_code 6 "CT" , modify 
	label define state_res_code 7 "DE" , modify 
	label define state_res_code 8 "DC" , modify 
	label define state_res_code 9 "FL" , modify 
	label define state_res_code 10 "GA" , modify
	label define state_res_code 11 "ID" , modify
	label define state_res_code 12 "IL" , modify
	label define state_res_code 13 "IN" , modify
	label define state_res_code 14 "IA" , modify
	label define state_res_code 15 "KS" , modify
	label define state_res_code 16 "KY" , modify
	label define state_res_code 17 "LA" , modify
	label define state_res_code 18 "ME" , modify
	label define state_res_code 19 "MD" , modify
	label define state_res_code 20 "MA" , modify
	label define state_res_code 21 "MI" , modify
	label define state_res_code 22 "MN" , modify
	label define state_res_code 23 "MS" , modify
	label define state_res_code 24 "MO" , modify
	label define state_res_code 25 "MT" , modify
	label define state_res_code 26 "NE" , modify
	label define state_res_code 27 "NV" , modify
	label define state_res_code 28 "NH" , modify
	label define state_res_code 29 "NJ" , modify
	label define state_res_code 30 "NM" , modify
	label define state_res_code 31 "NY" , modify
	label define state_res_code 32 "NC" , modify
	label define state_res_code 33 "ND" , modify
	label define state_res_code 34 "OH" , modify
	label define state_res_code 35 "OK" , modify
	label define state_res_code 36 "OR" , modify
	label define state_res_code 37 "PA" , modify
	label define state_res_code 38 "RI" , modify
	label define state_res_code 39 "SC" , modify
	label define state_res_code 40 "SD" , modify
	label define state_res_code 41 "TN" , modify
	label define state_res_code 42 "TX" , modify
	label define state_res_code 43 "UT" , modify
	label define state_res_code 44 "VT" , modify
	label define state_res_code 45 "VA" , modify
	label define state_res_code 46 "WA" , modify
	label define state_res_code 47 "WV" , modify
	label define state_res_code 48 "WI" , modify
	label define state_res_code 49 "WY" , modify 
	label define state_res_code 50 "AK" , modify
	label define state_res_code 51 "HI" , modify	
	
	label value state_res_code state_res_code	
	decode state_res_code, gen(state_res)
	
	/******* Current State ********/
	gen state_curr_code = ER60004                    

	label define state_curr_code 1 "AL" , modify
	label define state_curr_code 2 "AK" , modify
	label define state_curr_code 4 "AZ" , modify
	label define state_curr_code 5 "AR" , modify
	label define state_curr_code 6 "CA" , modify
	label define state_curr_code 8 "CO" , modify
	label define state_curr_code 9 "CT" , modify
	label define state_curr_code 10 "DE" , modify
	label define state_curr_code 11 "DC" , modify
	label define state_curr_code 12 "FL" , modify
	label define state_curr_code 13 "GA" , modify
	label define state_curr_code 15 "HI" , modify
	label define state_curr_code 16 "ID" , modify
	label define state_curr_code 17 "IL" , modify
	label define state_curr_code 18 "IN" , modify
	label define state_curr_code 19 "IA" , modify
	label define state_curr_code 20 "KS" , modify
	label define state_curr_code 21 "KY" , modify
	label define state_curr_code 22 "LA" , modify
	label define state_curr_code 23 "ME" , modify
	label define state_curr_code 24 "MD" , modify
	label define state_curr_code 25 "MA" , modify
	label define state_curr_code 26 "MI" , modify
	label define state_curr_code 27 "MN" , modify
	label define state_curr_code 28 "MI" , modify
	label define state_curr_code 29 "MO" , modify
	label define state_curr_code 30 "MT" , modify
	label define state_curr_code 31 "NE" , modify
	label define state_curr_code 32 "NV" , modify
	label define state_curr_code 33 "NH" , modify
	label define state_curr_code 34 "NJ" , modify
	label define state_curr_code 35 "NM" , modify
	label define state_curr_code 36 "NY" , modify
	label define state_curr_code 37 "NC" , modify
	label define state_curr_code 38 "ND" , modify
	label define state_curr_code 39 "OH" , modify
	label define state_curr_code 40 "OK" , modify
	label define state_curr_code 41 "OR" , modify
	label define state_curr_code 42 "PA" , modify
	label define state_curr_code 44 "RI" , modify
	label define state_curr_code 45 "SC" , modify
	label define state_curr_code 46 "SD" , modify
	label define state_curr_code 47 "TN" , modify
	label define state_curr_code 48 "TX" , modify
	label define state_curr_code 49 "UT" , modify
	label define state_curr_code 50 "VT" , modify
	label define state_curr_code 51 "VA" , modify
	label define state_curr_code 53 "WA" , modify
	label define state_curr_code 54 "WV" , modify
	label define state_curr_code 55 "WI" , modify
	label define state_curr_code 56 "WY" , modify

	label value state_curr_code state_curr_code
	decode state_curr_code, gen(state_curr)	


	keep unique_id svy_year interview_id flag_* level_*  num_of_family educ_* head_* inc_* non_white  ///
		 family_weight annual_mortg annual_rent food_home food_out cntrb_outside reason* night* depression	 ///
		 exp_* adl* iadl* health_status* spouse_emply compared* total_asset_debt yr_work_18 state_res state_curr

	tempfile psid2015
	save `psid2015', replace
	
restore   
