/* PSID DATA CLEANING: 
   AUX CODE for prep_psid_1.do		*/
   
/* ********* */
/* Year 2017 */
/* ********* */	
preserve


	keep if (ER34503 == 10 & ER34502 == 1) | (ER34503 == 20 & ER34502 == 2) | (ER34503 == 22 & ER34502 == 2)
	
	bysort ER66002: egen flag_spouse = max(ER34503 == 20 | ER34503 == 22)	
	bysort ER66002: egen flag_di_rec = max(ER34603 == 1)
	bysort ER66002: egen flag_ssi_rec = max(ER34616 >= 100)
	gen temp_flag_di_rec_spouse = (ER34603 == 1) if (ER34503 == 20 & ER34502 == 2) | (ER34503 == 22 & ER34502 == 2)
	bysort ER66002: egen flag_di_rec_spouse = max(temp_flag_di_rec_spouse)


	#delim;
	gen temp_flag_ins_private_head = 0;
	replace temp_flag_ins_private_head = 1 if (inrange(ER34595, 1, 2) | inrange(ER34595, 10, 97) | 
											   inrange(ER34596, 1, 2) | inrange(ER34596, 10, 97) |
											   inrange(ER34597, 1, 2) | inrange(ER34597, 10, 97) 
											   ) & (ER34503 == 10);
	gen temp_flag_ins_public_head = 0 ;
	replace temp_flag_ins_public_head = 1 if ( inrange(ER34595, 3, 9) | inrange(ER34596, 3, 9) |
											   inrange(ER34597, 3, 9) 
											 ) & (ER34503 == 10);
	
	gen temp_flag_ins_private_spouse = 0;
	replace temp_flag_ins_private_spouse = 1 if (inrange(ER34595, 1, 2) | inrange(ER34595, 10, 97) | 
											     inrange(ER34596, 1, 2) | inrange(ER34596, 10, 97) |
											     inrange(ER34597, 1, 2) | inrange(ER34597, 10, 97) 
											     ) & (ER34503 == 20 | ER34503 == 22);
	gen temp_flag_ins_public_spouse = 0 ;
	replace temp_flag_ins_public_spouse = 1 if ( inrange(ER34595, 3, 9) | inrange(ER34596, 3, 9) |
											     inrange(ER34597, 3, 9) 
											   )  & (ER34503 == 20 | ER34503 == 22);
	
	foreach var in flag_ins_private_head flag_ins_public_head
				   flag_ins_private_spouse flag_ins_public_spouse {;
		bysort ER66002: egen `var'  = max(temp_`var');
	};
	
	gen flag_anyins_head = max(flag_ins_private_head, flag_ins_public_head);
	gen flag_anyins_spouse  = max(flag_ins_private_spouse, flag_ins_public_spouse);
	
	replace flag_anyins_spouse      = . if flag_spouse == 0;
	replace flag_ins_private_spouse = . if flag_spouse == 0;
	replace flag_ins_public_spouse  = . if flag_spouse == 0;
	summ flag_*;
	drop temp_*;
	#delim cr
	
	keep if ER34503 == 10 /* Keep head only */
	
	/* Indicators on whether head or spouse is DI recipient.
       If both, use head. --> conditional on DI rec.		    */
	gen flag_di_rec_head = (flag_di_rec == 1 & ER34603 == 1)
	replace flag_di_rec_head = . if flag_di_rec == 0
	replace flag_di_rec_spouse = . if flag_di_rec == 0
	tab flag_di_rec flag_di_rec_head, m
	tab flag_di_rec flag_di_rec_spouse, m
	
	/* Receiving SSI (including disability and senior with low income) */
	gen flag_ssi_rec_head = .
	replace flag_ssi_rec_head = 1 if ER67169  == 1
	replace flag_ssi_rec_head = 0 if ER67169  == 5
	replace flag_ssi_rec_head = 0 if ER67169  == 0

	gen flag_ssi_rec_spouse = .
	replace flag_ssi_rec_spouse = 1 if ER67524  == 1
	replace flag_ssi_rec_spouse = 0 if ER67524  == 5
	replace flag_ssi_rec_spouse = 0 if ER67524  == 0

	capture drop flag_ssi_rec
	gen flag_ssi_rec = (flag_ssi_rec_head == 1 | flag_ssi_rec_spouse == 1)
	replace flag_ssi_rec = . if flag_ssi_rec_head == . & flag_ssi_rec_spouse == .

	tab flag_ssi_rec, m
	tab flag_ssi_rec_head, m
	tab flag_ssi_rec_spouse, m
	
	
	keep if ER66002 != .
	gen interview_id 	= ER66002
	gen family_weight	= ER71570
	gen num_of_family	= ER66016

	gen annual_mortg	= (ER66053 + ER66074) * 12 if ER66053 <= 99997 & ER66074 <= 99997
	
	gen 	rent_freq 	= 365 if ER66091 == 2
	replace rent_freq 	= 52  if ER66091 == 3 
	replace rent_freq 	= 26  if ER66091 == 4
	replace rent_freq 	= 12  if ER66091 == 5
	replace rent_freq 	= 1   if ER66091 == 6 
	gen 	annual_rent	= ER66090 * rent_freq if ER66090 <= 99997
	
	/* Food home */	
	
	/* if food stamps not used, ... */
	gen     food_freq = 52  if ER66798 == 3
	replace food_freq = 26  if ER66798 == 4
	replace food_freq = 12  if ER66798 == 5
	replace food_freq = 1   if ER66798 == 6
	gen     food_home = ER66797 * food_freq if ER66797 <= 99996	
	replace food_home = 0 if ER66797 == 0														

	/* Food out */
	gen 	food_out_freq = 365 if ER66805 == 2
	replace food_out_freq = 52  if ER66805 == 3
	replace food_out_freq = 26  if ER66805 == 4
	replace food_out_freq = 12  if ER66805 == 5
	replace food_out_freq = 1   if ER66805 == 6
	gen 	food_out = ER66804 * food_out_freq if ER66804 <= 99996

	gen cntrb_outside	= ER67766

	replace annual_mortg  = .  if annual_mortg == 0
	replace annual_rent   = .  if annual_rent  == 0
	replace cntrb_outside = .k if cntrb_outside == 9999998
	replace cntrb_outside = .n if cntrb_outside == 9999999
	
	sum annual_mortg annual_rent cntrb_outside
	
	gen exp_housing   = ER71491
	gen exp_mortg     = ER71492
	gen exp_rent	  = ER71494
	gen exp_utility   = ER71497
	gen exp_transport = ER71503
	gen exp_food	  = ER71487
	gen exp_educ	  = ER71515
	gen exp_child	  = ER71516
	gen exp_health    = ER71517
	
	gen exp_hospital  = ER71518
	gen exp_doctor	  = ER71519
	gen exp_rx		  = ER71520
	gen exp_insurance = ER71521
	
	foreach var in exp_food exp_housing exp_utility exp_transport exp_educ exp_child exp_health {  
		replace `var' = 0 if `var' == .
	}
	
	gen exp_hhtotal   = exp_food + exp_housing + exp_transport + exp_educ + exp_child + exp_health 
	sum exp_hhtotal

	/* Additional controls */
	gen head_age  = ER66017 if ER66017 <= 120
	gen head_male = ER66018 == 1 
	gen head_emply = (ER66164 == 1) if ER66164 < 9
	replace head_emply = 1 if ER66164 != 1 & ER66165 == 1
	replace head_emply = 1 if ER66164 != 1 & ER66166 == 1
	
	gen spouse_emply = (ER66439 == 1) if ER66439 < 9 & ER66439 != 0
	replace spouse_emply = 1 if ER66439 != 1 & ER66165 == 1
	replace spouse_emply = 1 if ER66439 != 1 & ER66166 == 1
	
	
	gen non_white = ER70882 != 1 if ER70882 != 9
	
	gen educ_hs 	 = .
	replace educ_hs 	= 0 if inrange(ER71538, 0, 11)
	replace educ_hs		= 1 if inrange(ER71538, 12,17)
	gen educ_college = .
	replace educ_college= 0 if inrange(ER71538, 0, 15)
	replace educ_college= 1 if inrange(ER71538, 16,17)
	
	tab educ_hs educ_college, m

	gen flag_foodstamp = (ER66766  == 1) if ER66766 != 9 | ER66766 != 8
	
	gen svy_year = 2017
	
	gen inc_headwife = ER71330
	gen inc_hh = ER71426

	/* SSA REC AND DISABILITY STATUS */
	
	gen level_disabled_head   = ER68426
	gen level_disabled_spouse = ER69553 
	tab level_disabled_head, m
	tab level_disabled_spouse, m
	
	gen flag_candonothing_head = (ER68425  == 7) 
	gen flag_candonothing_spouse = (ER69552  == 7) 
	
	replace level_disabled_head = -1 if flag_candonothing_head == 1
	replace level_disabled_spouse = -1 if flag_candonothing_spouse == 1
	
	gen flag_severe_head = 0 if level_disabled_head != 0
	replace flag_severe_head = 1  if level_disabled_head == 1
	replace flag_severe_head = 1  if flag_candonothing_head == 1
	tab flag_severe_head, m
	
	gen flag_severe_head2 = 0 if level_disabled_head != 0
	replace flag_severe_head2 = 1  if level_disabled_head == 1 | level_disabled_head == 3
	replace flag_severe_head2 = 1  if flag_candonothing_head == 1
	tab flag_severe_head2, m

	
	gen flag_severe_spouse = 0 if level_disabled_spouse != 0
	replace flag_severe_spouse = 1  if level_disabled_spouse == 1
	replace flag_severe_spouse = 1  if flag_candonothing_spouse == 1
	tab flag_severe_spouse, m
	
	gen flag_severe_spouse2 = 0 if level_disabled_spouse != 0
	replace flag_severe_spouse2 = 1  if level_disabled_spouse == 1 | level_disabled_spouse == 3
	replace flag_severe_spouse2 = 1  if flag_candonothing_spouse == 1
	tab flag_severe_spouse2, m
	
	gen flag_moderate_head = 0 if level_disabled_head != 0
	replace flag_moderate_head = 1 if (level_disabled_head == 3 | level_disabled_head == 5 | level_disabled_head == 7) 
	tab flag_moderate_head, m
	
	gen flag_moderate_spouse = 0 if level_disabled_head != 0
	replace flag_moderate_spouse = 1 if (level_disabled_head == 3 | level_disabled_head == 5 | level_disabled_head == 7) 
	tab flag_moderate_spouse, m
	
	gen flag_psid_disable_head = (flag_severe_head == 1 | flag_moderate_head == 1)
	gen flag_psid_disable_spouse = (flag_severe_spouse == 1 | flag_moderate_spouse == 1)
	tab flag_psid_disable_head, m
	tab flag_psid_disable_spouse, m
	
	gen flag_severe = max(flag_severe_head, flag_severe_spouse)
	gen flag_severe2 = max(flag_severe_head2, flag_severe_spouse2)
	gen flag_moderate = max(flag_moderate_head, flag_moderate_spouse)
	gen flag_psid_disable = max(flag_psid_disable_head, flag_psid_disable_spouse)

	summ flag* 
	
	/******* Measures of permanent income ********/
	
	/* Year of education -- capped at 17, i.e. At least one year of postgraduate work */
	gen level_educ_head   = ER71538  
	gen level_educ_spouse = ER71539	
	replace level_educ_head   = . if level_educ_head >= 98
	replace level_educ_spouse = . if level_educ_spouse >= 98
		
	/* Parental education */
	gen level_educ_headFa_US = ER70845
	gen level_educ_headFa_F  = ER70848
	replace level_educ_headFa_US   = . if level_educ_headFa_US >= 9
	replace level_educ_headFa_F    = . if level_educ_headFa_F  >= 98
	
	gen level_educ_headMo_US = ER70855
	gen level_educ_headMo_F  = ER70858
	replace level_educ_headMo_US   = . if level_educ_headMo_US >= 9
	replace level_educ_headMo_F    = . if level_educ_headMo_F  >= 98

	gen level_educ_spouseFa_US = ER70707 
	gen level_educ_spouseFa_F  = ER70710  
	replace level_educ_spouseFa_US   = . if level_educ_spouseFa_US >= 9
	replace level_educ_spouseFa_F    = . if level_educ_spouseFa_F  >= 98
	
	gen level_educ_spouseMo_US = ER70717 
	gen level_educ_spouseMo_F  = ER70720  
	replace level_educ_spouseMo_US   = . if level_educ_spouseMo_US >= 9
	replace level_educ_spouseMo_F    = . if level_educ_spouseMo_F  >= 98
	
	/* Parental family wealth when they grow up  */
	gen level_wealth_headParent = ER70879
	replace level_wealth_headParent = . if level_wealth_headParent == 9
	gen level_wealth_spouseParent = .
	replace level_wealth_spouseParent = . if level_wealth_spouseParent == 9
	
	summ level_*
	
	/******* Measures of outside resources ********/
	
	/* Health insurance coverage in the last two years -- at least one member has coverage 	 */ 
	gen flag_health_ins = (ER70682 == 1)
	replace flag_health_ins = . if ER70682 >= 8

	/* Spousal wage/salaries */
	gen inc_earn_spouse = ER67401 + ER71272 + ER71302
	replace inc_earn_spouse = . if  inc_earn_spouse >= 9999998

	gen level_spouseage = ER66019 
	replace level_spouseage = . if level_spouseage > 120
	
	/* Earnings */
	gen inc_earn_head = ER71277  
	replace inc_earn_head = . if  inc_earn_head >= 9999998
	gen inc_earn_HSP = inc_earn_head
	replace inc_earn_HSP = inc_earn_head + inc_earn_spouse if inc_earn_spouse != .			
	
	/* Marital Status */
	gen flag_married = (ER66024 == 1)
	replace flag_married = . if ER66024 >= 8
	
	summ flag_health_ins flag_married
	summ inc_* 
	
	gen flag_home_own  = (ER66030  == 1)
	gen flag_home_rent = (ER66030  == 5)	
	
	tab flag_home_rent, m
	tab flag_home_own, m
	
	gen level_cash = ER67826  
	replace level_cash = . if level_cash >= 999999998
	
	count if level_cash == .
	sum level_cash
	
	gen reason_move1 = ER66159 if ER66159 < 90
	gen reason_move2 = ER66160 if ER66160 < 90 & reason_move1 != .
	gen reason_move3 = ER66161 if ER66161 < 90 & reason_move1 != .
	gen reason_move4 = .
	
	gen reason_posend_hd_u = ER66242
	gen reason_posend_sp_u = ER66517 if flag_spouse == 1
	gen reason_posend_hd_e = .
	gen reason_posend_sp_e = .
	
	tab reason_posend_hd_u
	tab reason_posend_sp_u
	

	/* health condition: added Oct 21st */
	
	/* ADLs & IADLs */
	
	/* Head */
	
	gen adl_bath_head = ER68516
	gen adl_dress_head = ER68519
	gen adl_eat_head = ER68522
	gen adl_out_bed_head = ER68525
	gen adl_outdoor_head = ER68531
	gen adl_toilet_head = ER68534
	gen adl_walk_head = ER68528
	
	gen iadl_heavy_head = ER68545
	gen iadl_light_head = ER68547
	gen iadl_manage_money_head = ER68541
	gen iadl_meal_head = ER68537
	gen iadl_shop_head = ER68539
	gen iadl_tel_head = ER68543
	
	/* Spouse */
	
	gen adl_bath_spouse = ER69643
	gen adl_dress_spouse = ER69646
	gen adl_eat_spouse = ER69649
	gen adl_out_bed_spouse = ER69652
	gen adl_outdoor_spouse = ER69658
	gen adl_toilet_spouse = ER69661
	gen adl_walk_spouse = ER69655
	
	gen iadl_heavy_spouse = ER69672
	gen iadl_light_spouse = ER69674
	gen iadl_manage_money_spouse = ER69668
	gen iadl_meal_spouse = ER69664
	gen iadl_shop_spouse = ER69666
	gen iadl_tel_spouse = ER69670
	
	/* physical conditions */

	/* Head */
	
	gen flag_arthritis_head = ER68464
	gen flag_asthma_head = ER68449
	gen flag_blood_head = ER68444
	gen flag_cancer_head = ER68479
	gen flag_diabete_head = ER68459
	
	gen flag_heart_attack_head = ER68433
	gen flag_heart_disease_head = ER68439
	gen flag_lung_disease_head = ER68454
	gen flag_other_head = ER68497
	gen flag_stroke_head = ER68427
	
	/* Spouse */
	
	gen flag_arthritis_spouse = ER69591
	gen flag_asthma_spouse = ER69576
	gen flag_blood_spouse = ER69571
	gen flag_cancer_spouse = ER69606
	gen flag_diabete_spouse = ER69586
	
	gen flag_heart_attack_spouse = ER69560
	gen flag_heart_disease_spouse = ER69566
	gen flag_lung_disease_spouse = ER69581
	gen flag_other_spouse = ER69624
	gen flag_stroke_spouse = ER63489
	
	/* health status */
	
	gen health_status_head = ER68420
	gen health_status_spouse = ER69547
	
	
	/* mental condition */
	
	gen depression = ER70680
	replace depression = . if ER70680 > 30
	gen flag_psychiatric_head = ER68487
	gen flag_psychiatric_spouse = ER69614
	
	gen flag_learning_head = ER68474
	gen flag_learning_spouse = ER69601
	
	gen flag_memory_head = ER68469
	gen flag_memory_spouse = ER69596
	
	
	/* Chronic condition */
	
	gen flag_chronic_head = (ER68497 == 1) if ER68497 == 1 | ER68497 == 5
	gen flag_chronic_spouse = (ER69624 == 1) if ER69624 == 1 | ER69624 == 5
	
	
	/* ADC/AFDC, T-2, Social Security, unemployment compensation, worker's compensation*/
	
	
	gen flag_adc_head = ER67153
	gen flag_ui_head = ER67287
	gen flag_wi_head = ER67303
	
	gen flag_adc_spouse = ER67508
	gen flag_ui_spouse = ER67641
	gen flag_wi_spouse = ER67657
	
	gen flag_ss = ER67202 
	
	
	
	/* well-being */
	
	gen lf_satisfy = ER66025 if 0 < ER66025 & ER66025 < 8
	gen lf_satisfy1 = (lf_satisfy == 1) if lf_satisfy != .
	gen lf_satisfy2 = (lf_satisfy == 2) if lf_satisfy != .
	gen lf_satisfy3 = (lf_satisfy == 3) if lf_satisfy != .
	gen lf_satisfy45 = (lf_satisfy == 4|lf_satisfy == 5) if lf_satisfy != .
	
	gen hhfood_secur = ER66847
	gen hhfood_secur1 = (hhfood_secur == 1)
	gen hhfood_secur2 = (hhfood_secur == 2)
	gen hhfood_secur34 = (hhfood_secur == 3|hhfood_secur == 4)
	tab hhfood_secur
	tab hhfood_secur1
	tab hhfood_secur2
	tab hhfood_secur34
	
	gen food_Nlast = ER66809 if 0 < ER66809 & ER66809 < 8
	tab food_Nlast, m
	
	gen food_Nlast1 = (food_Nlast == 1) if food_Nlast != .
	tab food_Nlast1, m
	
	gen food_Nlast2 = (food_Nlast == 2) if food_Nlast != .
	tab food_Nlast2, m
	
	gen food_Nlast3 = (food_Nlast == 3) if food_Nlast != .
	tab food_Nlast3, m
	
	gen worry_food_Nlast = ER66808 if 0 < ER66808 & ER66808 < 8
	tab worry_food_Nlast, m
	gen worry_food_Nlast1 = (worry_food_Nlast == 1) if worry_food_Nlast != .
	tab worry_food_Nlast1, m
	gen worry_food_Nlast2 = (worry_food_Nlast == 2) if worry_food_Nlast != .
	tab worry_food_Nlast2, m
	gen worry_food_Nlast3 = (worry_food_Nlast == 3) if worry_food_Nlast != .
	tab worry_food_Nlast3, m
	
	gen food_Nbalanced = ER66810 if 0 < ER66810 & ER66810 < 8
	tab food_Nbalanced, m
	gen food_Nbalanced1 = (food_Nbalanced == 1) if food_Nbalanced != .
	tab food_Nbalanced1, m

	gen food_Nbalanced2 = (food_Nbalanced == 2) if food_Nbalanced != .
	tab food_Nbalanced2, m

	gen food_Nbalanced3 = (food_Nbalanced == 3) if food_Nbalanced != .
	tab food_Nbalanced3, m

	/* consumption */
	
	gen flag_comp_hd = (ER66132 == 1) if ER66132 == 1 | ER66132 == 5

	gen flag_internet_hd = 1 if ER66134 == 1 | (0 < ER66133 & ER66133 < 5)
	replace flag_internet_hd = 0 if ER66134 == 5 | ER66132 == 5 | ER66132 == 8 | ER66132 == 9
	
	gen flag_smphone_hd = (ER66136 == 1) if ER66136 == 1 | ER66136 == 5
	
	gen freq_internet_comp_hd = ER66133 if 0 < ER66133 & ER66133 < 6
	gen freq_internet_comp_hd1 = (freq_internet_comp_hd == 1) if freq_internet_comp_hd != .
	gen freq_internet_comp_hd2 = (freq_internet_comp_hd == 2) if freq_internet_comp_hd != .
	gen freq_internet_comp_hd345 = (freq_internet_comp_hd == 3|freq_internet_comp_hd == 4|freq_internet_comp_hd == 5) if freq_internet_comp_hd != .

	gen freq_internet_smphone_hd = ER66138 if 0 < ER66138 & ER66138 < 8 
	
	foreach var in hd /*sp*/ {
		gen freq_internet_smphone_`var'1 = (freq_internet_smphone_`var' == 1) if freq_internet_smphone_`var' != .
		tab freq_internet_smphone_`var'1, m
		gen freq_internet_smphone_`var'2 = (freq_internet_smphone_`var' == 2) if freq_internet_smphone_`var' != .
		tab freq_internet_smphone_`var'2, m
		gen freq_internet_smphone_`var'345 = (freq_internet_smphone_`var' == 3|freq_internet_smphone_`var' == 4|freq_internet_smphone_`var' == 5) if freq_internet_smphone_`var' != .
		tab freq_internet_smphone_`var'345, m
	}
	
	
	/* Resources */
	
	
	/* Responsibilities */
	
	gen amt_care_adult = ER66719 if ER66719 < 998
	gen amt_care_child = ER66718 if ER66718 < 998
	sum amt_care*
	
	/* Permanent income */
	
	gen wealth_child = ER70879 if ER70879 != 9
	gen wealth_child1 = (wealth_child == 1) if wealth_child != .
	gen wealth_child3 = (wealth_child == 3) if wealth_child != .
	gen wealth_child5 = (wealth_child == 5) if wealth_child != .

	sum wealth_child
	
	gen live_2parents_hd = (ER70880 == 1) if ER70880 != 9
	gen live_2parents_sp = (ER70742 == 1) if ER70742 != 9 & ER70742 != 0
	
	tab live_2parents_hd, m
	tab live_2parents_sp, m
	
	/* Other time use */
	
	gen time_educ = ER66721 if ER66721 < 120
	gen time_housework = ER66714 if ER66714 < 120
	gen time_leisure = ER66722 if ER66722 < 120
	gen time_work = ER66408 if ER66408 < 120
	
	sum time*
	
	/* Compared to two years ago */
	
	gen compared_2yrs_head =  ER68421 if ER68421 < 8
	gen compared_2yrs_spouse = ER69548 if 0 < ER69548 & ER69548 < 8
	
	tab compared_2yrs_head, m
	tab compared_2yrs_spouse, m
	
	/* Asset and debt */
	
	/* business, dividents only, interest only, rent only, */
	
	gen flag_business_head = (ER71275 > 0) 
	gen flag_business_spouse = (ER71303 > 0)
	gen flag_business = (flag_business_head == 1 | flag_business_spouse == 1)
	
	tab flag_business, m 
	
	gen flag_dividend_head = (ER71296 >0)
	gen flag_dividend_spouse = (ER71324 >0)
	gen flag_dividend = (flag_dividend_head == 1|flag_dividend_spouse==1)
	
	tab flag_dividend, m
	
	gen flag_interest_head = (ER71298 > 0)
	gen flag_interest_spouse = (ER71326 > 0)
	gen flag_interest = (flag_interest_head == 1 | flag_interest_spouse == 1)
	
	tab flag_interest, m
	
	gen flag_rent_head = (ER71294 > 0)
	gen flag_rent_spouse = (ER71322 > 0) 
	gen flag_rent = (flag_rent_head == 1| flag_rent_spouse == 1)
	
	tab flag_rent, m
	
	gen flag_creditdebt = (ER67852 > 0) if ER67852 < 9999998
	gen amt_creditdebt = ER67852 if ER67852 < 9999998
	
	tab flag_creditdebt, m
	
	/* Relative and non-relative cash transfer */
	
	gen flag_cash_relative_head = (ER67351 == 1) if ER67351 == 1 | ER67351 == 5
	gen flag_cash_relative_spouse = (ER67705 == 1) if ER67705 == 1 | ER67705 == 5
	
	gen flag_cash_nonrelative_head = (ER67367 == 1) if ER67367 == 1 | ER67367 == 5
	gen flag_cash_nonrelative_spouse = (ER67721 == 1) if ER67721 == 1 | ER67721 == 5
	
	/* exp for rent and mortgage monthly reported */
	
	gen exp_rent_old = ER66090 if ER66090 < 99998 
	gen exp_mortg_old = ER66053 if ER66053 < 99998 
	
	
	/* exp for food weekly reported */
	
	gen exp_food_N_fdstamp = ER66797 if ER66797 < 99998 & ER66797 != 0
	gen exp_food_fdstamp = ER66787 if ER66787 < 99998 & ER66787 != 0

	sum exp_food_N_fdstamp exp_food_fdstamp
	
	count if exp_food_N_fdstamp != . & exp_food_fdstamp != .

	gen exp_food_old = exp_food_N_fdstamp
	replace exp_food_old = exp_food_fdstamp if exp_food_old == .
	
	/* total asset */
	
	gen total_asset_debt = ER71483
	
	/* individual asset */
	
	gen level_busi = ER71429
	gen level_saving = ER71435
	gen level_estate = ER71439
	gen level_stocks = ER71445
	gen level_vehicle = ER71447
	gen level_oth_asset = ER71451
	gen level_annuity = ER71455
	
	gen yr_work_18 = ER70943 if 0 < ER70943 & ER70943 < 99
	

	/******* State of Residence ********/
	gen state_res_code = ER60003                  
	
    label define state_res_code 1 "AL" , modify	
	label define state_res_code 2 "AZ" , modify 
	label define state_res_code 3 "AR" , modify 
	label define state_res_code 4 "CA" , modify 
	label define state_res_code 5 "CO" , modify 
	label define state_res_code 6 "CT" , modify 
	label define state_res_code 7 "DE" , modify 
	label define state_res_code 8 "DC" , modify 
	label define state_res_code 9 "FL" , modify 
	label define state_res_code 10 "GA" , modify
	label define state_res_code 11 "ID" , modify
	label define state_res_code 12 "IL" , modify
	label define state_res_code 13 "IN" , modify
	label define state_res_code 14 "IA" , modify
	label define state_res_code 15 "KS" , modify
	label define state_res_code 16 "KY" , modify
	label define state_res_code 17 "LA" , modify
	label define state_res_code 18 "ME" , modify
	label define state_res_code 19 "MD" , modify
	label define state_res_code 20 "MA" , modify
	label define state_res_code 21 "MI" , modify
	label define state_res_code 22 "MN" , modify
	label define state_res_code 23 "MS" , modify
	label define state_res_code 24 "MO" , modify
	label define state_res_code 25 "MT" , modify
	label define state_res_code 26 "NE" , modify
	label define state_res_code 27 "NV" , modify
	label define state_res_code 28 "NH" , modify
	label define state_res_code 29 "NJ" , modify
	label define state_res_code 30 "NM" , modify
	label define state_res_code 31 "NY" , modify
	label define state_res_code 32 "NC" , modify
	label define state_res_code 33 "ND" , modify
	label define state_res_code 34 "OH" , modify
	label define state_res_code 35 "OK" , modify
	label define state_res_code 36 "OR" , modify
	label define state_res_code 37 "PA" , modify
	label define state_res_code 38 "RI" , modify
	label define state_res_code 39 "SC" , modify
	label define state_res_code 40 "SD" , modify
	label define state_res_code 41 "TN" , modify
	label define state_res_code 42 "TX" , modify
	label define state_res_code 43 "UT" , modify
	label define state_res_code 44 "VT" , modify
	label define state_res_code 45 "VA" , modify
	label define state_res_code 46 "WA" , modify
	label define state_res_code 47 "WV" , modify
	label define state_res_code 48 "WI" , modify
	label define state_res_code 49 "WY" , modify 
	label define state_res_code 50 "AK" , modify
	label define state_res_code 51 "HI" , modify	
	
	label value state_res_code state_res_code	
	decode state_res_code, gen(state_res)

	/******* Current State ********/
	gen state_curr_code = ER66004                   

	label define state_curr_code 1 "AL" , modify
	label define state_curr_code 2 "AK" , modify
	label define state_curr_code 4 "AZ" , modify
	label define state_curr_code 5 "AR" , modify
	label define state_curr_code 6 "CA" , modify
	label define state_curr_code 8 "CO" , modify
	label define state_curr_code 9 "CT" , modify
	label define state_curr_code 10 "DE" , modify
	label define state_curr_code 11 "DC" , modify
	label define state_curr_code 12 "FL" , modify
	label define state_curr_code 13 "GA" , modify
	label define state_curr_code 15 "HI" , modify
	label define state_curr_code 16 "ID" , modify
	label define state_curr_code 17 "IL" , modify
	label define state_curr_code 18 "IN" , modify
	label define state_curr_code 19 "IA" , modify
	label define state_curr_code 20 "KS" , modify
	label define state_curr_code 21 "KY" , modify
	label define state_curr_code 22 "LA" , modify
	label define state_curr_code 23 "ME" , modify
	label define state_curr_code 24 "MD" , modify
	label define state_curr_code 25 "MA" , modify
	label define state_curr_code 26 "MI" , modify
	label define state_curr_code 27 "MN" , modify
	label define state_curr_code 28 "MI" , modify
	label define state_curr_code 29 "MO" , modify
	label define state_curr_code 30 "MT" , modify
	label define state_curr_code 31 "NE" , modify
	label define state_curr_code 32 "NV" , modify
	label define state_curr_code 33 "NH" , modify
	label define state_curr_code 34 "NJ" , modify
	label define state_curr_code 35 "NM" , modify
	label define state_curr_code 36 "NY" , modify
	label define state_curr_code 37 "NC" , modify
	label define state_curr_code 38 "ND" , modify
	label define state_curr_code 39 "OH" , modify
	label define state_curr_code 40 "OK" , modify
	label define state_curr_code 41 "OR" , modify
	label define state_curr_code 42 "PA" , modify
	label define state_curr_code 44 "RI" , modify
	label define state_curr_code 45 "SC" , modify
	label define state_curr_code 46 "SD" , modify
	label define state_curr_code 47 "TN" , modify
	label define state_curr_code 48 "TX" , modify
	label define state_curr_code 49 "UT" , modify
	label define state_curr_code 50 "VT" , modify
	label define state_curr_code 51 "VA" , modify
	label define state_curr_code 53 "WA" , modify
	label define state_curr_code 54 "WV" , modify
	label define state_curr_code 55 "WI" , modify
	label define state_curr_code 56 "WY" , modify

	label value state_curr_code state_curr_code
	decode state_curr_code, gen(state_curr)	

	
	keep unique_id svy_year interview_id flag_* level_*  num_of_family educ_* head_* inc_* non_white  ///
		 family_weight annual_mortg annual_rent food_home food_out cntrb_outside reason* compared* ///
		 yr_work_18 exp_* adl* iadl* health_status* depression spouse_emply time_* wealth_* live* amt* ///
		 freq* food* worry* hhfood* lf_* total_asset_debt state_res state_curr
		
	tempfile psid2017
	save `psid2017', replace
	

restore
   
