program define gen_zndi_zdi_vars

#delim;

args data_path fs_estimates_type fs_scaling_factor ;

preserve ;

use "`data_path'/earning_estimate_FS.dta", clear ;
foreach diag in neoplasms mental_disorder mental_retard nervous circulatory 
		musc respiratory injuries endocrine other { ;
	summ b_iv if group == "diag_`diag'" ;
	local fs_`diag' = `fs_scaling_factor' * r(mean) ;
} ;
use "`data_path'/earning_estimate_MTE_FS.dta", clear ;
summ MTE ;
local fs_sev = r(max) ; /* smallest in magnitude (negative) */
local fs_ns  = r(min) ; /* largest in magnitude (negative) */

restore ;

gen z_indiv     = max(0, inc_earn_head ) ;
replace z_indiv = max(0, inc_earn_recip) if gp_di == 1 ;

gen z_ndi = z_indiv if gp_ndi == 1 ;
gen z_di  = z_indiv if gp_di  == 1 ;

if "`fs_estimates_type'" == "diagnosis" { ;
	replace z_ndi = z_indiv - `fs_musc' 			if gp_di == 1 & (diag_arthritis == 1 | diag_other == 1) ; 
	replace z_ndi = z_indiv - `fs_circulatory' 		if gp_di == 1 & (diag_heart_disease == 1 | diag_heart_attack == 1 | diag_stroke == 1 | diag_blood) ; 
	replace z_ndi = z_indiv - `fs_respiratory' 		if gp_di == 1 & (diag_asthma == 1 | diag_lung_disease == 1) ; 
	replace z_ndi = z_indiv - `fs_mental_disorder' 	if gp_di == 1 & (diag_depress == 1 | diag_psychiatric == 1 | diag_learning == 1 | diag_memory == 1) ;
	replace z_ndi = z_indiv - `fs_endocrine' 		if gp_di == 1 & (diag_diabete == 1) ; 
	replace z_ndi = z_indiv - `fs_neoplasms' 		if gp_di == 1 & (diag_cancer == 1 ) ; 
	replace z_ndi = z_indiv - `fs_musc' 			if gp_di == 1 & z_ndi == . ;
	
	replace z_di = z_indiv + `fs_musc' 			 if gp_ndi == 1 & (diag_arthritis == 1 | diag_other == 1) ; 
	replace z_di = z_indiv + `fs_circulatory' 	 if gp_ndi == 1 & (diag_heart_disease == 1 | diag_heart_attack == 1 | diag_stroke == 1 | diag_blood) ; 
	replace z_di = z_indiv + `fs_respiratory' 	 if gp_ndi == 1 & (diag_asthma == 1 | diag_lung_disease == 1) ; 
	replace z_di = z_indiv + `fs_mental_disorder' if gp_ndi == 1 & (diag_depress == 1 | diag_psychiatric == 1 | diag_learning == 1 | diag_memory == 1) ;
	replace z_di = z_indiv + `fs_endocrine'      if gp_ndi == 1 & (diag_diabete == 1) ; 
	replace z_di = z_indiv + `fs_neoplasms' 	 if gp_ndi == 1 & (diag_cancer == 1 ) ; 
	replace z_di = z_indiv + `fs_musc' 			 if gp_ndi == 1 & z_di == . ;
} ;
else if "`fs_estimates_type'" == "severity" { ;
	replace z_ndi = z_indiv - `fs_sev' if gp_di == 1 & gp_sev == 1 ; 
	replace z_ndi = z_indiv - `fs_ns'  if gp_di == 1 & gp_ns  == 1 ;
	
	replace z_di = z_indiv + `fs_sev' if gp_ndi == 1 & gp_sev == 1 ; 
	replace z_di = z_indiv + `fs_ns'  if gp_ndi == 1 & gp_ns  == 1 ;
} ;

end ;
