* Note: "../../load_directories.do" must be updated before running this code.

version 15
clear all
macro drop _all
set more off
set scrollbufsize 2000000
set maxvar 10000
set logtype text
capture log close
#delim;


/* ****************************** */
/* Options: Which analyses to run */
/* ****************************** */
local BUILD_NORMATIVE_DATA    = 1 ; /* Takes about half an hour */
local RUN_SURPLUS_ANALYSIS    = 1 ; /* Tables 1, 2 (1st column), F2-5, F7, F8, H1-2 */
local RUN_DECOMP_ANALYSIS     = 1 ; /* Table 2 (all but 1st column) */
local CALC_MED_SPENDING_STATS = 1 ; /* Appendix C stats on med spending */
local CALC_HI_STATS           = 1 ; /* Table F3 stats on value of health insurance */


do "../../load_directories.do" ;
do "load_normative_directories.do" ;


/* ************ */
/* Prepare data */
/* ************ */
if `BUILD_NORMATIVE_DATA' == 1 { ;
	do "normative_prep_data_1.do" ;
	do "normative_prep_data_2.do" ;
} ;


/* ************ */
/* Run analyses */
/* ************ */
if `RUN_SURPLUS_ANALYSIS' == 1 { ;
	do "normative_surplus_analysis.do" ;
} ;

if `RUN_DECOMP_ANALYSIS' == 1 { ;
	do "normative_decomp_analysis.do" ;
} ;

if `CALC_MED_SPENDING_STATS' == 1 { ;
	do "normative_med_spending_stats.do" ;
} ;

if `CALC_HI_STATS' == 1 { ;
	do "normative_hi_ben_stats.do" ;
} ;
