version 15
clear all 
set more off
set logtype text
set maxvar 20000
capture log close
pause off
#delim;


local data "$results";
local log "";
local do "";

/* Figure G3: PSID: Adverse events prior to DI receipt */

foreach var in dissi{;
	foreach sev in severe { ;
	
		use "`data'/psid_figure_`var'.dta", clear;

/* ****************************************** */
/* *** PREPARING VARIABLES TO BE EXPORTED *** */
/* ****************************************** */

		preserve;
			keep if flag_di_rec == 1 & year == 2016;
			gen group = "rec_all_current";
			tempfile rec_all_current;
			save `rec_all_current';
					
			replace group = "rec_moresevere_current" if flag_`sev' == 1;
			replace group = "rec_lesssevere_current" if flag_`sev' == 0;
					
			tempfile rec_sev_current;
			save `rec_sev_current';
		restore;

/* ********************** */
/* *** EXPORTING DATA *** */
/* ********************** */
			
		preserve;		
			clear;
					
			append using `rec_all_current';
			append using `rec_sev_current';
				
			collapse (count) unique_id 
					 (mean) pre4_job_shock pre4_move_broad_shock pre4_marriage_shock 
					 [aw=family_weight], by (group);
					
			export delimited using "`data'/figG3.csv", replace;				
		restore;		
	};
};
			
