version 15
clear all 
set more off
set logtype text
set maxvar 20000
capture log close
pause off
#delim;


local data "$results";
local log "";
local do "";

/* Figure J11: Resources available at application (SSDI only) */

foreach var in di{;
	foreach sev in severe {;
		use "`data'/psid_figure_`var'.dta", clear;

/* ****************************************** */
/* *** PREPARING VARIABLES TO BE EXPORTED *** */
/* ****************************************** */
	
		preserve;
			keep if flag_di_rec == 1 & year == 2016;
					
			gen group = "Recipients, more-severe (M-DI)" if flag_`sev' == 1;
			replace group = "Recipients, less-severe (L-DI)" if flag_`sev' == 0;
					
			tempfile rec_sev_current;
			save `rec_sev_current';										
		restore;
				
/* ********************** */
/* *** EXPORTING DATA *** */
/* ********************** */

		preserve;
			clear;
			append using `rec_sev_current';
					
			drop if group == "" ;
					
			collapse (count) unique_id (mean) 
						pre1_app* pre1_cash_* [aw=family_weight], by(group);
						
			export delimited using "`data'/figJ11.csv", replace;
		restore;

	};
};

