version 15
clear all 
set more off
set logtype text
set maxvar 20000
set matsize 10000
capture log close
pause on
#delim;


/*local ssa "$rep_archive/ssa/positive/data";*/
local results "$results";
local output "$fig";
local log "";
local do "";

/* Figure J3: Facts 2 and 3 with Ability-Group Controls and Confidence Intervals (DI-only) */
/* Note: One section of the graph (from Fig 2b) uses SSA data. This is currently commented out in the do file so that 
users can run the PSID part. If the SSA data is available, uncomment the commented part of the code before running. */

local di_y1_min -0.42;
local di_y1_max 0.18;
local di_y2_min -45000;
local di_y2_max 27000;

local di_y1_diff 0.06;
local di_y2_diff 9000;

local di_f2 "Figure D1a" ;
local di_f3 "Figure D6" ;
local di_f4 "Figure D1b" ;
local di_f5 "Figure D1c/2b" ;
local di_f6 "Figure D1d" ;
local di_f7 "Figure D2a" ;

foreach z in di {;

use 	"`results'/figJ3_abilityreg_compiled_`z'.dta", clear ;
/*
append using "`ssa'/abilityreg_compiled_cwhs_`z'only_new.dta" ;
*/
local groups "m_ndi l_di l_ndi" ;
local point_estimate "_b_gp_m_ndi _b_gp_l_di _b_gp_l_ndi" ;
local point_se "_se_gp_m_ndi _se_gp_l_di _se_gp_l_ndi " ; 

keep `point_estimate' `point_se' var spec ;

foreach gp in m_ndi l_di l_ndi{;

	gen l_gp_`gp' = _b_gp_`gp' - 1.96 * _se_gp_`gp' ;
	gen h_gp_`gp' = _b_gp_`gp' + 1.96 * _se_gp_`gp' ;

};

/*
foreach x in bk evict frcl mass {;

	replace var = "main_`x'" if var == "`x'" ;

};
*/

gen flag_main = strpos(var, "main") > 0 ;
keep if flag_main == 1 ;
drop flag_main ;

reshape long _b_gp_ l_gp_ h_gp_, i(var spec) j(gp) s;

rename _b_gp_ point_estimate ;
rename l_gp_ ci_l ;
rename h_gp_ ci_h ;

local num_l_ndi 1 ;
local num_l_di 2 ;
local num_m_ndi 3 ;

local num_all 0 ;
local num_job 1 ;
local num_move 2 ;
local num_divorce 3 ;

local num_mass 4 ;
local num_evict 5 ;
local num_frcl 6 ;
local num_bk 7 ;

local num_married 8 ;
local num_bank 9 ;
local num_home 10 ;


local num_2534 11 ;
local num_3544 12 ;
local num_4554 13 ;
local num_5565 14 ;

local num_c 15 ;
local num_z35 16 ;


gen pos = . ;
foreach var in bank home married c z35{;
	foreach gp in `groups' {;
		replace pos = 0.8 * `num_`var'' + `num_`gp'' * 0.1 if var == "main_`var'" & gp == "`gp'" ; 
	};
};

foreach var in bk mass evict frcl {;
	replace pos = 0.8 * `num_`var'' + 0.2 if var == "main_`var'" ; 
};



foreach var in all divorce job move{;
	replace pos = 0.8 * `num_`var'' + 0.2 if var == "mainshock_`var'" ; 
};
	
foreach var in 2534 3544 4554 5565{;
	replace pos = 0.8 * `num_`var'' + 0.2 if var == "mainmatrixshock_age`var'" ; 
};


gen point_estimate_dollar = point_estimate if var == "main_c"|var == "main_z35" ;
replace point_estimate = . if var == "main_c"|var == "main_z35" ;

drop if var == "main_z35" & spec == "edz3135dec" ;

local num_c 0.5 ;

local num_mass 2 ;
local num_evict 3 ;
local num_frcl 4 ;
local num_bk 5 ;

local num_married 6 ;
local num_bank 7 ;
local num_home 8 ;

local num_z35 9.5 ;

local num_all 11 ;
local num_job 12 ;
local num_move 13 ;
local num_divorce 14 ;

local num_2534 15 ;
local num_3544 16 ;
local num_4554 17 ;
local num_5565 18 ;


gen pos3 = . ;
foreach var in bank home married c z35{;
	foreach gp in `groups' {;
		replace pos3 = 0.8 * `num_`var'' + `num_`gp'' * 0.1 if var == "main_`var'" & gp == "`gp'" ; 
	};
};

foreach var in bk mass evict frcl {;
	replace pos3 = 0.8 * `num_`var'' + 0.2 if var == "main_`var'" ; 
};



foreach var in all divorce job move{;
	replace pos3 = 0.8 * `num_`var'' + 0.2 if var == "mainshock_`var'" ; 
};
	
foreach var in 2534 3544 4554 5565{;
	replace pos3 = 0.8 * `num_`var'' + 0.2 if var == "mainmatrixshock_age`var'" ; 
};

#delim; 
	
	replace pos3 = 0.2 if pos3 == float(0.5) & spec == "none";
	replace pos3 = 0.3 if pos3 == float(0.5) & spec == "ed";
	replace pos3 = 0.4 if pos3 == float(0.5) & spec == "edz3135dec";
	replace pos3 = 0.6 if pos3 == float(0.6) & spec == "none";
	replace pos3 = 0.8 if pos3 == float(0.6) & spec == "edz3135dec";
	replace pos3 = 1.0 if pos3 == float(0.7) & spec == "none";
	replace pos3 = 1.1 if pos3 == float(0.7) & spec == "ed";
	replace pos3 = 1.2 if pos3 == float(0.7) & spec == "edz3135dec";
	replace pos3 = 0.7 if pos3 == float(0.6) & spec == "ed";
	
	#delim;
	
	replace pos3 = pos3 - 0.1 if (var == "mainshock_all" | var == "mainshock_job" | 
									var == "mainshock_move" | var == "mainshock_divorce" |
									var == "mainmatrixshock_age2534" | var == "mainmatrixshock_age3544" | 
									var == "mainmatrixshock_age4554" | var == "mainmatrixshock_age5565") 
									& spec == "none";
									
	replace pos3 = pos3 - 0.2 if (var == "main_mass" | var == "main_evict" | 
									var == "main_frcl" | var == "main_bk") & spec == "none";
	
	replace pos3 = pos3 + 0.1 if (var == "mainshock_all" | var == "mainshock_job" | 
									var == "mainshock_move" | var == "mainshock_divorce" |
									var == "mainmatrixshock_age2534" | var == "mainmatrixshock_age3544" | 
									var == "mainmatrixshock_age4554" | var == "mainmatrixshock_age5565") 
									& spec == "edz3135dec" ;
									
	replace pos3 = pos3 + 0.2 if (var == "main_mass" | var == "main_evict" | 
									var == "main_frcl" | var == "main_bk") & spec == "edz3135dec";


	replace pos3 = 4.8 if spec == "none" 		& var == "main_married" & gp == "l_ndi";
	replace pos3 = 4.9 if spec == "ed"  		& var == "main_married" & gp == "l_ndi"; 
	replace pos3 = 5.0 if spec == "edz3135dec"  	& var == "main_married" & gp == "l_ndi";
	replace pos3 = 5.1 if spec == "none"		& var == "main_married" & gp == "l_di";
	replace pos3 = 5.2 if spec == "ed"			& var == "main_married" & gp == "l_di";
	replace pos3 = 5.3 if spec == "edz3135dec"	& var == "main_married" & gp == "l_di";
	replace pos3 = 5.4 if spec == "none"		& var == "main_married" & gp == "m_ndi"; 
	replace pos3 = 5.5 if spec == "ed"			& var == "main_married" & gp == "m_ndi";
	replace pos3 = 5.6 if spec == "edz3135dec"	& var == "main_married" & gp == "m_ndi";
	
	replace pos3 = 5.7 if spec == "none"		& var == "main_bank" & gp == "l_ndi";
	replace pos3 = 5.8 if spec == "ed"			& var == "main_bank" & gp == "l_ndi";
	replace pos3 = 5.9 if spec == "edz3135dec"	& var == "main_bank" & gp == "l_ndi";
	replace pos3 = 6.0 if spec == "none"		& var == "main_bank" & gp == "l_di";
	replace pos3 = 6.1 if spec == "ed"			& var == "main_bank" & gp == "l_di";
	replace pos3 = 6.2 if spec == "edz3135dec"	& var == "main_bank" & gp == "l_di";
	replace pos3 = 6.3 if spec == "none"		& var == "main_bank" & gp == "m_ndi";
	replace pos3 = 6.4 if spec == "ed"			& var == "main_bank" & gp == "m_ndi";
	replace pos3 = 6.5 if spec == "edz3135dec"	& var == "main_bank" & gp == "m_ndi";
	
	replace pos3 = 6.6 if spec == "none"		& var == "main_home" & gp == "l_ndi";
	replace pos3 = 6.7 if spec == "ed"			& var == "main_home" & gp == "l_ndi";
	replace pos3 = 6.8 if spec == "edz3135dec"	& var == "main_home" & gp == "l_ndi";
	replace pos3 = 6.9 if spec == "none"		& var == "main_home" & gp == "l_di";
	replace pos3 = 7.0 if spec == "ed" 		& var == "main_home" & gp == "l_di";
	replace pos3 = 7.1 if spec == "edz3135dec"	& var == "main_home" & gp == "l_di";
	replace pos3 = 7.2 if spec == "none"		& var == "main_home" & gp == "m_ndi";
	replace pos3 = 7.3 if spec == "ed"			& var == "main_home" & gp == "m_ndi";
	replace pos3 = 7.4 if spec == "edz3135dec"	& var == "main_home" & gp == "m_ndi";
	
	replace pos3 = 7.8 if spec == "none"		& var == "main_z35" & gp == "l_ndi" ;
	replace pos3 = 7.9 if spec == "ed"			& var == "main_z35" & gp == "l_ndi" ;
	replace pos3 = 8.0 if spec == "none"		& var == "main_z35" & gp == "l_di" ;
	replace pos3 = 8.1 if spec == "ed"			& var == "main_z35" & gp == "l_di" ;
	replace pos3 = 8.2 if spec == "none"		& var == "main_z35" & gp == "m_ndi" ;
	replace pos3 = 8.3 if spec == "ed"			& var == "main_z35" & gp == "m_ndi" ;
	
	gen flag_ssa = (var == "main_bk" | var == "main_frcl" | var == "main_evict" | var == "main_mass") ;
	
#delim; 
	graph set window fontface "Garamond";
	tw  

	/* Dummy for legend */

		(scatter point_estimate_dollar pos3 if gp == "l_ndi" & spec == "none" & point_estimate_dollar == .		  , 
			mcolor(black)  		msymbol(oh) msize(medium) yaxis(1) ) 
		(scatter point_estimate_dollar pos3 if gp == "l_di" & spec == "none"  & point_estimate_dollar == .		  , 
			mcolor(black)  		msymbol(th) msize(medium) yaxis(1) ) 
		(scatter point_estimate_dollar pos3 if gp == "m_ndi" & spec == "none"  & point_estimate_dollar == .		  , 
			mcolor(black)  msymbol(sh) msize(medium) yaxis(1) ) 

	/* Actual graph */

		(rcap ci_h ci_l pos3 if (spec != "edz35dec" & spec != "edz35qt" & spec != "edz3135qt" & flag_ssa == 1
									& point_estimate_dollar == .), lcolor(black*0.3) msize(medium))	
		(rcap ci_h ci_l pos3 if (spec != "edz35dec" & spec != "edz35qt" & spec != "edz3135qt" & flag_ssa == 0
									& point_estimate_dollar == .), lcolor(black*0.3) msize(vsmall))	
	
		(scatter point_estimate pos3 if gp == "l_ndi" & spec == "none"	& flag_ssa == 0	  , 
			mcolor(red)  		msymbol(o) msize(medsmall) yaxis(1) ) 
		(scatter point_estimate pos3 if gp == "l_ndi" & spec == "ed"  	& flag_ssa == 0	  , 
			mcolor(green)  		msymbol(o) msize(medsmall) yaxis(1) ) 
		(scatter point_estimate pos3 if gp == "l_ndi" & spec == "edz3135dec" & flag_ssa == 0 , 
			mcolor(blue)  msymbol(o) msize(medsmall) yaxis(1) ) 
		(scatter point_estimate pos3 if gp == "l_di" & spec == "none"	& flag_ssa == 0	  , 
			mcolor(red)  		msymbol(t) msize(medsmall) yaxis(1) ) 
		(scatter point_estimate pos3 if gp == "l_di" & spec == "ed"  & flag_ssa == 0		  , 
			mcolor(green)  		msymbol(t) msize(medsmall) yaxis(1) ) 
		(scatter point_estimate pos3 if gp == "l_di" & spec == "edz3135dec" & flag_ssa == 0  , 
			mcolor(blue)  msymbol(t) msize(medsmall) yaxis(1) ) 
		(scatter point_estimate pos3 if gp == "m_ndi" & spec == "none"	& flag_ssa == 0	  , 
			mcolor(red)  		msymbol(s) msize(medsmall) yaxis(1) ) 
		(scatter point_estimate pos3 if gp == "m_ndi" & spec == "ed"  & flag_ssa == 0		  , 
			mcolor(green)  		msymbol(s) msize(medsmall) yaxis(1) ) 
		(scatter point_estimate pos3 if gp == "m_ndi" & spec == "edz3135dec"  & flag_ssa == 0 , 
			mcolor(blue)  msymbol(s) msize(medsmall) yaxis(1) ) 
			
		(scatter point_estimate pos3 if gp == "l_di" & spec == "none"	& flag_ssa == 1  , 
			mcolor(red)  		msymbol(t) msize(small) yaxis(1) ) 
		(scatter point_estimate pos3 if gp == "l_di" & spec == "ed"  	& flag_ssa == 1	  , 
			mcolor(green)  		msymbol(t) msize(small) yaxis(1) ) 
		(scatter point_estimate pos3 if gp == "l_di" & spec == "edz3135dec"  & flag_ssa == 1 , 
			mcolor(blue)  msymbol(t) msize(small) yaxis(1) ) 
		
		
		(rcap ci_h ci_l pos3 if (spec != "edz35dec" & spec != "edz35qt" & spec != "edz3135qt"
									& point_estimate_dollar != .), lcolor(black*0.3) yaxis(2) msize(vsmall))	

		(scatter point_estimate_dollar pos3 if gp == "l_ndi" & spec == "none" & (var == "main_c"|var == "main_z35"), 
								mcolor(red) 		msymbol(o) msize(medsmall) yaxis(2) ) 
		(scatter point_estimate_dollar pos3 if gp == "l_ndi" & spec == "ed"   & (var == "main_c"|var == "main_z35"), 
								mcolor(green)  		msymbol(o) msize(medsmall) yaxis(2) ) 
		(scatter point_estimate_dollar pos3 if gp == "l_ndi" & spec == "edz3135dec"   & var == "main_c", 
								mcolor(blue)  msymbol(o) msize(medsmall) yaxis(2) ) 
		(scatter point_estimate_dollar pos3 if gp == "l_di" & spec == "none"  & (var == "main_c"|var == "main_z35"), 
								mcolor(red)  		msymbol(t) msize(medsmall) yaxis(2) ) 
		(scatter point_estimate_dollar pos3 if gp == "l_di" & spec == "ed"    & (var == "main_c"|var == "main_z35"), 
								mcolor(green)  		msymbol(t) msize(medsmall) yaxis(2) ) 
		(scatter point_estimate_dollar pos3 if gp == "l_di" & spec == "edz3135dec"    & var == "main_c", 
								mcolor(blue)  msymbol(t) msize(medsmall) yaxis(2) ) 
		(scatter point_estimate_dollar pos3 if gp == "m_ndi" & spec == "none"  & (var == "main_c"|var == "main_z35"), 
								mcolor(red)  		msymbol(s) msize(medsmall) yaxis(2) ) 
		(scatter point_estimate_dollar pos3 if gp == "m_ndi" & spec == "ed"    & (var == "main_c"|var == "main_z35"), 
								mcolor(green)  		msymbol(s) msize(medsmall) yaxis(2) ) 
		(scatter point_estimate_dollar pos3 if gp == "m_ndi" & spec == "edz3135dec"    & var == "main_c", 
								mcolor(blue)  msymbol(s) msize(medsmall) yaxis(2) ) 							
		, 
		scheme(s2mono) graphregion(fcolor(white)) 
		xsize(6.25) 
		xline(1.4 4.6 7.6 8.6 11.8, lw(medium)
		lp(dash))
		yline(0)
		xlabel(0.6 `" "Consumption" "``z'_f2'" "(right axis)" "'
			   1.8 `" "Layoff" "'
			   2.6 `" "Evict" "'
			   3.0 `" " " "``z'_f4'" "Adverse events (SSA)" "' 	
			   3.4 `" "Forecl" "' 
			   4.2 `" "Bkrpt" "'
			   5.2 `" "Married" "'
			   6.1 `" "Bank" "``z'_f5'" "Resources (PSID)" "'
			   7.0 `" "Home" "'
			   8.05 `" "Earn35" "``z'_f6'" "(right axis)" "'
			   9.0 `" "All" "'
			   9.8 `" "Job" "'
			   10.2 `" " " "``z'_f3'" "Adverse events (PSID)" "' 
			   10.6 `" "Move" "' 
			   11.4 `" "Divorce" "'
			   12.2 `" "25-34" "'
			   13.0 `" "35-44" "'
			   13.4 `" " " "``z'_f7'" "Adverse events by age (PSID)" "'
			   13.8 `" "45-54" "'
			   14.6 `" "55-65" "'
			  , noticks labsize(vsmall))
		xscale(r(0.2 14.2)) yscale(r(``z'_y1_min' ``z'_y1_max') nofextend axis(1))  
		ylabel(``z'_y1_min'(``z'_y1_diff')``z'_y1_max', nogrid angle(horizontal) axis(1)) 
		yscale(r(``z'_y2_min' ``z'_y2_max') nofextend axis(2)) 
		ylabel(``z'_y2_min'(``z'_y2_diff')``z'_y2_max', nogrid angle(horizontal) axis(2))  
		xtitle(" ") ytitle(" ") ytitle(" ", axis(2)) graphregion(color(white)) bgcolor(white) 
		legend(order (6 " No controls " 7 " Education " 8 " Ed, Early 30s earnings " 1 " L-NDI " 2 " L-DI " 3 " M-NDI ") 
			   row(2)  size(*0.9) nobox bmargin(small) region(lcolor(white))) 
		 ;

	graph export "`output'/figJ3.pdf", replace;


};






