* Note: "../../load_directories.do" must be updated before running this code.

version 15
clear all
set more off
set maxvar 10000
set logtype text
capture log close
#delim;	


do "../../load_directories.do" ;
do "$rep_archive/positive/code/load_positive_directories.do" ;



/* ***************************** */
/* Prepare PSID data for figures */
/* ***************************** */

do "$code/positive_prep_data.do";


/* *********** */
/* Figure 2(a) */
/* *********** */

do "$code/main/fig2a_prep1.do"; 
/* Then run fig2a_prep2.R in R */


/* *********** */
/* Figure 2(b) */
/* *********** */

/* See "ssa" folder */


/* *********** */
/* Figure 2(c) */
/* *********** */

do "$code/main/fig2c_prep1.do";
/* Then run fig2c_prep2.R in R */


/* *********** */
/* Figure 2(d) */
/* *********** */

do "$code/main/fig2d_prep1.do";
/* Then run fig2d_prep2.R in R */


/* *********** */
/* Figure 3(a) */
/* *********** */

do "$code/main/fig3a_prep1.do";
/* Then run fig3a_prep2.R in R */


/* *********** */
/* Figure 3(b) */
/* *********** */

do "$code/main/fig3b_prep1.do";
/* Then run fig3b_prep2.R in R */


/* ********* */
/* Figure F1 */
/* ********* */

do "$code/Appendix F/figF1_prep1.do";
do "$code/Appendix F/figF1_prep2.do";


/* ******** */
/* Table F1 */
/* ******** */

do "$code/Appendix F/tabF1_prep.do";


/* ********* */
/* Figure G1 */
/* ********* */

do "$code/Appendix G/figG1_prep1.do";
/* Then run figG1_prep2.R in R */


/* ********* */
/* Figure G2 */
/* ********* */

do "$code/Appendix G/figG2_prep1.do";
/* Then run figG2_prep2.R in R */


/* ********* */
/* Figure G3 */
/* ********* */

do "$code/Appendix G/figG3_prep1.do";
/* Then run figG3_prep2.R in R */


/* ********* */
/* Figure G4 */
/* ********* */

/* See "ssa" folder */


/* ********* */
/* Figure G5 */
/* ********* */

/* See "ssa" folder */


/* ********* */
/* Figure G6 */
/* ********* */

do "$code/Appendix G/figG6_prep1.do";
/* Then run figG6_prep1.R in R */


/* ********* */
/* Figure G7 */
/* ********* */

do "$code/Appendix G/figG7_prep1.do";
do "$code/Appendix G/figG7_prep2.do";
do "$code/Appendix G/figG7_prep3.do";
/* Then run figG7_prep4.R in R */


/* ********* */
/* Figure G8 */
/* ********* */

do "$code/Appendix G/figG8_prep1.do";
/* Then run figG8_prep1.R in R */


/* ********* */
/* Figure G9 */
/* ********* */

do "$code/Appendix G/figG9_prep1.do";
/* Then run figG9_prep2.R in R */


/* ********** */
/* Figure G10 */
/* ********** */

do "$code/Appendix G/figG10_prep1.do";
/* Then run figG10_prep2.R in R */


/* ************ */
/* Figure J1(a) */
/* ************ */

do "$code/Appendix J/figJ1a_prep1.do";
/* Then run figJ1a_prep2.R in R */


/* ************ */
/* Figure J1(b) */
/* ************ */

/* See "ssa" folder */


/* ************ */
/* Figure J1(c) */
/* ************ */

do "$code/Appendix J/figJ1c_prep1.do";
/* Then run figJ1c_prep2.R in R */


/* ************ */
/* Figure J1(d) */
/* ************ */

do "$code/Appendix J/figJ1d_prep1.do";
/* Then run figJ1d_prep2.R in R */


/* ************ */
/* Figure J2(a) */
/* ************ */

do "$code/Appendix J/figJ2a_prep1.do";
/* Then run figJ2a_prep2.R in R */


/* ************ */
/* Figure J2(b) */
/* ************ */

do "$code/Appendix J/figJ2b_prep1.do";
/* Then run figJ2b_prep2.R in R */


/* ********* */
/* Figure J3 */
/* ********* */

do "$code/Appendix J/figJ3_prep1.do";
do "$code/Appendix J/figJ3_prep2.do";


/* ********* */
/* Figure J4 */
/* ********* */

do "$code/Appendix J/figJ4_prep1.do";
/* Then run figJ4_prep2.R in R */


/* ********* */
/* Figure J5 */
/* ********* */

do "$code/Appendix J/figJ5_prep1.do";
/* Then run figJ5_prep2.R in R */


/* ********* */
/* Figure J6 */
/* ********* */

do "$code/Appendix J/figJ6_prep1.do";
/* Then run figJ6_prep2.R in R */


/* ********* */
/* Figure J7 */
/* ********* */

/* See "ssa" folder */


/* ********* */
/* Figure J8 */
/* ********* */

/* See "ssa" folder */


/* ********* */
/* Figure J9 */
/* ********* */

do "$code/Appendix J/figJ9_prep1.do";
/* Then run figJ9_prep2.R in R */


/* ********** */
/* Figure J10 */
/* ********** */

do "$code/Appendix J/figJ10_prep1.do";
do "$code/Appendix J/figJ10_prep2.do";
do "$code/Appendix J/figJ10_prep3.do";
/* Then run figJ10_prep4.R in R */


/* ********** */
/* Figure J11 */
/* ********** */

do "$code/Appendix J/figJ11_prep1.do";
/* Then run figJ11_prep2.R in R */


/* ********** */
/* Figure J12 */
/* ********** */

do "$code/Appendix J/figJ12_prep1.do";
/* Then run figJ12_prep2.R in R */


/* ********** */
/* Figure J13 */
/* ********** */

do "$code/Appendix J/figJ13_prep1.do";
/* Then run figJ13_prep2.R in R */
