Signon ;
RSubmit ;

options compress=YES;
libname data ''; 
libname lee ''; 
%let data =  ;

* SUM DER RECORDS BY SSN-YEAR (I.E., SUM OVER EINs) TO GET TOTAL EARNINGS FOR EACH PERSON ;

%macro derprep(num) ;
filename inzip ZIP "&data.der_seg&num..zip"
               member = "der_seg&num..sas7bdat";
filename ds "%sysfunc(getoption(work))\der_seg&num..sas7bdat" ;

* Read in the first wave ;
data _null_;
   * reference the member name WITH folder path ;
   infile inzip
    lrecl=256 recfm=F length=length eof=eof unbuf;
   file   ds lrecl=256 recfm=N;
   input;
   put _infile_ $varying256. length;
   return;
 eof:
   stop;
run;

data work.der_seg&num.;
    set work.der_seg&num.
    (
	keep = ssn year ein wage_tips_irs 
    rename=(wage_tips_irs=earn)
    );

	year = input(year,4.) ;
	if year<=2017 ;
run;

* SUM EARNINGS FOR EACH SSN-YEAR ;
proc sort data=work.der_seg&num. out=work.der_seg&num. ;
	by ssn year ;
run;

proc means noprint data=work.der_seg&num. nway ;
	class ssn year ;
	var earn ;
	output out=work.der_seg&num. sum= ;
run ;
%mend derprep ;

%derprep(02) ;
%derprep(03) ;
%derprep(05) ;
%derprep(06) ;
%derprep(09) ;
%derprep(10) ;
%derprep(15) ;
%derprep(16) ;
%derprep(19) ;
%derprep(20) ;

* Combine all segments ;
data lee.cwhs_der_prep3 ;
	set work.der_seg02 
		work.der_seg03
		work.der_seg05
		work.der_seg06
		work.der_seg09
		work.der_seg10
		work.der_seg15
		work.der_seg16
		work.der_seg19
		work.der_seg20
		;
run ;

proc sort data=lee.cwhs_der_prep3 out=lee.cwhs_der_prep3 ;
	by ssn year ;
run;

* Collapse to SSN-EIN level ;
data lee.cwhs_der_prep3 ;
	set lee.cwhs_der_prep3 ;
	by ssn ;

	keep 	ssn 
			earn_1978-earn_2017 ;
	
	retain 	earn_1978-earn_2017 
			;

	array	aearn(1978:2017) 		earn_1978-earn_2017 ; 
	
	if first.ssn then
	do;
		do i=1978 to 2017;
			aearn(i) 		=.;	
		end;
	end;

	aearn(year) 		= earn ;	

	if last.ssn then output;

run;

* Missing values are zero ;
data lee.cwhs_der_prep3 ;
	set lee.cwhs_der_prep3 ;

	array earn(1978:2017) earn_1978-earn_2017 ;

	do i = 1978 to 2017 ;
		if earn(i) = . then earn(i) = 0 ;
	end ;

	drop i ;

run ;

run; quit;
endrsubmit;
signoff ;
