Signon ;
RSubmit ;

options compress=YES;
libname lee ''; 
libname prep ''; 
libname data ''; 
%let cwhs =  ;


* TABULATE MISSING VALUES AND OTHER VALUES FOR VARIABLES IN 831 FILES;

%macro new(year);
data prep_&year. ;
	set data.f831_cy&year.
	(keep = ssn bic al rid dodec_yy dr rdt fld ed rb
	where = (bic = 'A')) ;

	* Diary codes ;
	if dr='' then dr_den=1; else dr_den=0;
	if dr='3' then dr_mip=1; 
		else if 
			(
				(dr='E' or dr='F' or dr='G' or dr='I' or dr='J' or dr='K' or dr='L'
			 	or  dr='M' or dr='N' or dr='V' or dr='W' or dr='X' or dr='Y' or dr='Z')
			 	& dpm^='P'
			)
			then dr_mip=1;
		else dr_mip=0;
	if (dr='5' or dr='7') then dr_mine=1; 
		else if 
			(
				(dr='E' or dr='F' or dr='G' or dr='I' or dr='J' or dr='K' or dr='L'
			 	or  dr='M' or dr='N' or dr='V' or dr='W' or dr='X' or dr='Y' or dr='Z')
			 	& dpm='P'
			)
			then dr_mine=1;
		else dr_mine=0;
	if (dr='A' or dr='B' or dr='C' or dr='D' or dr='H' or dr='O' or dr='P'
		or  dr='Q' or dr='R' or dr='S' or dr='T' or dr='U')
		then dr_mie=1;
		else dr_mie=0;

	if rid = "2" then toc_di = 1 ; else toc_di = 0 ;
	if rid = "R" then toc_ssi = 1 ; else toc_ssi = 0 ;

	if rdt='A' then allow_dds=1; else allow_dds=0;

	* Step allowed ;
	if 
		( rb="N1" | rb="N2" | rb="F1" | rb="F2" | rb="E1" | rb="E2" | rb="E3" | rb="E4" 
		| rb="33" | rb="30" | rb="41" | rb="34" | rb="35" | rb="45" | rb="46"			  
		)
	then 
		rb_step12deny = 1 ; else rb_step12deny = 0 ;
	

	if	( rb="A1" | rb="B1"   
		| rb="61" | rb="62" 
		)
	then 
		rb_step3allow = 1 ; else rb_step3allow = 0 ;		
		
	
	if
		( rb="H1" | rb="H2" 							 
	    | rb="31" | rb="42"  					    	
		)
	then 
		rb_step4deny = 1 ; else rb_step4deny = 0 ;
	

	if 
		(rb="C1" | rb="D1" 						
		| rb="63" | rb="64" 						
		) 
	then 
		rb_step5allow = 1 ; else rb_step5allow = 0 ;
	

	if 
		(rb="G1" | rb="G2" | rb="J1" | rb="J2" 	
		| rb="32" | rb="43" 						
		)
	then 
		rb_step5deny = 1 ; else rb_step5deny = 0 ;


	* Education ;
	if ed='99' or ed="'" or ed='ZZ' or ed='1:' or ed='2!' or ed='?' then ed='';
	n_ed = input(ed,2.0);
	if toc='C' or toc='F' then n_ed=.;

	drop bic rid dr rdt ed ; 

run;

* Collapse to see if they get on in that year ;
proc means noprint data=prep_&year. nway;
	by ssn;
	var allow_dds;
	output out=collapse_ssn_&year.
	MAX(allow_dds)=
		allow_dds ;
run;

data prep_&year. ;
	merge 
		prep_&year. (drop=allow_dds)
		collapse_ssn_&year. (keep=ssn allow_dds);
	by ssn;
run;

%mend new;

%new(1995);
%new(1996);
%new(1997);
%new(1998);
%new(1999);
%new(2000);
%new(2001);
%new(2002);
%new(2003);
%new(2004);
%new(2005);
%new(2006);
%new(2007);
%new(2008);
%new(2009);
%new(2010);
%new(2011);
%new(2012);
%new(2013);
%new(2014);
%new(2015);
%new(2016);
%new(2017);
%new(2018);

data lee.f831_dissi_prep ;
	set 
		prep_1995
		prep_1996
		prep_1997
		prep_1998
		prep_1999
		prep_2000
		prep_2001
		prep_2002
		prep_2003
		prep_2004
		prep_2005
		prep_2006
		prep_2007
		prep_2008
		prep_2009
		prep_2010
		prep_2011
		prep_2012
		prep_2013
		prep_2014
		prep_2015
		prep_2016
		prep_2017
		prep_2018
		;

	* Create new adjudication level and filing date variables to merge with SDR;
	select(al);
		when ("A")  adjulvl_cd="1";  
		when ("B")  adjulvl_cd="2";
		when ("C")  adjulvl_cd="2";
		when ("D")  adjulvl_cd="3";
		when ("E")  adjulvl_cd="4";
		when ("F")  adjulvl_cd="5";
		when ("G")  adjulvl_cd="1";  
		when ("I")  adjulvl_cd="1";  
		otherwise   adjulvl_cd="";
	end;

	if (fld="99999999" or fld="") then do;
		filing_dt=.;
		fyr=.;
	end;
    else do;
	    fyr=input(substr(fld,1,4),4.);
		filing_dt=MDY(input(substr(fld,5,2),2.),input(substr(fld,7,2),2.),fyr);
	end;
run ;

* Merge in SSR/MBR final decision variables ;
proc sort data=lee.f831_dissi_prep out=lee.f831_dissi_prep;
	by ssn filing_dt adjulvl_cd;
run;

data lee.f831_dissi_prep;
	merge 
		lee.f831_dissi_prep
			(in=from_mainx)
		prep.ssrcer_prep2
		;
	by ssn filing_dt adjulvl_cd;
	if from_mainx=1;
run;

proc sort data=lee.f831_dissi_prep out=lee.f831_dissi_prep;
	by ssn filing_dt adjulvl_cd;
run;

data lee.f831_dissi_prep;
	merge 
		lee.f831_dissi_prep
			(in=from_mainx)
		prep.mbr_prep2
		;
	by ssn filing_dt adjulvl_cd;
	if from_mainx=1;
run;

* Final decision variable ;
data lee.f831_dissi_prep ;
	set lee.f831_dissi_prep ;

	if allow_dds=1 then allow_fin=1;
		else if allow_dds^=1 & toc_ssi=1 & n_denfinssi^=1 then allow_fin=1;
		else if allow_dds^=1 & toc_di=1  & n_allowfindi=1 then allow_fin=1;
		else allow_fin=0;
run ;

* KEEP ONLY THOSE WHO ARE IN CWHS ;
%macro getssn(num) ;
filename inzip ZIP "&cwhs.der_seg&num..zip"
               member = "der_seg&num..sas7bdat";
filename ds "%sysfunc(getoption(work))\der_seg&num..sas7bdat" ;

* Read in the first wave ;
data _null_;
   * reference the member name WITH folder path ;
   infile inzip
    lrecl=256 recfm=F length=length eof=eof unbuf;
   file   ds lrecl=256 recfm=N;
   input;
   put _infile_ $varying256. length;
   return;
 eof:
   stop;
run;

data work.der_seg&num.;
    set work.der_seg&num.
    (keep = ssn);
run;

%mend getssn ;

%getssn(02) ;
%getssn(03) ;
%getssn(05) ;
%getssn(06) ;
%getssn(09) ;
%getssn(10) ;
%getssn(15) ;
%getssn(16) ;
%getssn(19) ;
%getssn(20) ;

data getssn ;
	set work.der_seg02 
		work.der_seg03
		work.der_seg05
		work.der_seg06
		work.der_seg09
		work.der_seg10
		work.der_seg15
		work.der_seg16
		work.der_seg19
		work.der_seg20
		;
run ;

proc sort data=getssn out=getssn nodupkey ;
	by ssn ;
run;

data lee.f831_dissi_prep;
	merge 
		lee.f831_dissi_prep
			(in=from_mainx)
		getssn
			(in=from_cwhsx)
		;
	by ssn ;
	if from_mainx=1 & from_cwhsx=1;
run;

proc means data=lee.f831_dissi_prep ;
	var rb_: ;
run ;

run; quit;

endrsubmit;
signoff ;
