Signon ;
RSubmit ;

options compress=YES;
libname data ''; 
libname lee ''; 
libname f831 ''; 
%let data =  ;

***** CREATE DATA SET OF DI RECIPIENTS FROM CWHS MBR, THEN LINK TO DER EARNINGS SHOCK ***** ;

%macro mbrprep(num) ;

filename inzip ZIP "&data.mbr_seg&num..zip"
               member = "mbr_seg&num..sas7bdat";
filename ds "%sysfunc(getoption(work))\mbr_seg&num..sas7bdat" ;

* Read in the first wave ;
data _null_;
   * reference the member name WITH folder path ;
   infile inzip
    lrecl=256 recfm=F length=length eof=eof unbuf;
   file   ds lrecl=256 recfm=N;
   input;
   put _infile_ $varying256. length;
   return;
 eof:
   stop;
run;

* Note that there is a space in front of value 2 (" 2") ;
data work.mbr_seg&num.;
    set work.mbr_seg&num. 
	
	(keep = can dobp_: sexprimary doei_tob doec_tob doec_bic doei_mm doei_ccyy doec_mm doec_ccyy
	 where = ((doec_tob = " 2" | doei_tob = " 2") & doec_bic = "A" )
	 rename = (can = ssn)
	)
	
	;
	
	if doec_tob = " 2" then dient = doec_ccyy ;
	if doei_tob = " 2" & dient = . then dient = doei_ccyy ;

	if sexprimary = "M" then male = 1 ; 
		else if sexprimary = "F" then male = 0 ;

	keep ssn dient dobp_ccyy male ;
	
run;


%mend mbrprep ;

%mbrprep(02) ;
%mbrprep(03) ;
%mbrprep(05) ;
%mbrprep(06) ;
%mbrprep(09) ;
%mbrprep(10) ;
%mbrprep(15) ;
%mbrprep(16) ;
%mbrprep(19) ;
%mbrprep(20) ;


* COLLAPSE BY EIN TO GET EMPLOYMENT AND EARNINGS BY YEAR ;
data lee.cwhs_mbr_prep1 ;
	set work.mbr_seg02 
		work.mbr_seg03
		work.mbr_seg05
		work.mbr_seg06
		work.mbr_seg09
		work.mbr_seg10
		work.mbr_seg15
		work.mbr_seg16
		work.mbr_seg19
		work.mbr_seg20
		;
run ;


* USE PHUS TO DETERMINE WHO WAS ON DI AT A POINT IN TIME ;
%macro phusprep(num) ;

filename inzip ZIP "&data.phus_seg&num..zip"
               member = "phus_seg&num..sas7bdat";
filename ds "%sysfunc(getoption(work))\phus_seg&num..sas7bdat" ;

data _null_;
   * reference the member name WITH folder path ;
   infile inzip
    lrecl=256 recfm=F length=length eof=eof unbuf;
   file   ds lrecl=256 recfm=N;
   input;
   put _infile_ $varying256. length;
   return;
 eof:
   stop;
run;

data work.phus_seg&num.;
    set work.phus_seg&num. 
	(keep = can phus:
	 rename = (can = ssn)
	)
	;
run;

%mend phusprep ;

%phusprep(02) ;
%phusprep(03) ;
%phusprep(05) ;
%phusprep(06) ;
%phusprep(09) ;
%phusprep(10) ;
%phusprep(15) ;
%phusprep(16) ;
%phusprep(19) ;
%phusprep(20) ;

data work.cwhs_phus_prep1 ;
	set work.phus_seg02 
		work.phus_seg03
		work.phus_seg05
		work.phus_seg06
		work.phus_seg09
		work.phus_seg10
		work.phus_seg15
		work.phus_seg16
		work.phus_seg19
		work.phus_seg20
		;
run ;

* MERGE IN EDUCATION LEVEL FROM 831 FILES ;
data work.prep_831 ;
	set 
		f831.tab_f831_cy1989 (keep = ssn n_ed zip) 
		f831.tab_f831_cy1990 (keep = ssn n_ed zip) 
		f831.tab_f831_cy1991 (keep = ssn n_ed zip) 
		f831.tab_f831_cy1992 (keep = ssn n_ed zip) 
		f831.tab_f831_cy1993 (keep = ssn n_ed zip) 
		f831.tab_f831_cy1994 (keep = ssn n_ed zip) 
		f831.tab_f831_cy1995 (keep = ssn n_ed zip) 
		f831.tab_f831_cy1996 (keep = ssn n_ed zip) 
		f831.tab_f831_cy1997 (keep = ssn n_ed zip) 
		f831.tab_f831_cy1998 (keep = ssn n_ed zip) 
		f831.tab_f831_cy1999 (keep = ssn n_ed zip) 
		f831.tab_f831_cy2000 (keep = ssn n_ed zip) 
		f831.tab_f831_cy2001 (keep = ssn n_ed zip) 
		f831.tab_f831_cy2002 (keep = ssn n_ed zip)
		f831.tab_f831_cy2003 (keep = ssn n_ed zip)
		f831.tab_f831_cy2004 (keep = ssn n_ed zip)
		f831.tab_f831_cy2005 (keep = ssn n_ed zip)
		f831.tab_f831_cy2006 (keep = ssn n_ed zip)
		f831.tab_f831_cy2007 (keep = ssn n_ed zip)
		f831.tab_f831_cy2008 (keep = ssn n_ed zip)
		f831.tab_f831_cy2009 (keep = ssn n_ed zip)
		f831.tab_f831_cy2010 (keep = ssn n_ed zip)
		f831.tab_f831_cy2011 (keep = ssn n_ed zip)
		f831.tab_f831_cy2012 (keep = ssn n_ed zip)
		f831.tab_f831_cy2013 (keep = ssn n_ed zip)
		f831.tab_f831_cy2014 (keep = ssn n_ed zip)
		f831.tab_f831_cy2015 (keep = ssn n_ed zip)
		f831.tab_f831_cy2016 (keep = ssn n_ed zip)
		; 
run ;

proc means noprint data=work.prep_831 nway ;
	class ssn ;
	var n_ed ;
	output out=work.prep_831_ed max= ;
run ;

proc sort data=work.prep_831  out=work.prep_831_zip nodupkey ;
	by ssn ;
run;

proc sort data=lee.cwhs_mbr_prep1  out=lee.cwhs_mbr_prep1 ;
	by ssn ;
run;

proc sort data=work.cwhs_phus_prep1  out=work.cwhs_phus_prep1 ;
	by ssn ;
run;

data lee.cwhs_mbr_prep1 ;
	merge 
		lee.cwhs_mbr_prep1 (in=mainx)
		work.prep_831_ed  (keep = ssn n_ed) 
		work.prep_831_zip (keep = ssn zip) 
		work.cwhs_phus_prep1 (keep = ssn phus:)
	;
	by ssn ;
	if mainx=1 ;
run;

run; quit;
endrsubmit;
signoff ;
