Signon ;
RSubmit ;

options compress=YES;
libname data ''; 
libname dissi ''; 
libname lee ''; 
%let data = ;

********* SUMMARY STATS FOR DI&SSI FOR MASS LAYOFF ****** ;

proc sort data=dissi.f831_dissi_prep out=dissi.f831_dissi_prep ;
	by ssn filing_dt ;
run;

proc sort data=lee.cwhs_der_prep2 out=lee.cwhs_der_prep2 ;
	by ssn ;
run;

data cwhs_merge_dissider_categorize ;
	merge 

		dissi.f831_dissi_prep (in=everappx)
		lee.cwhs_der_prep2

	;
	by ssn ;

	toc_dissi=everappx ;

run;

* Merge in Numident for birth date ;
filename inzip ZIP "&data.num_per10.zip"
               member = "num_per10.sas7bdat";
filename ds "%sysfunc(getoption(work))\num_per10.sas7bdat" ;

data _null_;
   * reference the member name WITH folder path ;
   infile inzip
    lrecl=256 recfm=F length=length eof=eof unbuf;
   file   ds lrecl=256 recfm=N;
   input;
   put _infile_ $varying256. length;
   return;
 eof:
   stop;
run;

data work.num_per10;
    set work.num_per10 (keep = ssn dob) ;

	temp = substr(dob,5,4) ;
	if substr(temp,1,1) = "X" then temp = "" ;
	if substr(temp,2,1) = "X" then temp = "" ;
	if substr(temp,3,1) = "X" then temp = "" ;
	if substr(temp,4,1) = "X" then temp = "" ;
	dob_yy = input(temp,4.);

	drop dob temp ;
run;

* Eliminate Numident duplicates ;
proc sort data=work.num_per10 out=work.num_per10 nodupkey ;
	by ssn ;
run;

data cwhs_merge_dissider_categorize ;
	merge 

		cwhs_merge_dissider_categorize (in=mainx)
		work.num_per10

	;
	by ssn ;
	if mainx=1 ;

run;

data cwhs_merge_dissider_categorize ;
	set cwhs_merge_dissider_categorize 
	(where=(dob_yy <= 2017 - 50 & dob_yy > 2017 - 90)) 
	; 

	if allow_fin =1 then everdissi = 1 ; else everdissi = 0 ;

	filing_yy = year(filing_dt) ;

	%macro cat(pgm) ;
	* Categorize by age at DI entry (cat_rec, 99 is never entered) ;
	if 
		(filing_yy < dob_yy + 35 & filing_dt ^=. & allow_fin = 1 & toc_&pgm. = 1)	
		then cat_rec_&pgm. = 2 ;
	else if 
		(filing_yy < dob_yy + 45 & filing_yy >= dob_yy + 35 & filing_dt ^=. & allow_fin = 1 & toc_&pgm. = 1)
		then cat_rec_&pgm. = 3 ;
	else if 
		(filing_yy < dob_yy + 55 & filing_yy >= dob_yy + 45 & filing_dt ^=. & allow_fin = 1 & toc_&pgm. = 1)
		then cat_rec_&pgm. = 4 ;
	else if 
		(filing_yy >= dob_yy + 55 & filing_dt ^=. & allow_fin = 1 & toc_&pgm. = 1) 		
		then cat_rec_&pgm. = 5 ;
	else 
			 cat_rec_&pgm. = 99 ;

	* Categorize by age at first DI/SSI application (cat_app, 99 is never applied) ;
		 if filing_yy < dob_yy + 35 	& filing_dt ^=.								& toc_&pgm. = 1		then cat_app_&pgm. = 2 ;
	else if filing_yy < dob_yy + 45 	& filing_yy >= dob_yy + 35 & filing_dt ^=.	& toc_&pgm. = 1		then cat_app_&pgm. = 3 ;
	else if filing_yy < dob_yy + 55 	& filing_yy >= dob_yy + 45 & filing_dt ^=. 	& toc_&pgm. = 1		then cat_app_&pgm. = 4 ;
	else if filing_yy >= dob_yy + 55 	& filing_dt ^=. 							& toc_&pgm. = 1		then cat_app_&pgm. = 5 ;
	else  																								 	 cat_app_&pgm. = 99 ;

	* Categories for rejected applicants, applied but didnt receive (cat_Rapp, there is no 99 bc it could be approved applicants or never-applied) ;
	if filing_dt ^=. & allow_fin ^=1 & toc_&pgm. = 1 then cat_Rapp_&pgm. = cat_app_&pgm. ;

	* Create ever analogs of above variables ;
	if cat_rec_&pgm. ^= 99 then cat_recever_&pgm. = 1; else cat_recever_&pgm. = 0 ;
	cat_appever_&pgm. = 1; 
	if filing_dt ^=. & allow_fin ^=1 then cat_Rappever_&pgm. = 1; else cat_Rappever_&pgm. = 0 ;

	* Classify severity of recipients ;
	if 		(dr_mine=1 | dr_mip = 1)		& toc_&pgm. = 1		then sev1_&pgm.=3; 
	else if	(dr_mie =1)						& toc_&pgm. = 1		then sev1_&pgm.=2;	
	else if allow_dds ^=1 & allow_fin =1   	& toc_&pgm. = 1  	then sev1_&pgm.=1;
	else if filing_dt ^=. & allow_fin ^=1	& toc_&pgm. = 1		then sev1_&pgm.=0;

	if 		(dr_mine= 1)					& toc_&pgm. = 1		then sev2_&pgm.=3; 
	else if	(dr_mie = 1 | dr_mip = 1)		& toc_&pgm. = 1		then sev2_&pgm.=2;
	else if allow_dds ^=1 & allow_fin =1   	& toc_&pgm. = 1  	then sev2_&pgm.=1;
	else if filing_dt ^=. & allow_fin ^=1	& toc_&pgm. = 1		then sev2_&pgm.=0;

	if 		(dr_mine= 1)					& toc_&pgm. = 1		then sev3_&pgm.=4;
	else if (dr_mip = 1)					& toc_&pgm. = 1		then sev3_&pgm.=3; 
	else if	(dr_mie = 1)					& toc_&pgm. = 1		then sev3_&pgm.=2;
	else if allow_dds ^=1 & allow_fin =1   	& toc_&pgm. = 1  	then sev3_&pgm.=1;
	else if filing_dt ^=. & allow_fin ^=1	& toc_&pgm. = 1		then sev3_&pgm.=0;

	if 		allow_dds =1				   	& toc_&pgm. = 1  	then sev4_&pgm.=1;
	else if filing_dt ^=. & allow_dds ^=1	& toc_&pgm. = 1		then sev4_&pgm.=0;

	if 		allow_fin =1				   	& toc_&pgm. = 1  	then sev5_&pgm.=1;
	else if filing_dt ^=. & allow_fin ^=1	& toc_&pgm. = 1		then sev5_&pgm.=0;

	if		rb_step3allow = 1				& toc_&pgm. = 1		then sevrb_&pgm.=3;
	else if rb_step5allow = 1				& toc_&pgm. = 1		then sevrb_&pgm.=2; 
	else if allow_dds ^=1 & allow_fin =1   	& toc_&pgm. = 1  	then sevrb_&pgm.=1;
	else if filing_dt ^=. & allow_fin ^=1	& toc_&pgm. = 1		then sevrb_&pgm.=0;
	%mend cat ;

	%cat(dissi) ;
	%cat(di) ;


	* IDENTIFY INDIVIDUAL SHOCKS ;

	* Individual shock in pre35, 35-44, 45-54, 55plus ;
	array delt(1979:2017) delt_1979-delt_2017 ;
	array emp(1979:2017)  emp_1979-emp_2017 ;
		
		* 27 chosen intentionally (or doesnt work with YOB above 65 selected above) ;
		if dob_yy + 27 >= 1979 & dob_yy + (34) <= 2017 
			then shockpre35_indi = 0 ;

		if dob_yy + 27 >= 1979 & dob_yy + (34) <= 2017 &
				(
				delt(dob_yy + 27) = 1 | 
				delt(dob_yy + 28) = 1 | 
				delt(dob_yy + 29) = 1 |
				delt(dob_yy + 30) = 1 |
				delt(dob_yy + 31) = 1 |
				delt(dob_yy + 32) = 1 |
				delt(dob_yy + 33) = 1 |
				delt(dob_yy + 34) = 1 
				) 		
			then shockpre35_indi = 1 ;

	%macro indi(age) ;

		if dob_yy + &age. >= 1979 & dob_yy + (&age.+9) <= 2017 
			then shock&age._indi = 0 ;

		if dob_yy + &age. >= 1979 & dob_yy + (&age.+9) <= 2017 &
				(
				delt(dob_yy + &age.) = 1 | 
				delt(dob_yy + &age.+1) = 1 | 
				delt(dob_yy + &age.+2) = 1 | 
				delt(dob_yy + &age.+3) = 1 | 
				delt(dob_yy + &age.+4) = 1 | 
	   		   	delt(dob_yy + &age.+5) = 1 | 
				delt(dob_yy + &age.+6) = 1 | 
				delt(dob_yy + &age.+7) = 1 | 
				delt(dob_yy + &age.+8) = 1 | 
				delt(dob_yy + &age.+9) = 1
				) 		
			then shock&age._indi = 1 ;
	%mend indi ;

	%indi(35);
	%indi(45);
	%indi(55);

	* Relative to application ;
	
	if 		filing_yy ^=. & filing_yy >= 1981 & filing_yy <= 2017
		& (delt(filing_yy) = 1 | delt(filing_yy - 1) = 1) 		
		then shock1app_indi = 1 ;
	else shock1app_indi = 0 ;

	if 		filing_yy ^=. & filing_yy >= 1983 & filing_yy <= 2017
		& (delt(filing_yy) = 1 | delt(filing_yy - 1) = 1 | delt(filing_yy - 2) = 1 | delt(filing_yy - 3) = 1) 		
		then shock3app_indi = 1 ;
	else shock3app_indi = 0 ;

	if 		filing_yy ^=. & filing_yy >= 1985 & filing_yy <= 2017
		& (delt(filing_yy) = 1 | delt(filing_yy - 1) = 1 | delt(filing_yy - 2) = 1 | delt(filing_yy - 3) = 1 | delt(filing_yy - 4) = 1 | delt(filing_yy - 5) = 1) 		
		then shock5app_indi = 1 ;
	else shock5app_indi = 0 ;

	* Relative to application, conditional on working ;
	shock1app_indi_c = shock1app_indi ;
	if 		filing_yy ^=. & filing_yy >= 1982 & filing_yy <= 2017
		& (emp(filing_yy - 1) = 0 & emp(filing_yy - 2) = 0) 
		then shock1app_indi_c = . ;

	shock3app_indi_c = shock3app_indi ;
	if 		filing_yy ^=. & filing_yy >= 1984 & filing_yy <= 2017
		& (emp(filing_yy - 1) = 0 & emp(filing_yy - 2) = 0 & emp(filing_yy - 3) = 0 & emp(filing_yy - 4) = 0) 	
		then shock3app_indi_c = . ;
	
	shock5app_indi_c = shock5app_indi ;
	if 		filing_yy ^=. & filing_yy >= 1986 & filing_yy <= 2017
		& (emp(filing_yy - 1) = 0 & emp(filing_yy - 2) = 0 & emp(filing_yy - 3) = 0 & emp(filing_yy - 4) = 0 & emp(filing_yy - 5) = 0 & emp(filing_yy - 6) = 0) 		
		then shock5app_indi_c = . ;
	

	* MASS LAYOFF SHOCK ;

	* Mass layoff shock in pre35, 35-44, 45-54, 55plus ;
	array dmass153(1979:2017) dmass153_1979-dmass153_2017 ;
	array dmass152(1979:2017) dmass152_1979-dmass152_2017 ;
	array dmass53(1979:2017) dmass53_1979-dmass53_2017 ;
	array dmass52(1979:2017) dmass52_1979-dmass52_2017 ;

	%macro pre35mass(cut,drop) ;
	
		if dob_yy + 27 >= 1979 & dob_yy + (34) <= 2017 
			then shockpre35_mass&cut.&drop. = 0 ;

		if dob_yy + 27 >= 1979 & dob_yy + (34) <= 2017 &
				(
				dmass&cut.&drop.(dob_yy + 27) = 1 | 
				dmass&cut.&drop.(dob_yy + 28) = 1 | 
				dmass&cut.&drop.(dob_yy + 29) = 1 |
				dmass&cut.&drop.(dob_yy + 30) = 1 |
				dmass&cut.&drop.(dob_yy + 31) = 1 |
				dmass&cut.&drop.(dob_yy + 32) = 1 |
				dmass&cut.&drop.(dob_yy + 33) = 1 |
				dmass&cut.&drop.(dob_yy + 34) = 1 
				)
			then shockpre35_mass&cut.&drop. = 1 ;
	%mend pre35mass ;

	%pre35mass(15,3);
	%pre35mass(15,2);
	%pre35mass(5,3);
	%pre35mass(5,2);

	%macro mass(age,cut,drop) ;
	
		if dob_yy + &age. >= 1979 & dob_yy + (&age.+9) <= 2017 
			then shock&age._mass&cut.&drop. = 0 ;

		if dob_yy + &age. >= 1979 & dob_yy + (&age.+9) <= 2017 &
				(
				dmass&cut.&drop.(dob_yy + &age.) = 1 | 
				dmass&cut.&drop.(dob_yy + &age. + 1) = 1 | 
				dmass&cut.&drop.(dob_yy + &age. + 2) = 1 | 
				dmass&cut.&drop.(dob_yy + &age. + 3) = 1 | 
				dmass&cut.&drop.(dob_yy + &age. + 4) = 1 | 
				dmass&cut.&drop.(dob_yy + &age. + 5) = 1 | 
				dmass&cut.&drop.(dob_yy + &age. + 6) = 1 | 
				dmass&cut.&drop.(dob_yy + &age. + 7) = 1 | 
				dmass&cut.&drop.(dob_yy + &age. + 8) = 1 | 
				dmass&cut.&drop.(dob_yy + &age. + 9) = 1 
				)
			then shock&age._mass&cut.&drop. = 1 ;
	%mend mass ;

	%mass(35,15,3) ;
	%mass(45,15,3) ;
	%mass(55,15,3) ;
	
	%mass(35,15,2) ;
	%mass(45,15,2) ;
	%mass(55,15,2) ;

	%mass(35,5,3) ;
	%mass(45,5,3) ;
	%mass(55,5,3) ;

	%mass(35,5,2) ;
	%mass(45,5,2) ;
	%mass(55,5,2) ;

	* Relative to application ;
	%macro massapp(cut,drop) ;
	if 		filing_yy ^=. & filing_yy >= 1981 & filing_yy <= 2017
		& (dmass&cut.&drop.(filing_yy) = 1 | dmass&cut.&drop.(filing_yy - 1) = 1) 		
		then shock1app_mass&cut.&drop. = 1 ;
	else shock1app_mass&cut.&drop. = 0 ;

	if 		filing_yy ^=. & filing_yy >= 1983 & filing_yy <= 2017
		& (dmass&cut.&drop.(filing_yy) = 1 | dmass&cut.&drop.(filing_yy - 1) = 1 | dmass&cut.&drop.(filing_yy - 2) = 1 | dmass&cut.&drop.(filing_yy - 3) = 1) 		
		then shock3app_mass&cut.&drop. = 1 ;
	else shock3app_mass&cut.&drop. = 0 ;

	if 		filing_yy ^=. & filing_yy >= 1985 & filing_yy <= 2017
		& (dmass&cut.&drop.(filing_yy) = 1 | dmass&cut.&drop.(filing_yy - 1) = 1 | dmass&cut.&drop.(filing_yy - 2) = 1 | dmass&cut.&drop.(filing_yy - 3) = 1 | dmass&cut.&drop.(filing_yy - 4) = 1 | dmass&cut.&drop.(filing_yy - 5) = 1) 		
		then shock5app_mass&cut.&drop. = 1 ;
	else shock5app_mass&cut.&drop. = 0 ;
	%mend massapp ;

	* Relative to application, conditional on working ;
	%macro massapp_c(cut,drop) ;
	shock1app_mass&cut.&drop._c = shock1app_mass&cut.&drop. ;
	if 		filing_yy ^=. & filing_yy >= 1982 & filing_yy <= 2017
		& (emp(filing_yy - 1) = 0 & emp(filing_yy - 2) = 0) 	
		then shock1app_mass&cut.&drop._c = . ;

	shock3app_mass&cut.&drop._c = shock3app_mass&cut.&drop. ;
	if 		filing_yy ^=. & filing_yy >= 1984 & filing_yy <= 2017
		& (emp(filing_yy - 1) = 0 & emp(filing_yy - 2) = 0 & emp(filing_yy - 3) = 0 & emp(filing_yy - 4) = 0) 	
		then shock3app_mass&cut.&drop._c = . ;

	shock5app_mass&cut.&drop._c = shock5app_mass&cut.&drop. ;
	if 		filing_yy ^=. & filing_yy >= 1986 & filing_yy <= 2017
		& (emp(filing_yy - 1) = 0 & emp(filing_yy - 2) = 0 & emp(filing_yy - 3) = 0 & emp(filing_yy - 4) = 0 & emp(filing_yy - 5) = 0 & emp(filing_yy - 6) = 0) 		
		then shock5app_mass&cut.&drop._c = . ;
	%mend massapp_c ;


	%massapp(15,3) ;
	%massapp(15,2) ;
	%massapp(5,3) ;
	%massapp(5,2) ;

	%massapp_c(15,3) ;
	%massapp_c(15,2) ;
	%massapp_c(5,3) ;
	%massapp_c(5,2) ;

	
	
run ;


data cwhs_merge_dissider_categorize ;
	retain 	ssn al fld dodec_yy n_ed
			dr_den dr_mip dr_mine dr_mie sev1: sev2: sev3: sev4: sev5: sevrb: everdissi
			cat_rec: cat_app: cat_Rapp: ;
	set cwhs_merge_dissider_categorize ;
run ;


* Collapse data to SSN level ;
proc means noprint data=cwhs_merge_dissider_categorize nway;
	by ssn;
	var cat_rec: cat_app: cat_Rapp: dob_yy;
	output out=cwhs_merge_dissider_categorize_1
	min(cat_rec: cat_app: cat_Rapp: dob_yy)= ;
run;

proc means noprint data=cwhs_merge_dissider_categorize nway;
	by ssn;
	var sev1: sev2: sev3: sev4: sev5: sevrb: shock: n_ed ;
	output out=cwhs_merge_dissider_categorize_2
	max(sev1: sev2: sev3: sev4: sev5: sevrb: toc_di toc_dissi everdissi shock: n_ed)= ;
run;

data dissi.cwhs_merge_dissider_categ_ssn ;
	merge 
		cwhs_merge_dissider_categorize_1
		cwhs_merge_dissider_categorize_2
	;
	by ssn ;

run;

* Merge in earnings history ;
data dissi.cwhs_merge_dissider_categ_ssn ;
	merge 
		dissi.cwhs_merge_dissider_categ_ssn 
			(in=in_mainx)

		lee.cwhs_der_prep3 
			(keep = ssn earn_1978-earn_2017)
	;
	by ssn ;
	if in_mainx = 1 ;
run ;

*************************************************************** ;
* Age stats for individuals between 65-90 in latest year (2017) ;
*************************************************************** ;
%macro age65(group) ;
proc sql noprint;
	CREATE TABLE age65_&group. AS 
	SELECT &group., 
		sum(1) AS num,
		mean(shockpre35_indi) as shockpre35_indi,
		mean(shock35_indi) as shock35_indi,
		mean(shock45_indi) as shock45_indi,
		mean(shock55_indi) as shock55_indi,
		mean(shockpre35_mass153) as shockpre35_mass153,
		mean(shock35_mass153) as shock35_mass153,
		mean(shock45_mass153) as shock45_mass153,
		mean(shock55_mass153) as shock55_mass153,
		mean(shockpre35_mass152) as shockpre35_mass152,
		mean(shock35_mass152) as shock35_mass152,
		mean(shock45_mass152) as shock45_mass152,
		mean(shock55_mass152) as shock55_mass152,
		mean(shockpre35_mass53) as shockpre35_mass53,
		mean(shock35_mass53) as shock35_mass53,
		mean(shock45_mass53) as shock45_mass53,
		mean(shock55_mass53) as shock55_mass53,
		mean(shockpre35_mass52) as shockpre35_mass52,
		mean(shock35_mass52) as shock35_mass52,
		mean(shock45_mass52) as shock45_mass52,
		mean(shock55_mass52) as shock55_mass52
	FROM dissi.cwhs_merge_dissider_categ_ssn 
	WHERE (dob_yy <= 2017 - 65 & dob_yy > 2017 - 90)
	GROUP BY &group. ;

proc export data = age65_&group. dbms = csv replace
	outfile = "age65_&group..csv";
run;
%mend age65 ;

%age65(cat_rec_di) ;
%age65(cat_rec_dissi) ;


****************************************************************** ;
* Stats relative to application date for all applicants/recipients ;
****************************************************************** ;

%macro bysev(sev);
proc sql noprint;
	CREATE TABLE pre_cat_by&sev. AS 
	SELECT &sev.,
		sum(1) AS num,
		mean(shock1app_indi) as shock1app_indi,
		mean(shock3app_indi) as shock3app_indi,
		mean(shock5app_indi) as shock5app_indi,
		mean(shock1app_mass153) as shock1app_mass153,
		mean(shock3app_mass153) as shock3app_mass153,
		mean(shock5app_mass153) as shock5app_mass153,
		mean(shock1app_mass152) as shock1app_mass152,
		mean(shock3app_mass152) as shock3app_mass152,
		mean(shock5app_mass152) as shock5app_mass152,
		mean(shock1app_mass53) as shock1app_mass53,
		mean(shock3app_mass53) as shock3app_mass53,
		mean(shock5app_mass53) as shock5app_mass53,
		mean(shock1app_mass52) as shock1app_mass52,
		mean(shock3app_mass52) as shock3app_mass52,
		mean(shock5app_mass52) as shock5app_mass52,

		mean(shock1app_indi_c) as shock1app_indi_c,
		mean(shock3app_indi_c) as shock3app_indi_c,
		mean(shock5app_indi_c) as shock5app_indi_c,
		mean(shock1app_mass153_c) as shock1app_mass153_c,
		mean(shock3app_mass153_c) as shock3app_mass153_c,
		mean(shock5app_mass153_c) as shock5app_mass153_c,
		mean(shock1app_mass152_c) as shock1app_mass152_c,
		mean(shock3app_mass152_c) as shock3app_mass152_c,
		mean(shock5app_mass152_c) as shock5app_mass152_c,
		mean(shock1app_mass53_c) as shock1app_mass53_c,
		mean(shock3app_mass53_c) as shock3app_mass53_c,
		mean(shock5app_mass53_c) as shock5app_mass53_c,
		mean(shock1app_mass52_c) as shock1app_mass52_c,
		mean(shock3app_mass52_c) as shock3app_mass52_c,
		mean(shock5app_mass52_c) as shock5app_mass52_c
	FROM dissi.cwhs_merge_dissider_categ_ssn 
	
	GROUP BY &sev. 
	 ;

proc export data = pre_cat_by&sev. dbms = csv replace
	outfile = "pre_cat_by&sev..csv";
run;
%mend bysev ;

%bysev(sevrb_di);
%bysev(sevrb_dissi);

* Merge to individual-level earnings 
	and convert to Stata so we can create regression-controlled summ stats ;
data dissi.cwhs_merge_dissider_stata ;
	set dissi.cwhs_merge_dissider_categ_ssn 
	(keep = earn_: dob_yy n_ed sev: toc: shock3app_mass153)
	; 
run ;

%let DIR= ;
%macro stataexport(dsname);
proc export data=dissi.&dsname
     file="&DIR\&dsname..dta"
     dbms=DTA REPLACE;
run;
%mend stataexport;

%stataexport(cwhs_merge_dissider_stata);

run; quit;
endrsubmit;
signoff ;
