* Note: "../../load_directories.do" must be updated before running this code.

version 15
clear all
set more off
set maxvar 10000
set logtype text
capture log close
#delim;	


do "../../load_directories.do" ;
do "$rep_archive/ssa/load_ssa_directories.do" ;
 
 

/* **************************************** */
/* (1) Financial outcomes descriptive stats */
/* **************************************** */

do "$code/financial_prep1_evict.do"
do "$code/financial_prep1_frcl.do" 
do "$code/financial_prep1_bk.do"
do "$code/financial_prep2_combine.do"



/* ********************************* */
/* (2) Mass layoff descriptive stats */
/* ********************************* */

/* Run "masslayoff_prep1_der.sas" in SAS */
/* Run "masslayoff_prep2_der.sas" in SAS */
/* Run "masslayoff_prep3_dersum.sas" in SAS */
/* Run "masslayoff_prep3_f831.sas" in SAS */
/* Run "masslayoff_prep3_mbr.sas" in SAS */
/* Run "masslayoff_prep4_categorize.sas" in SAS */
do "$code/masslayoff_regs.do"


/* ***************************************** */
/* (3) Run regressions with ability controls */
/* ***************************************** */

do "$code/compile_abilityregs.do"




/* ******* */
/* Figures */
/* ******* */

/* Run "fig2b.R" in R */
/* Run "figG4.R" in R */
/* Run "figG5.R" in R */
/* Run "figJ1b.R" in R */
/* Run "figJ7.R" in R */
/* Run "figJ8.R" in R */
